import React from 'react';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { StyledActionListItem, StyledActionListItemDescription, StyledActionListItemWrapper } from './ActionListStyle';
export var ActionItem = function ActionItem(_ref) {
  var content = _ref.content,
    description = _ref.description,
    icon = _ref.icon,
    action = _ref.action,
    disabled = _ref.disabled;
  var hasDescription = !!description;
  return /*#__PURE__*/React.createElement(StyledActionListItemWrapper, {
    tabIndex: 0,
    role: "button",
    onMouseUp: function onMouseUp(e) {
      return e.currentTarget.blur();
    },
    onClick: function onClick() {
      return action == null ? void 0 : action();
    },
    "data-disabled": disabled
  }, /*#__PURE__*/React.createElement(StyledActionListItem, null, icon, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "body1",
    className: "action-item-content"
  }, content)), hasDescription && /*#__PURE__*/React.createElement(StyledActionListItemDescription, null, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "body1",
    color: Neutral.B40,
    className: "action-item-description"
  }, description)));
};