import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Typography } from '../Typography';
import { ActionItem } from './ActionItem';
import { StyledActionListContainer, StyledActionListSection } from './ActionListStyle';
export var ActionList = function ActionList(_ref) {
  var items = _ref.items,
    sections = _ref.sections;
  var renderActionItems = function renderActionItems(actionItems) {
    if (actionItems === void 0) {
      actionItems = [];
    }
    return actionItems.map(function (item, index) {
      return /*#__PURE__*/React.createElement(ActionItem, _extends({
        key: item.content.toString() + "-" + index
      }, item));
    });
  };
  var renderSectionedItems = function renderSectionedItems() {
    return (sections || []).map(function (section, index) {
      var title = section.title;
      return /*#__PURE__*/React.createElement("li", {
        key: title + "-" + index
      }, /*#__PURE__*/React.createElement(StyledActionListSection, {
        key: title + "-" + index
      }, /*#__PURE__*/React.createElement(Typography, {
        as: "div",
        variant: "subtitle2"
      }, title)), renderActionItems(section.items || []));
    });
  };
  var renderItems = function renderItems() {
    return /*#__PURE__*/React.createElement("li", null, renderActionItems(items || []));
  };
  var contentMarkup = sections ? renderSectionedItems() : renderItems();
  return /*#__PURE__*/React.createElement(StyledActionListContainer, null, contentMarkup);
};