import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["numberOfInputs", "error", "onChange", "forwardedRef"];
import React, { useEffect, useRef, useState } from 'react';
import { StyledInputsContainer } from './AuthenticationInputStyle';
import { AuthenticationInputSingle } from './AuthenticationInputSingle';
var AuthenticationInputComponent = function AuthenticationInputComponent(_ref) {
  var _ref$numberOfInputs = _ref.numberOfInputs,
    numberOfInputs = _ref$numberOfInputs === void 0 ? 6 : _ref$numberOfInputs,
    error = _ref.error,
    onChange = _ref.onChange,
    forwardedRef = _ref.forwardedRef,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(new Array(numberOfInputs).fill('')),
    inputValues = _useState[0],
    setInputValues = _useState[1];
  var _useState2 = useState(0),
    currentIndex = _useState2[0],
    setCurrentIndex = _useState2[1];
  var inputArray = new Array(numberOfInputs).fill('');
  var onChangeRef = useRef(null);
  onChangeRef.current = onChange;
  useEffect(function () {
    if (inputValues.some(function (v) {
      return !Number.isInteger(v);
    })) {
      onChangeRef.current == null ? void 0 : onChangeRef.current(null);
      return;
    }
    onChangeRef.current == null ? void 0 : onChangeRef.current(inputValues.join(''));
  }, [inputValues]);
  var handleOnChange = function handleOnChange(value, index) {
    if (!Number.isInteger(value)) {
      var _newInputValues = [].concat(inputValues);
      _newInputValues[index] = '';
      setInputValues(_newInputValues);
      return;
    }
    var newInputValues = [].concat(inputValues);
    newInputValues[index] = value;
    setInputValues(newInputValues);
    var nextInputIndex = index + 1;
    if (nextInputIndex <= numberOfInputs - 1) {
      setCurrentIndex(nextInputIndex);
    }
  };
  var handlePaste = function handlePaste(event) {
    var pastedData = event.clipboardData.getData('text') || '';
    event.preventDefault();
    var pastedDataArray = pastedData.split('');
    if (pastedDataArray.length === 0) {
      return;
    }
    var newValues = new Array(numberOfInputs).fill('');
    for (var i = 0; i < numberOfInputs; i++) {
      var currentValue = i >= pastedDataArray.length ? null : pastedDataArray[i];
      var currentValueAsNumber = Number(currentValue);
      if (Number.isNaN(currentValueAsNumber)) {
        console.warn(currentValue + " is not a number, paste is skipped");
        continue;
      }
      newValues[i] = currentValueAsNumber;
    }
    setInputValues(newValues);
    setCurrentIndex(numberOfInputs - 1);
  };
  return /*#__PURE__*/React.createElement(StyledInputsContainer, {
    className: "authentication-inputs-container",
    onPaste: handlePaste,
    ref: forwardedRef
  }, inputArray.map(function (_value, index) {
    return /*#__PURE__*/React.createElement(AuthenticationInputSingle, _extends({
      key: index,
      className: "authentication-input",
      index: index,
      shouldFocus: currentIndex === index,
      isLast: index === numberOfInputs - 1,
      onChange: handleOnChange,
      value: inputValues[index],
      error: error,
      onPaste: handlePaste,
      onIndexChanged: function onIndexChanged(index) {
        if (index >= numberOfInputs || index < 0) {
          return;
        }
        setCurrentIndex(index);
      }
    }, rest));
  }));
};
var forwardRef = function forwardRef(props, ref) {
  return /*#__PURE__*/React.createElement(AuthenticationInputComponent, _extends({}, props, {
    forwardedRef: ref
  }));
};
forwardRef.displayName = AuthenticationInputComponent.name;
export var AuthenticationInput = /*#__PURE__*/React.forwardRef(forwardRef);