import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["variant", "size", "initials"];
import React from 'react';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { AvatarStyle } from './AvatarStyle';
var avatarBackgroundColorVariant = ['supplementary', 'warning', 'danger', 'success', 'outstanding'];
var avatarSizeVariant = ['large', 'medium'];
export var Avatar = /*#__PURE__*/React.forwardRef(function Avatar(_ref, ref) {
  var _ref$variant = _ref.variant,
    variant = _ref$variant === void 0 ? 'supplementary' : _ref$variant,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'medium' : _ref$size,
    initials = _ref.initials,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(AvatarStyle, _extends({
    ref: ref,
    variant: variant,
    size: size
  }, props), /*#__PURE__*/React.createElement(Typography, {
    variant: size === 'medium' ? 'body1' : 'headline6',
    color: Neutral.B18,
    as: 'span'
  }, initials.slice(0, 2)));
});