var _avatarBackgroundColo, _avatarSizeVariant;
import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { Blue, Green, Neutral, Orange, Red } from '../utilities/colors';
var mediumAvatarSizeStyle = "\n  width: 40px;\n  height: 40px;\n  \n  @media (max-width: " + Breakpoints.large + ") {\n    width: 32px;\n    height: 32px;\n  }\n";
var largeAvatarSizeStyle = "\n  width: 60px;\n  height: 60px;\n\n  @media (max-width: " + Breakpoints.large + ") {\n    width: 40px;\n    height: 40px;\n  }\n";
var avatarBackgroundColor = (_avatarBackgroundColo = {}, _avatarBackgroundColo['supplementary'] = Neutral.B99, _avatarBackgroundColo['warning'] = Orange.S21, _avatarBackgroundColo['danger'] = Red.B100, _avatarBackgroundColo['success'] = Green.B89, _avatarBackgroundColo['outstanding'] = Blue.S08, _avatarBackgroundColo);
var avatarSizeVariant = (_avatarSizeVariant = {}, _avatarSizeVariant['large'] = largeAvatarSizeStyle, _avatarSizeVariant['medium'] = mediumAvatarSizeStyle, _avatarSizeVariant);
var getAvatarBackgroundColor = function getAvatarBackgroundColor(variant) {
  if (!(variant in avatarBackgroundColor)) {
    console.warn(variant + " is not a valid variant for the background color, default will be used");
    return avatarBackgroundColor['supplementary'];
  }
  return avatarBackgroundColor[variant];
};
var getAvatarSizeStyle = function getAvatarSizeStyle(sizeVariant) {
  if (!(sizeVariant in avatarSizeVariant)) {
    console.warn(sizeVariant + " is not a valid variant for the size, default will be used");
    return avatarSizeVariant['medium'];
  }
  return avatarSizeVariant[sizeVariant];
};
export var AvatarStyle = styled.div.withConfig({
  displayName: "AvatarStyle",
  componentId: "sc-1ry54fi-0"
})(["", " ", " display:flex;align-items:center;justify-content:center;border-radius:50%;"], function (_ref) {
  var size = _ref.size;
  return getAvatarSizeStyle(size);
}, function (_ref2) {
  var variant = _ref2.variant;
  return {
    'background-color': getAvatarBackgroundColor(variant)
  };
});