import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["children", "hasBorder", "status", "textColor"];
import React from 'react';
import { Typography } from '../Typography';
import { BadgeStyle, badgeTextColor } from './BadgeStyle';
var badgeStatusVariant = ['neutral', 'success', 'successBright', 'information', 'warning', 'critical', 'promotion', 'enticing', 'attention', 'primary', 'branding'];
var renderTextColor = function renderTextColor(textColor, status) {
  if (textColor) {
    return textColor;
  }
  return badgeTextColor[status];
};
export var Badge = /*#__PURE__*/React.forwardRef(function Badge(_ref, ref) {
  var children = _ref.children,
    hasBorder = _ref.hasBorder,
    status = _ref.status,
    textColor = _ref.textColor,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var content = typeof children === 'string' || typeof children === 'number' ? /*#__PURE__*/React.createElement(Typography, {
    variant: "overline",
    color: renderTextColor(textColor, status),
    as: 'span'
  }, children) : children;
  return /*#__PURE__*/React.createElement(BadgeStyle, _extends({
    ref: ref,
    status: status ? status : 'neutral',
    "data-border": hasBorder
  }, props), /*#__PURE__*/React.createElement("div", null, content));
});