var _badgeBackgroundColor, _badgeTextColor;
import styled from 'styled-components';
import { borderRadius20 } from '../utilities/borderRadius';
import { Blue, Green, Neutral, Orange, Red, Yellow } from '../utilities/colors';
import { space8 } from '../utilities/spacing';
var badgeBackgroundColor = (_badgeBackgroundColor = {}, _badgeBackgroundColor['neutral'] = Neutral.B95, _badgeBackgroundColor['success'] = Green.B89, _badgeBackgroundColor['successBright'] = Green.B61, _badgeBackgroundColor['information'] = Blue.S08, _badgeBackgroundColor['warning'] = Orange.S21, _badgeBackgroundColor['critical'] = Red.B100, _badgeBackgroundColor['promotion'] = Yellow.S75, _badgeBackgroundColor['enticing'] = Orange.S87, _badgeBackgroundColor['attention'] = Red.B93, _badgeBackgroundColor['primary'] = Blue.S99, _badgeBackgroundColor['branding'] = Blue.Brand, _badgeBackgroundColor);
export var badgeTextColor = (_badgeTextColor = {}, _badgeTextColor['neutral'] = Neutral.B18, _badgeTextColor['success'] = Neutral.B18, _badgeTextColor['successBright'] = Neutral.B100, _badgeTextColor['information'] = Neutral.B18, _badgeTextColor['warning'] = Neutral.B18, _badgeTextColor['critical'] = Neutral.B18, _badgeTextColor['promotion'] = Neutral.B18, _badgeTextColor['enticing'] = Neutral.B100, _badgeTextColor['attention'] = Neutral.B100, _badgeTextColor['primary'] = Neutral.B100, _badgeTextColor['branding'] = Neutral.B100, _badgeTextColor);
var getBadgeBackgroundColor = function getBadgeBackgroundColor(status) {
  if (!(status in badgeBackgroundColor)) {
    console.warn(status + " is not a valid status, default will be used");
    return badgeBackgroundColor['neutral'];
  }
  return badgeBackgroundColor[status];
};
export var BadgeStyle = styled.div.withConfig({
  displayName: "BadgeStyle",
  componentId: "sc-qx6mou-0"
})(["", " width:fit-content;padding:2px ", ";border-radius:", ";line-height:0;&[data-border='true']{border:1px solid ", ";}"], function (_ref) {
  var status = _ref.status;
  return {
    'background-color': getBadgeBackgroundColor(status)
  };
}, space8, borderRadius20, Neutral.B100);