import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["title", "status", "iconName", "children", "action", "secondaryAction", "dismissable", "onDismiss", "type", "showIcon"];
import React from 'react';
import { ButtonGroup } from '../ButtonGroup';
import { Icon } from '../Icon';
import { Typography } from '../Typography';
import { StyledBanner, StyledBannerContentContainer, StyledBannerTitle, StyledBannerTitleContainer, StyledCloseIconWrapper } from './BannerStyle';
import { StyledFixedBanner, StyledFixedIconWrapper, StyledFixedBannerContentContainer, StyledFixedBannerButtonContainer, StyledFixedCloseIconWrapper } from './FixedBannerStyle';
var iconNameStatusMap = {
  success: 'ri-checkbox-circle-fill',
  info: 'ri-information-fill',
  warning: 'ri-error-warning-fill',
  critical: 'ri-error-warning-fill'
};
export var Banner = /*#__PURE__*/React.forwardRef(function Banner(_ref, ref) {
  var title = _ref.title,
    status = _ref.status,
    iconName = _ref.iconName,
    children = _ref.children,
    action = _ref.action,
    secondaryAction = _ref.secondaryAction,
    _ref$dismissable = _ref.dismissable,
    dismissable = _ref$dismissable === void 0 ? true : _ref$dismissable,
    onDismiss = _ref.onDismiss,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'static' : _ref$type,
    _ref$showIcon = _ref.showIcon,
    showIcon = _ref$showIcon === void 0 ? true : _ref$showIcon,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var iconByStatus = iconNameStatusMap[status];
  if (!iconByStatus) {
    console.warn("Status " + status + " is not valid, default style will be used");
  }
  var iconNameValue = iconName ? iconName : iconByStatus || iconNameStatusMap['info'];
  var actionComponent = /*#__PURE__*/React.createElement(React.Fragment, null, (action || secondaryAction) && /*#__PURE__*/React.createElement(ButtonGroup, null, action, secondaryAction));
  if (type === 'static') return /*#__PURE__*/React.createElement(StyledBanner, _extends({
    ref: ref,
    "data-titled": !!title,
    "data-status": status
  }, props), /*#__PURE__*/React.createElement(StyledBannerTitleContainer, null, showIcon && /*#__PURE__*/React.createElement(Icon, {
    name: iconNameValue
  }), title && /*#__PURE__*/React.createElement(StyledBannerTitle, {
    "data-show-icon": showIcon
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "subtitle1"
  }, title)), dismissable && /*#__PURE__*/React.createElement(StyledCloseIconWrapper, {
    role: "button",
    onClick: function onClick() {
      return onDismiss == null ? void 0 : onDismiss();
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-close"
  }))), /*#__PURE__*/React.createElement(StyledBannerContentContainer, {
    "data-show-icon": showIcon
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "body1"
  }, children)), /*#__PURE__*/React.createElement(StyledBannerContentContainer, {
    "data-show-icon": showIcon
  }, actionComponent));
  return /*#__PURE__*/React.createElement(StyledFixedBanner, _extends({
    ref: ref,
    "data-status": status,
    "data-nobutton": action ? '' : 'true'
  }, props), showIcon && /*#__PURE__*/React.createElement(StyledFixedIconWrapper, {
    "data-status": status
  }, /*#__PURE__*/React.createElement(Icon, {
    name: iconNameValue
  })), /*#__PURE__*/React.createElement(StyledFixedBannerContentContainer, {
    "data-show-icon": showIcon,
    "data-has-action": !!(action || secondaryAction),
    "data-dismissable": dismissable
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "body2"
  }, children)), /*#__PURE__*/React.createElement(StyledFixedBannerButtonContainer, {
    "data-show-icon": showIcon
  }, actionComponent), dismissable && /*#__PURE__*/React.createElement(StyledFixedCloseIconWrapper, {
    role: "button",
    onClick: function onClick() {
      return onDismiss == null ? void 0 : onDismiss();
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-close"
  })));
});