import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["onClick", "action"];
import React from 'react';
import { Breakpoints, Colors } from '..';
import { Button, PrimaryButton } from '../Button';
import { ButtonGroup } from '../ButtonGroup';
import { Icon } from '../Icon';
import { Typography } from '../Typography';
import { StyledBarActionWrapper, StyledBar, StyledBarHeaderWrapper, StyledBarContainer, StyledButtonContainer } from './BarStyle';
import { useWindowSize } from './useWindowSize';
export var Bar = /*#__PURE__*/React.forwardRef(function Bar(_ref, ref) {
  var heading = _ref.heading,
    subheading = _ref.subheading,
    primaryAction = _ref.primaryAction,
    secondaryAction = _ref.secondaryAction,
    tertiaryAction = _ref.tertiaryAction,
    position = _ref.position,
    _ref$showBackButton = _ref.showBackButton,
    showBackButton = _ref$showBackButton === void 0 ? false : _ref$showBackButton,
    onBack = _ref.onBack,
    customActionGroup = _ref.customActionGroup;
  var headerMarkup = function headerMarkup() {
    if (subheading) {
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Typography, {
        as: "div",
        variant: "body2",
        color: Colors.Neutral.B18
      }, heading), /*#__PURE__*/React.createElement(Typography, {
        as: "div",
        variant: "subtitle2",
        color: Colors.Neutral.B40
      }, subheading));
    }
    return /*#__PURE__*/React.createElement(Typography, {
      as: "div",
      variant: "headline6",
      color: Colors.Neutral.B18
    }, heading);
  };
  var _useWindowSize = useWindowSize(),
    width = _useWindowSize.width;
  var breakpointWidth = parseInt(Breakpoints.large.slice(0, -2));
  var buttonSize = width <= breakpointWidth ? 'default' : 'large';
  function makeButtonProps(buttonAction) {
    var onClick = buttonAction.onClick,
      action = buttonAction.action,
      otherProps = _objectWithoutPropertiesLoose(buttonAction, _excluded);
    return _extends({
      onClick: onClick || action
    }, otherProps);
  }
  return /*#__PURE__*/React.createElement(StyledBar, {
    "data-align": position,
    ref: ref
  }, /*#__PURE__*/React.createElement(StyledBarContainer, null, showBackButton && /*#__PURE__*/React.createElement(StyledButtonContainer, {
    onClick: onBack
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-arrow-left-line"
  })), /*#__PURE__*/React.createElement(StyledBarHeaderWrapper, null, headerMarkup(), " "), /*#__PURE__*/React.createElement(StyledBarActionWrapper, null, customActionGroup ? customActionGroup : /*#__PURE__*/React.createElement(ButtonGroup, null, tertiaryAction && /*#__PURE__*/React.createElement(Button, _extends({}, makeButtonProps(tertiaryAction), {
    size: buttonSize
  }), tertiaryAction.label), secondaryAction && /*#__PURE__*/React.createElement(Button, _extends({}, makeButtonProps(secondaryAction), {
    size: buttonSize
  }), secondaryAction.label), primaryAction && /*#__PURE__*/React.createElement(PrimaryButton, _extends({}, makeButtonProps(primaryAction), {
    size: buttonSize
  }), primaryAction.label)))));
});