import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { Neutral } from '../utilities/colors';
import { space8 } from '../utilities/spacing';
export var StyledBar = styled.div.withConfig({
  displayName: "BarStyle__StyledBar",
  componentId: "sc-1m51mld-0"
})(["display:flex;flex-direction:row;padding:12px 0;width:100%;position:absolute;min-height:90px;height:fit-content;&[data-align='bottom']{bottom:0;}&[data-align='top']{top:0;}box-shadow:0px 0px 0px 1px rgba(63,63,68,0.05),0px 1px 3px rgba(63,63,68,0.15);background:", ";@media (max-width:", "){padding:8px 0;min-height:70px;}"], Neutral.B100, Breakpoints.large);
export var StyledBarHeaderWrapper = styled.div.withConfig({
  displayName: "BarStyle__StyledBarHeaderWrapper",
  componentId: "sc-1m51mld-1"
})(["display:flex;flex-grow:1;flex-direction:column;"]);
export var StyledBarActionWrapper = styled.div.withConfig({
  displayName: "BarStyle__StyledBarActionWrapper",
  componentId: "sc-1m51mld-2"
})(["display:flex;flex-direction:column-reverse;align-items:flex-end;"]);
export var StyledBarContainer = styled.div.withConfig({
  displayName: "BarStyle__StyledBarContainer",
  componentId: "sc-1m51mld-3"
})(["position:relative;margin:0 auto;padding:0 50px;width:100%;*,*:before,*:after{box-sizing:border-box;}justify-content:space-between;align-items:center;flex-direction:row;display:flex;@media (max-width:", "){gap:16px;padding:0 16px;}"], Breakpoints.large);
export var StyledCustomHeadingWrapper = styled.div.withConfig({
  displayName: "BarStyle__StyledCustomHeadingWrapper",
  componentId: "sc-1m51mld-4"
})(["display:flex;flex-direction:row;gap:", ";"], space8);
export var StyledButtonContainer = styled.div.withConfig({
  displayName: "BarStyle__StyledButtonContainer",
  componentId: "sc-1m51mld-5"
})(["cursor:pointer;margin-right:24px;svg{width:24px;fill:", ";}@media (max-width:", "){margin-right:16px;svg{width:16px;}}"], Neutral.B40, Breakpoints.large);