import React from 'react';
export declare type ButtonSize = 'default' | 'slim' | 'large';
export declare type IconPosition = 'left' | 'right';
export interface ButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    size?: ButtonSize;
    children?: React.ReactNode;
    /** Indicate if the button is currently selected  */
    active?: boolean;
    fullWidth?: boolean;
    icon?: React.ReactNode;
    iconPosition?: IconPosition;
    loading?: boolean;
}
export declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
