import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["children", "icon", "iconPosition", "active", "fullWidth", "loading", "disabled", "onClick"];
import React from 'react';
import { Spinner } from '../Spinner/Spinner';
import { Typography } from '../Typography';
import { StyledButton } from './ButtonStyle';
export var Button = /*#__PURE__*/React.forwardRef(function Button(_ref, ref) {
  var children = _ref.children,
    icon = _ref.icon,
    _ref$iconPosition = _ref.iconPosition,
    iconPosition = _ref$iconPosition === void 0 ? 'left' : _ref$iconPosition,
    active = _ref.active,
    fullWidth = _ref.fullWidth,
    loading = _ref.loading,
    disabled = _ref.disabled,
    onClick = _ref.onClick,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var content = typeof children === 'string' ? /*#__PURE__*/React.createElement(Typography, {
    variant: "button"
  }, " ", children) : children;
  var renderIcon = function renderIcon(position) {
    if (icon && position === iconPosition) {
      return icon;
    }
    return null;
  };
  var onClickHandler = function onClickHandler() {
    if (loading || disabled) {
      return;
    }
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    return onClick == null ? void 0 : onClick.apply(void 0, args);
  };
  return /*#__PURE__*/React.createElement(StyledButton, _extends({
    ref: ref,
    "data-active": active,
    "data-full-width": fullWidth,
    "data-loading": loading,
    "data-icon": !!icon
  }, otherProps, {
    onMouseUp: function onMouseUp(e) {
      return e.currentTarget.blur();
    },
    onClick: onClickHandler,
    disabled: disabled
  }), loading && /*#__PURE__*/React.createElement(Spinner, null), renderIcon('left'), content, renderIcon('right'));
});