import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { borderRadius4 } from '../utilities/borderRadius';
import { Neutral } from '../utilities/colors';
import { button, buttonFocused, insetButtonPressed } from '../utilities/dropShadow';
import { space12, space16, space24, space4, space8 } from '../utilities/spacing';
var defaultButtonSizeStyle = "\n  min-width: 75px;\n  height: 36px;\n  padding: " + space8 + " " + space16 + ";\n\n  @media (max-width: " + Breakpoints.large + ") {\n    min-width: 71px;\n  }\n";
var largeButtonSizeStyle = "\n  min-width: 91px;\n  height: 44px;\n  padding: " + space12 + " " + space24 + ";\n\n  @media (max-width: " + Breakpoints.large + ") {\n    min-width: 87px;\n  }\n";
var slimButtonSizeStyle = "\n  padding: " + space4 + ";\n\n  p {\n    margin-block-start: 0px;\n    margin-block-end: 0px;\n  }\n";
var buttonSizeStyleMap = {
  "default": defaultButtonSizeStyle,
  slim: slimButtonSizeStyle,
  large: largeButtonSizeStyle
};
export var StyledButton = styled.button.withConfig({
  displayName: "ButtonStyle__StyledButton",
  componentId: "sc-8t0676-0"
})(["display:flex;gap:8px;border-width:1px;border-style:solid;border-radius:", ";flex-direction:row;align-items:center;justify-content:center;flex:none;order:0;flex-grow:0;color:", ";background:", ";border-color:", ";box-shadow:", ";&:hover{cursor:pointer;background:", ";}&:focus{outline:none;border-color:", ";box-shadow:", ";}&:active{background:", ";border:1px solid ", ";box-shadow:", ";}&:active > svg{fill:", ";}&:disabled{color:", ";background:", ";border-color:", ";pointer-events:none;}&:disabled svg{fill:", ";}", " svg{width:20px;height:20px;fill:", ";}.spinner-container{position:absolute;}&[data-active='true']{color:", ";background:", ";}&[data-full-width='true']{width:100%;}&[data-active='true'] svg{fill:", ";}&[data-loading='true']{background:", ";color:transparent;}&[data-loading='true'] svg{fill:transparent;}&[data-loading='true'] .spinner-container svg{fill:", ";position:static;}"], borderRadius4, Neutral.B18, Neutral.B100, Neutral.B68, button, Neutral.B99, Neutral.B68, buttonFocused, Neutral.B95, Neutral.B68, insetButtonPressed, Neutral.B40, Neutral.B85, Neutral.B95, Neutral.B95, Neutral.B85, function (_ref) {
  var _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'default' : _ref$size;
  var sizeStyle = buttonSizeStyleMap[size];
  if (size && !sizeStyle) {
    console.warn(size + " is not a valid ButtonSize, default will be used");
  }
  return buttonSizeStyleMap[size] || defaultButtonSizeStyle;
}, Neutral.B40, Neutral.B100, Neutral.B40, Neutral.B100, Neutral.B99, Neutral.B85);