import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { Button, PrimaryButton } from '../Button';
import { DestructivePlainButton } from '../Button/DestructivePlainButtonStyle';
import { PlainButton } from '../Button/PlainButtonStyle';
import { ButtonGroup } from '../ButtonGroup';
import { Typography } from '../Typography';
import { StyledCardActionWrapper, StyledCardContainer, StyledCardContentWrapper, StyledCardHeaderLeftContainer, StyledCardHeaderRightContainer, StyledCardHeaderSection, StyledCardHeaderSectionHalf, StyledCardHeaderWrapper } from './CardStyle';
import { Section } from './Section';
var CardComponent = /*#__PURE__*/React.forwardRef(function Card(_ref, ref) {
  var heading = _ref.heading,
    subheading = _ref.subheading,
    primaryAction = _ref.primaryAction,
    secondaryAction = _ref.secondaryAction,
    customActions = _ref.customActions,
    headerPrimaryAction = _ref.headerPrimaryAction,
    headerSecondaryAction = _ref.headerSecondaryAction,
    _ref$actionsAlignment = _ref.actionsAlignment,
    actionsAlignment = _ref$actionsAlignment === void 0 ? 'right' : _ref$actionsAlignment,
    children = _ref.children;
  var headingMarkup = /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle1"
  }, heading);
  var subHeadingMarkup = /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle2"
  }, subheading);
  var headerMarkup = function headerMarkup() {
    if (!!heading && !!subheading) {
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(StyledCardHeaderSectionHalf, null, headingMarkup), /*#__PURE__*/React.createElement(StyledCardHeaderSectionHalf, null, subHeadingMarkup));
    }
    if (heading) {
      return /*#__PURE__*/React.createElement(StyledCardHeaderSection, null, headingMarkup);
    }
    return /*#__PURE__*/React.createElement(StyledCardHeaderSection, null, subHeadingMarkup);
  };
  var defaultActionContent = /*#__PURE__*/React.createElement(ButtonGroup, null, secondaryAction && /*#__PURE__*/React.createElement(Button, _extends({
    onClick: secondaryAction.action
  }, secondaryAction), secondaryAction.label), primaryAction && /*#__PURE__*/React.createElement(PrimaryButton, _extends({
    onClick: primaryAction.action
  }, primaryAction), primaryAction.label));
  var actionsContent = customActions ? customActions : defaultActionContent;
  var showHeader = !!heading || !!subheading;
  var showActions = !!customActions || !!primaryAction || !!secondaryAction;
  return /*#__PURE__*/React.createElement(StyledCardContainer, {
    ref: ref,
    className: "card-container"
  }, showHeader && /*#__PURE__*/React.createElement(StyledCardHeaderWrapper, {
    className: "card-heading-container"
  }, /*#__PURE__*/React.createElement(StyledCardHeaderLeftContainer, null, headerMarkup()), /*#__PURE__*/React.createElement(StyledCardHeaderRightContainer, null, /*#__PURE__*/React.createElement(ButtonGroup, {
    fullWidth: false,
    isButtonWrapped: true
  }, headerSecondaryAction && /*#__PURE__*/React.createElement(DestructivePlainButton, _extends({
    onClick: headerSecondaryAction.action,
    size: "slim"
  }, headerSecondaryAction), headerSecondaryAction.label), headerPrimaryAction && /*#__PURE__*/React.createElement(PlainButton, _extends({
    onClick: headerPrimaryAction.action,
    size: "slim"
  }, headerPrimaryAction), headerPrimaryAction.label)))), /*#__PURE__*/React.createElement(StyledCardContentWrapper, {
    "data-actions": showActions,
    className: "card-content-container"
  }, children), showActions && /*#__PURE__*/React.createElement(StyledCardActionWrapper, {
    "data-align": actionsAlignment,
    className: "card-actions-wrapper"
  }, actionsContent));
});
export var Card = Object.assign(CardComponent, {
  Section: Section
});