import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { borderRadius8 } from '../utilities/borderRadius';
import { Neutral } from '../utilities/colors';
import { space12, space16, space24, space4 } from '../utilities/spacing';
export var StyledCardContainer = styled.div.withConfig({
  displayName: "CardStyle__StyledCardContainer",
  componentId: "sc-tpku8j-0"
})(["border-radius:", ";box-shadow:0px 0px 5px 0px rgba(71,71,71,0.1),0px 1px 2px 0px rgba(71,71,71,0.2);color:", ";background-color:", ";"], borderRadius8, Neutral.B18, Neutral.B100);
export var StyledCardHeaderWrapper = styled.div.withConfig({
  displayName: "CardStyle__StyledCardHeaderWrapper",
  componentId: "sc-tpku8j-1"
})(["display:flex;padding:", " ", " 20px;flex-wrap:nowrap;flex-direction:row;height:max-content;border-bottom:solid 1px ", ";@media (max-width:", "){padding:", " ", " 10px;}"], space24, space24, Neutral.B85, Breakpoints.large, space12, space16);
export var StyledCardHeaderSection = styled.div.withConfig({
  displayName: "CardStyle__StyledCardHeaderSection",
  componentId: "sc-tpku8j-2"
})(["flex:0 0 100%;display:flex;flex-direction:row;align-items:center;"]);
export var StyledCardHeaderSectionHalf = styled.div.withConfig({
  displayName: "CardStyle__StyledCardHeaderSectionHalf",
  componentId: "sc-tpku8j-3"
})(["flex:0 0 50%;"]);
export var StyledCardContentWrapper = styled.div.withConfig({
  displayName: "CardStyle__StyledCardContentWrapper",
  componentId: "sc-tpku8j-4"
})(["padding-bottom:", ";@media (max-width:", "){padding-bottom:0px;}&[data-actions='true']{padding-bottom:0px;}"], space4, Breakpoints.large);
export var StyledCardSection = styled.div.withConfig({
  displayName: "CardStyle__StyledCardSection",
  componentId: "sc-tpku8j-5"
})(["padding:20px ", ";.section{padding:", " ", ";&:last-child{padding-bottom:0;}}.section + .section{border-top:solid 1px ", ";}@media (max-width:", "){padding:", " ", ";.section{padding:", " ", ";}}"], space24, space16, space24, Neutral.B85, Breakpoints.large, space12, space16, space12, space16);
export var StyledCardActionWrapper = styled.div.withConfig({
  displayName: "CardStyle__StyledCardActionWrapper",
  componentId: "sc-tpku8j-6"
})(["display:flex;padding:20px ", " ", ";flex-direction:column-reverse;align-items:flex-end;border-top:solid 1px ", ";&[data-align='left']{flex-direction:column;align-items:flex-start;}@media (max-width:", "){padding:10px ", " ", ";}"], space24, space24, Neutral.B85, Breakpoints.large, space16, space12);
export var StyledCustomHeader = styled.div.withConfig({
  displayName: "CardStyle__StyledCustomHeader",
  componentId: "sc-tpku8j-7"
})(["& > *{margin:0;}"]);
export var StyledCardHeaderLeftContainer = styled.div.withConfig({
  displayName: "CardStyle__StyledCardHeaderLeftContainer",
  componentId: "sc-tpku8j-8"
})(["flex:1;flex-direction:column;display:flex;align-items:flex-start;"]);
export var StyledCardHeaderRightContainer = styled.div.withConfig({
  displayName: "CardStyle__StyledCardHeaderRightContainer",
  componentId: "sc-tpku8j-9"
})(["margin-left:16px;margin-right:auto;display:flex;flex-direction:row;align-items:center;@media (max-width:", "){align-items:flex-end;}"], Breakpoints.large);