var _indicatorPositionSty, _indicatorTypeSpaceMa, _indicatorTypeStyleMa;
import styled from 'styled-components';
import { borderRadius16, borderRadiusHalf } from '../utilities/borderRadius';
import { Neutral, Yellow } from '../utilities/colors';
import { space4, space8 } from '../utilities/spacing';
export var CarouselContainer = styled.div.withConfig({
  displayName: "CarouselStyle__CarouselContainer",
  componentId: "sc-pn0x62-0"
})(["position:relative;display:flex;flex-direction:column;aspect-ratio:", ";height:", ";width:", ";"], function (props) {
  return props.aspectRatio;
}, function (props) {
  return props.height;
}, function (props) {
  return props.width;
});
export var SlideContainer = styled.div.withConfig({
  displayName: "CarouselStyle__SlideContainer",
  componentId: "sc-pn0x62-1"
})(["position:relative;display:flex;overflow:hidden;aspect-ratio:", ";height:", ";width:", ";"], function (props) {
  return props.aspectRatio;
}, function (props) {
  return props.height;
}, function (props) {
  return props.width;
});
export var ItemsContainer = styled.div.withConfig({
  displayName: "CarouselStyle__ItemsContainer",
  componentId: "sc-pn0x62-2"
})(["display:flex;white-space:nowrap;width:100%;height:100%;transition-timing-function:cubic-bezier(0.34,0.69,0.1,1);transition-duration:500ms;transform:", ";"], function (props) {
  return "translateX(-" + props.activeIndex * 100 + "%)";
});
export var ArrowsContainer = styled.div.withConfig({
  displayName: "CarouselStyle__ArrowsContainer",
  componentId: "sc-pn0x62-3"
})(["visibility:visible;opacity:1;transition:opacity 0.75s ease;button{z-index:2;position:absolute;display:flex;justify-content:center;align-items:center;width:32px;height:32px;border-radius:", ";border:none;background:", ";opacity:0.6;cursor:pointer;&:hover{opacity:1;transition:opacity 0.5s ease;}}&[data-hidden='true']{visibility:hidden;opacity:0;}"], borderRadiusHalf, Neutral.B99);
export var PreviousArrow = styled.button.withConfig({
  displayName: "CarouselStyle__PreviousArrow",
  componentId: "sc-pn0x62-4"
})(["left:0;margin-left:", ";top:50%;transform:translateY(-50%);"], space8);
export var NextArrow = styled.button.withConfig({
  displayName: "CarouselStyle__NextArrow",
  componentId: "sc-pn0x62-5"
})(["right:0;margin-right:", ";top:50%;transform:translateY(-50%);"], space8);

// use style mapping for indicator type and position
var indicatorPositionStyleMapping = (_indicatorPositionSty = {}, _indicatorPositionSty['top'] = "", _indicatorPositionSty['bottom'] = "", _indicatorPositionSty['left'] = "", _indicatorPositionSty['right'] = "", _indicatorPositionSty['outer'] = "bottom: -18px", _indicatorPositionSty);
var indicatorTypeSpaceMapping = (_indicatorTypeSpaceMa = {}, _indicatorTypeSpaceMa['dot'] = "", _indicatorTypeSpaceMa['line'] = "gap: " + space8 + ";", _indicatorTypeSpaceMa['slider'] = "", _indicatorTypeSpaceMa);
export var IndicatorsContainer = styled.div.withConfig({
  displayName: "CarouselStyle__IndicatorsContainer",
  componentId: "sc-pn0x62-6"
})(["display:flex;justify-content:center;z-index:2;position:absolute;width:100%;div{display:flex;background:rgba(248,250,252,0.6);padding:", " ", ";border-radius:100px;", "}", ""], space4, space8, function (props) {
  return indicatorTypeSpaceMapping[props.indicatorType];
}, function (props) {
  return indicatorPositionStyleMapping[props.indicatorPosition];
});
var indicatorTypeStyleMapping = (_indicatorTypeStyleMa = {}, _indicatorTypeStyleMa['dot'] = "", _indicatorTypeStyleMa['line'] = "\n    width: 16px;\n    height: 6px;\n    border-radius: " + borderRadius16 + ";\n    background: " + Neutral.B40 + ";\n    border: none;\n  ", _indicatorTypeStyleMa['slider'] = "", _indicatorTypeStyleMa);
export var Indicator = styled.button.withConfig({
  displayName: "CarouselStyle__Indicator",
  componentId: "sc-pn0x62-7"
})(["cursor:pointer;opacity:0.5;&.active{background:", ";}", ""], Yellow.Brand, function (props) {
  return indicatorTypeStyleMapping[props.indicatorType];
});