import styled from 'styled-components';
import { Breakpoints } from '..';
import { borderRadius4 } from '../utilities/borderRadius';
import { Blue, Neutral, Red } from '../utilities/colors';
import { space4 } from '../utilities/spacing';
export var StyledContainer = styled.div.withConfig({
  displayName: "CheckboxStyle__StyledContainer",
  componentId: "sc-a9bf1h-0"
})(["flex-direction:row;align-items:flex-start;gap:8px;color:", ";label{cursor:pointer;margin-top:-1px;}svg{border-radius:4px;position:absolute;height:20px;width:20px;top:0;left:0;opacity:0;pointer-events:none;fill:", ";}&[data-spacing='true']{padding:", " 0px;}&[aria-disabled='true'],&[aria-disabled='true'] .help-text{color:", ";}&[aria-disabled='true'] div[role='checkbox']{border-color:", ";background:", ";cursor:not-allowed;}&[aria-disabled='true'] input{cursor:not-allowed;}&[aria-disabled='true'] svg{background:", ";fill:", ";}&[data-error='true'] svg{fill:", ";}"], Neutral.B18, Blue.S99, space4, Neutral.B68, Neutral.B85, Neutral.B95, Neutral.B68, Neutral.B95, Red.B93);
export var StyledCheckboxContainer = styled.div.withConfig({
  displayName: "CheckboxStyle__StyledCheckboxContainer",
  componentId: "sc-a9bf1h-1"
})(["position:relative;cursor:pointer;"]);
export var StyledCheckbox = styled.div.withConfig({
  displayName: "CheckboxStyle__StyledCheckbox",
  componentId: "sc-a9bf1h-2"
})(["width:20px;height:20px;background:", ";border:2px solid;border-color:", ";cursor:pointer;border-radius:", ";position:relative;& input{opacity:0;cursor:pointer;width:24px;height:24px;margin:0;padding:0;position:absolute;top:-4px;left:-4px;}&[data-focus='true']{box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px #6ac9ec;}&[aria-checked='true'] + svg,&[aria-checked='mixed'] + svg{opacity:1;}@media (max-width:", "){width:18px;height:18px;}"], Neutral.B100, function (_ref) {
  var hasError = _ref.hasError;
  return hasError ? Red.B93 : Neutral.B68;
}, borderRadius4, Neutral.B100, Breakpoints.large);
export var StyledRow = styled.div.withConfig({
  displayName: "CheckboxStyle__StyledRow",
  componentId: "sc-a9bf1h-3"
})(["display:flex;flex-direction:row;flex-wrap:wrap;gap:8px;"]);
export var StyledColumn = styled.div.withConfig({
  displayName: "CheckboxStyle__StyledColumn",
  componentId: "sc-a9bf1h-4"
})(["display:flex;flex-direction:column;&.help-text{color:", ";}"], Neutral.B40);
export var StyledLeftColumn = styled(StyledColumn).withConfig({
  displayName: "CheckboxStyle__StyledLeftColumn",
  componentId: "sc-a9bf1h-5"
})(["flex-basis:20px;"]);