import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["hasBorder", "children", "showIndicator", "indicatorPosition"];
import React from 'react';
import { CollapseItem } from './CollapseItem';
import { CollapseComponentContainer } from './CollapseStyle';
var CollapseComponent = /*#__PURE__*/React.forwardRef(function Collapse(_ref, ref) {
  var _ref$hasBorder = _ref.hasBorder,
    hasBorder = _ref$hasBorder === void 0 ? true : _ref$hasBorder,
    children = _ref.children,
    showIndicator = _ref.showIndicator,
    indicatorPosition = _ref.indicatorPosition,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CollapseComponentContainer, _extends({
    ref: ref,
    "data-border": hasBorder
  }, props), React.Children.map(children, function (child) {
    var _child$props, _child$props2;
    var childShowIndicator = ((_child$props = child.props) == null ? void 0 : _child$props.showIndicator) || showIndicator;
    var childIndicatorPosition = ((_child$props2 = child.props) == null ? void 0 : _child$props2.indicatorPosition) || indicatorPosition;
    return /*#__PURE__*/React.cloneElement(child, {
      showIndicator: childShowIndicator,
      indicatorPosition: childIndicatorPosition
    });
  })));
});
export var Collapse = Object.assign(CollapseComponent, {
  Item: CollapseItem
});