import React from 'react';
export interface CollapseItemProps {
    /** Content to be displayed when the item is not collapsed, 8px padding applied by default */
    children: React.ReactNode;
    /** Title for each collapse item on the header, simply can pass in a string */
    title: React.ReactNode;
    /** Extra components to be displayed on the left side of heading, on the right of indicator (if it is left-aligned) and header (title), flex row with gap of 4px is applied */
    headerLeft?: React.ReactNode;
    /** Extra components to be displayed on the right side of heading, on the left of indicator (if it is right-aligned), flex row with gap of 4px is applied */
    headerRight?: React.ReactNode;
    /** If this is false, it is not collapsed at the beginning (you can see children content directly), default is true */
    defaultCollapsed?: boolean;
    /** If this is true, you cannot collapse or uncollapsed the item, default is false */
    disabled?: boolean;
    /** If this is true, show arrow indication, otherwise it is not shown, default is True or whatever specified in Collapse component */
    showIndicator?: boolean;
    /** Arrow indicator to be put on the very left or right of the header, default is left or whatever specified in Collapse component, you can overwrite for a single item here */
    indicatorPosition?: 'left' | 'right';
}
export declare const CollapseItem: React.ForwardRefExoticComponent<CollapseItemProps & React.RefAttributes<HTMLDivElement>>;
