import React, { useState } from 'react';
import { Icon } from '../Icon';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { CollapseContent, CollapseContentWrapper, CollapseItemHeader, CollapseItemContent, IndicatorIconWrapper, RightHeaderSection } from './CollapseItemStyle';
export var CollapseItem = /*#__PURE__*/React.forwardRef(function CollapseItem(_ref, ref) {
  var children = _ref.children,
    title = _ref.title,
    headerLeft = _ref.headerLeft,
    headerRight = _ref.headerRight,
    _ref$defaultCollapsed = _ref.defaultCollapsed,
    defaultCollapsed = _ref$defaultCollapsed === void 0 ? true : _ref$defaultCollapsed,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$showIndicator = _ref.showIndicator,
    showIndicator = _ref$showIndicator === void 0 ? true : _ref$showIndicator,
    _ref$indicatorPositio = _ref.indicatorPosition,
    indicatorPosition = _ref$indicatorPositio === void 0 ? 'left' : _ref$indicatorPositio;
  var _useState = useState(defaultCollapsed),
    isCollapsed = _useState[0],
    setIsCollapsed = _useState[1];
  var handleClick = function handleClick() {
    if (!disabled) {
      setIsCollapsed(!isCollapsed);
    }
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CollapseItemHeader, {
    onClick: handleClick,
    "data-disabled": disabled,
    ref: ref
  }, showIndicator && indicatorPosition === 'left' && /*#__PURE__*/React.createElement(IndicatorIconWrapper, {
    isCollapsed: isCollapsed
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-arrow-m-right-fill"
  })), /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "body1",
    color: disabled ? Neutral.B85 : Neutral.B18
  }, title), headerLeft, /*#__PURE__*/React.createElement(RightHeaderSection, null, headerRight, showIndicator && indicatorPosition === 'right' && /*#__PURE__*/React.createElement(IndicatorIconWrapper, {
    isCollapsed: isCollapsed,
    "data-anticlockwise": true
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-arrow-m-left-fill"
  })))), /*#__PURE__*/React.createElement(CollapseItemContent, {
    isCollapsed: isCollapsed
  }, /*#__PURE__*/React.createElement(CollapseContentWrapper, null, /*#__PURE__*/React.createElement(CollapseContent, {
    className: "collapse-item-content"
  }, children))));
});