import React from 'react';
export interface ComboboxProps {
    activator: React.ReactElement;
    allowMultiple?: boolean;
    children?: React.ReactNode;
    label?: React.ReactNode;
    onClose?: () => void;
    /** Margin Top = 8 ; Option height = 48 ; optionListHeight = (n options * option height) + margin top; */
    listHeight?: number;
    /** true = Allow vertical scroll, default by 6 options. */
    scrollable?: boolean;
}
export declare const Combobox: {
    ({ activator, allowMultiple, children, onClose, listHeight, scrollable, }: ComboboxProps): JSX.Element;
    Label: ({ children }: {
        children: React.ReactNode;
    }) => JSX.Element;
    TextInput: ({ onChange, value, ...props }: import("./components/TextInput/TextInput").ComboboxTextInputProps) => JSX.Element;
    OptionList: ({ children, isEmpty, noOptionsMessage, onSelect, }: import("./components/OptionList/OptionList").OptionListProps) => JSX.Element;
    Option: ({ label, value, selected }: import("./components/OptionList/Option").OptionProps) => JSX.Element;
};
