import React, { useCallback, useEffect, useState } from 'react';
import { Popover } from '../Popover';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { TextInput, OptionList, Option } from './components';
import { ComboboxOptionContext } from './components/OptionList/OptionListContext';
import { ComboboxTextInputContext } from './components/TextInput/TextInputContext';
export var Combobox = function Combobox(_ref) {
  var activator = _ref.activator,
    _ref$allowMultiple = _ref.allowMultiple,
    allowMultiple = _ref$allowMultiple === void 0 ? false : _ref$allowMultiple,
    children = _ref.children,
    onClose = _ref.onClose,
    listHeight = _ref.listHeight,
    scrollable = _ref.scrollable;
  var _useState = useState(false),
    popoverActive = _useState[0],
    setPopoverActive = _useState[1];
  var _useState2 = useState(),
    textInputWidth = _useState2[0],
    setTextInputWidth = _useState2[1];
  var _useState3 = useState(''),
    optionListHeight = _useState3[0],
    setOptionListHeight = _useState3[1];
  useEffect(function () {
    if (listHeight) {
      setOptionListHeight(listHeight + 24 + "px");
      return;
    }
    if (scrollable) {
      setOptionListHeight(296 + 24 + "px");
      return;
    }
  }, [listHeight, scrollable]);
  var handleClose = useCallback(function () {
    setPopoverActive(false);
    onClose == null ? void 0 : onClose();
  }, [onClose]);
  var handleFocus = function handleFocus() {
    setPopoverActive(true);
  };
  var handleBlur = function handleBlur() {
    if (popoverActive) {
      handleClose();
    }
  };
  var textInputContextValue = {
    onFocus: handleFocus,
    onBlur: handleBlur,
    textInputWidth: textInputWidth,
    setTextInputWidth: setTextInputWidth
  };
  var optionContextValue = {
    allowMultiple: allowMultiple
  };
  return /*#__PURE__*/React.createElement(Popover, {
    active: popoverActive,
    activator: /*#__PURE__*/React.createElement(ComboboxTextInputContext.Provider, {
      value: textInputContextValue
    }, activator),
    onClose: handleClose,
    autofocusTarget: "none",
    preventFocusOnClose: true,
    fullWidth: true
  }, /*#__PURE__*/React.createElement(Popover.Pane, {
    height: optionListHeight
  }, /*#__PURE__*/React.createElement(ComboboxOptionContext.Provider, {
    value: optionContextValue
  }, /*#__PURE__*/React.createElement(ComboboxTextInputContext.Provider, {
    value: textInputContextValue
  }, children))));
};
var Label = function Label(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "subtitle2",
    color: Neutral.B18
  }, children);
};
Combobox.Label = Label;
Combobox.TextInput = TextInput;
Combobox.OptionList = OptionList;
Combobox.Option = Option;