import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["countries"];
import React, { useCallback, useEffect, useState } from 'react';
import { Blue } from '../../utilities/colors';
import { space8 } from '../../utilities/spacing';
import { Combobox } from '../Combobox';
import { StyledTag } from './TagStyle';
export var ComboboxMultiSelect = function ComboboxMultiSelect(_ref) {
  var countries = _ref.countries,
    args = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(''),
    inputValue = _useState[0],
    setInputValue = _useState[1];
  var _useState2 = useState([]),
    selectedOptions = _useState2[0],
    setSelectedOptions = _useState2[1];
  var _useState3 = useState(false),
    isSearchEmpty = _useState3[0],
    setIsSearchEmpty = _useState3[1];
  var _useState4 = useState(countries),
    options = _useState4[0],
    setOptions = _useState4[1];
  var handleInputChange = function handleInputChange(value) {
    setInputValue(value);
    if (value === '') {
      setOptions(countries);
      return;
    }
    var filterRegex = new RegExp(value, 'i');
    var filterOptions = options.filter(function (country) {
      return country.label.match(filterRegex);
    });
    setOptions(filterOptions);
  };
  var handleSelect = function handleSelect(selected) {
    if (selectedOptions.includes(selected)) {
      setSelectedOptions(selectedOptions.filter(function (option) {
        return option !== selected;
      }));
    } else {
      setSelectedOptions([].concat(selectedOptions, [selected]));
    }
  };
  var optionsMarkup = (options == null ? void 0 : options.length) > 0 ? options.map(function (option) {
    var label = option.label,
      value = option.value;
    return /*#__PURE__*/React.createElement(Combobox.Option, {
      key: value,
      label: label,
      value: value,
      selected: selectedOptions.includes(value)
    });
  }) : null;
  var removeTag = useCallback(function (tag) {
    return function () {
      var options = [].concat(selectedOptions);
      options.splice(options.indexOf(tag), 1);
      setSelectedOptions(options);
    };
  }, [selectedOptions]);
  var tagsMarkup = selectedOptions.map(function (option) {
    return /*#__PURE__*/React.createElement(StyledTag, {
      key: "option-" + option,
      onRemove: removeTag(option),
      textColor: Blue.S99
    }, option);
  });
  useEffect(function () {
    if (options.length === 0) {
      setIsSearchEmpty(true);
    }
    if (options.length > 0 && isSearchEmpty === true) {
      setIsSearchEmpty(false);
    }
  }, [isSearchEmpty, options]);
  return /*#__PURE__*/React.createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, /*#__PURE__*/React.createElement(Combobox.Label, null, "Label"), /*#__PURE__*/React.createElement(Combobox, _extends({}, args, {
    activator: /*#__PURE__*/React.createElement(Combobox.TextInput, {
      value: inputValue,
      onChange: function onChange(value) {
        return handleInputChange(value);
      },
      placeholder: "Search"
    })
  }), /*#__PURE__*/React.createElement(Combobox.OptionList, {
    onSelect: handleSelect,
    isEmpty: isSearchEmpty
  }, optionsMarkup)), /*#__PURE__*/React.createElement("div", {
    style: {
      paddingTop: space8
    }
  }, tagsMarkup));
};