import React from 'react';
import { Checkbox } from '../../../Checkbox';
import { Typography } from '../../../Typography';
import { Neutral } from '../../../utilities/colors';
import { useOption, useOptionList } from './OptionListContext';
import { EmptyOptionContainer } from './OptionListStyle';
export var Option = function Option(_ref) {
  var label = _ref.label,
    value = _ref.value,
    selected = _ref.selected;
  var optionContext = useOption();
  var allowMultiple = optionContext.allowMultiple;
  var optionListContext = useOptionList();
  var onOptionSelect = optionListContext.onOptionSelect;
  var handleOptionSelect = function handleOptionSelect(event) {
    event.preventDefault();
    event.stopPropagation();
    onOptionSelect({
      value: value
    });
  };
  return /*#__PURE__*/React.createElement("li", {
    value: value,
    onClick: handleOptionSelect,
    "data-active": selected
  }, allowMultiple ? /*#__PURE__*/React.createElement(Checkbox, {
    label: label,
    checked: selected
  }) : label);
};
export var NoOptionList = function NoOptionList(_ref2) {
  var _ref2$noOptionsMessag = _ref2.noOptionsMessage,
    noOptionsMessage = _ref2$noOptionsMessag === void 0 ? 'No matching results' : _ref2$noOptionsMessag;
  return /*#__PURE__*/React.createElement(EmptyOptionContainer, null, /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "body2",
    color: Neutral.B40
  }, noOptionsMessage));
};