import React from 'react';
import { useComboboxTextInput } from '../TextInput/TextInputContext';
import { NoOptionList } from './Option';
import { ComboboxOptionListContext } from './OptionListContext';
import { OptionListContainer, StyledOptionList } from './OptionListStyle';
export var OptionList = function OptionList(_ref) {
  var children = _ref.children,
    isEmpty = _ref.isEmpty,
    noOptionsMessage = _ref.noOptionsMessage,
    onSelect = _ref.onSelect;
  var textInputContext = useComboboxTextInput();
  var textInputWidth = textInputContext.textInputWidth;
  var hasChildren = !isEmpty;
  var onOptionSelect = function onOptionSelect(_ref2) {
    var value = _ref2.value;
    if (onSelect) onSelect(value);
  };
  var optionListContextValue = {
    onOptionSelect: onOptionSelect
  };
  return /*#__PURE__*/React.createElement(OptionListContainer, {
    textInputWidth: textInputWidth
  }, /*#__PURE__*/React.createElement(StyledOptionList, null, /*#__PURE__*/React.createElement(ComboboxOptionListContext.Provider, {
    value: optionListContextValue
  }, hasChildren ? children : /*#__PURE__*/React.createElement(NoOptionList, {
    noOptionsMessage: noOptionsMessage
  }))));
};