import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["onChange", "value"];
import React, { useEffect, useRef } from 'react';
import { Icon } from '../../../Icon';
import { TextInput as GlintsTextInput } from '../../../TextInput';
import { useComboboxTextInput } from './TextInputContext';
export var TextInput = function TextInput(_ref) {
  var onChange = _ref.onChange,
    value = _ref.value,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var inputRef = useRef(null);
  var textInputContext = useComboboxTextInput();
  var onFocus = textInputContext.onFocus,
    setTextInputWidth = textInputContext.setTextInputWidth;
  useEffect(function () {
    setTextInputWidth(inputRef.current.getBoundingClientRect().width);
  }, [inputRef, setTextInputWidth]);
  var handleChange = function handleChange(_ref2) {
    var value = _ref2.value;
    if (onChange) onChange(value);
  };
  return /*#__PURE__*/React.createElement(GlintsTextInput, _extends({}, props, {
    ref: inputRef,
    prefix: /*#__PURE__*/React.createElement(Icon, {
      name: "ri-search"
    }),
    value: value,
    onChange: function onChange(value) {
      return handleChange({
        value: value
      });
    },
    onFocus: onFocus
  }));
};