import React from 'react';
import { EmptyStateProps } from '../EmptyState';
export declare type SortDirection = 'ASCENDING' | 'DESCENDING';
export declare type TableHeading = Omit<React.ThHTMLAttributes<HTMLTableColElement>, 'title'> & {
    title?: React.ReactNode;
    id?: string;
    defaultSortDirection?: SortDirection;
};
export declare type Total = TableHeading | null;
export interface DataTableProps extends React.TableHTMLAttributes<HTMLTableElement> {
    /** If the title in TableHeading is of type ReactNode and you require sorting functionality, please make sure to provide 'id' for the TableHeading */
    headings: TableHeading[];
    children: React.ReactNode;
    emptyState?: React.ReactElement<EmptyStateProps>;
    totals?: Total[];
    loading?: boolean;
    loadingLabel?: string;
    onSortChanged?: (context: string, sortDirection: SortDirection) => void;
}
export declare const DataTable: React.ForwardRefExoticComponent<DataTableProps & React.RefAttributes<HTMLTableElement>> & {
    Row: ({ children, ...props }: import("./TableRow").TableRowProps) => JSX.Element;
    Cell: ({ align, children, noWrap, verticalAlign, }: import("./TableCell").TableCellProps) => JSX.Element;
    Footer: ({ children }: {
        children: React.ReactNode;
    }) => JSX.Element;
};
