import styled from 'styled-components';
import * as DropShadow from '../utilities/dropShadow';
import { borderRadius8 } from '../utilities/borderRadius';
import { Blue, Neutral } from '../utilities/colors';
import { space16, space8 } from '../utilities/spacing';
var alignmentStyle = "\n  &[data-text-align='right'] {\n    > div {\n      display: flex;\n      justify-content: right;\n    }\n  }\n\n  &[data-text-align='center'] {\n    > div {\n      display: flex;\n      justify-content: center;\n    }\n  }\n";
var cellVerticalAlign = "\n  &[data-vertical-align='top'] {\n    vertical-align: top;\n  }\n\n  &[data-vertical-align='center'] {\n    vertical-align: center;\n  }\n";
export var StyledTable = styled.table.withConfig({
  displayName: "DataTableStyle__StyledTable",
  componentId: "sc-18v2ula-0"
})(["width:100%;height:100%;border:1px solid ", ";border-spacing:0;color:", ";max-width:100vw;border-bottom:0;cursor:default;thead tr{background:", ";}&[data-has-footer='true']{border-bottom:1px solid ", ";}&[data-loading='true']{tbody{position:relative;}.loader-container{display:block;z-index:1;}}"], Neutral.B85, Neutral.B18, Neutral.B99, Neutral.B85);
export var StyledTableRow = styled.tr.withConfig({
  displayName: "DataTableStyle__StyledTableRow",
  componentId: "sc-18v2ula-1"
})(["background:", ";box-shadow:inset 0px -1px 0px rgba(212,213,216,0.5);cursor:default;&:hover{background:", ";}&[data-header='true']{&:hover{background:", ";}}&.empty-state&:hover{background:none;}"], Neutral.B100, Blue.S08, Neutral.B99);
export var StyledTabledHeader = styled.th.withConfig({
  displayName: "DataTableStyle__StyledTabledHeader",
  componentId: "sc-18v2ula-2"
})(["padding:", ";text-align:left;", " button{padding:0;margin:0;height:auto;border:none;box-shadow:none;background:", ";}button:hover{background:transparent;}button:active{border:none;box-shadow:none;background:transparent;}button:focus{border:none;}button svg{width:16px;height:16px;fill:", ";margin-bottom:2px;}"], space16, alignmentStyle, Neutral.B99, Neutral.B40);
export var StyledTableCell = styled.td.withConfig({
  displayName: "DataTableStyle__StyledTableCell",
  componentId: "sc-18v2ula-3"
})(["text-align:left;padding:", " ", ";", " ", " &[data-no-wrap='true']{white-space:nowrap;div{width:max-content;}}"], space8, space16, alignmentStyle, cellVerticalAlign);
export var StyledTableFooterRow = styled.tr.withConfig({
  displayName: "DataTableStyle__StyledTableFooterRow",
  componentId: "sc-18v2ula-4"
})(["background:", ";border-top:0;border-radius:0px 0px ", " ", ";td{padding:", " ", ";}"], Neutral.B100, borderRadius8, borderRadius8, space8, space16);
export var StyledTableLoadingRow = styled(StyledTableRow).withConfig({
  displayName: "DataTableStyle__StyledTableLoadingRow",
  componentId: "sc-18v2ula-5"
})(["position:absolute;width:100%;height:100%;display:none;z-index:-1;"]);
export var StyledLoaderWrapper = styled.div.withConfig({
  displayName: "DataTableStyle__StyledLoaderWrapper",
  componentId: "sc-18v2ula-6"
})(["height:100%;width:100%;position:relative;"]);
export var StyledSpinnerContainer = styled.div.withConfig({
  displayName: "DataTableStyle__StyledSpinnerContainer",
  componentId: "sc-18v2ula-7"
})(["position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);color:", ";svg{width:48px;height:48px;fill:", ";}"], Neutral.B18, Blue.S99);
export var StyledDataTableContainer = styled.div.withConfig({
  displayName: "DataTableStyle__StyledDataTableContainer",
  componentId: "sc-18v2ula-8"
})(["overflow-x:auto;scroll-behavior:smooth;box-shadow:", ";"], DropShadow.card);