import React, { useState, useEffect } from 'react';
import { Button } from '../Button';
import { Icon } from '../Icon';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { StyledTabledHeader } from './DataTableStyle';
export var TableHeader = function TableHeader(_ref) {
  var sortDirectionProp = _ref.sortDirection,
    title = _ref.title,
    _ref$align = _ref.align,
    align = _ref$align === void 0 ? 'left' : _ref$align,
    onSort = _ref.onSort;
  var _useState = useState(null),
    sortDirection = _useState[0],
    setSortDirection = _useState[1];
  useEffect(function () {
    setSortDirection(sortDirectionProp);
  }, [sortDirectionProp]);
  var iconName = sortDirection === 'ASCENDING' ? 'ri-arrow-up-line' : 'ri-arrow-down-line';
  var iconMarkup = sortDirection ? /*#__PURE__*/React.createElement(Icon, {
    className: "data-table-sort-button-icon",
    name: iconName,
    height: "10px",
    fill: Neutral.B40
  }) : null;
  var titleMarkup = /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "caption",
    color: Neutral.B18,
    style: {
      whiteSpace: 'nowrap'
    }
  }, title);
  var handleSortableClick = function handleSortableClick() {
    if (!sortDirection) {
      return;
    }
    var direction = sortDirection === 'ASCENDING' ? 'DESCENDING' : 'ASCENDING';
    setSortDirection(direction);
    onSort == null ? void 0 : onSort(direction);
  };
  var sortableCellMarkup = /*#__PURE__*/React.createElement(Button, {
    className: "data-table-sort-button",
    "data-testid": "data-table-sort-button-" + title,
    icon: iconMarkup,
    onClick: function onClick() {
      return handleSortableClick();
    }
  }, titleMarkup);
  var contentMarkup = sortDirection ? sortableCellMarkup : titleMarkup;
  return /*#__PURE__*/React.createElement(StyledTabledHeader, {
    "data-text-align": align
  }, /*#__PURE__*/React.createElement("div", null, contentMarkup));
};