import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["basicButtonAction", "primaryButtonAction", "description", "fullWidth", "helpText", "title"];
import React from 'react';
import { Button, PrimaryButton } from '../Button';
import { Neutral } from '../utilities/colors';
import { imageMapping, imageNames } from './assets/assets';
import { EmptyStateContainer, EmptyStateContentContainer, StyledButtonGroup, StyledDescription, StyledHelpText, StyledImage, StyledTitle } from './EmptyStateStyle';
export var EmptyState = function EmptyState(_ref) {
  var basicButtonAction = _ref.basicButtonAction,
    primaryButtonAction = _ref.primaryButtonAction,
    description = _ref.description,
    _ref$fullWidth = _ref.fullWidth,
    fullWidth = _ref$fullWidth === void 0 ? true : _ref$fullWidth,
    helpText = _ref.helpText,
    title = _ref.title,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var displayButtons = !!primaryButtonAction || !!basicButtonAction;
  var imageName = 'imageName' in props ? props.imageName : undefined;
  var image = 'image' in props ? props.image : undefined;
  if (imageName) {
    console.warn('imageName will soon be deprecated. Please use image prop instead');
    if (!imageNames.includes(imageName)) {
      console.warn("image \"" + imageName + "\" is not a valid Image Name.");
    }
  }
  if (typeof image === 'string' && !imageNames.includes(imageName)) {
    console.warn("image \"" + imageName + "\" is not a valid Image Name.");
  }
  var renderImage = function renderImage() {
    if (imageName || image && typeof image === 'string') {
      var imageString = imageName ? imageName : image;
      return /*#__PURE__*/React.createElement(StyledImage, {
        src: imageMapping[imageString],
        className: "empty-state-image"
      });
    }
    return image;
  };
  return /*#__PURE__*/React.createElement(EmptyStateContainer, null, renderImage(), /*#__PURE__*/React.createElement(EmptyStateContentContainer, {
    "data-full-width": fullWidth
  }, title && /*#__PURE__*/React.createElement(StyledTitle, {
    variant: "subtitle1",
    color: Neutral.B18,
    className: "empty-state-title"
  }, title), description && /*#__PURE__*/React.createElement(StyledDescription, {
    variant: "body1",
    color: Neutral.B40,
    className: "empty-state-description"
  }, description), displayButtons && /*#__PURE__*/React.createElement(StyledButtonGroup, null, primaryButtonAction && /*#__PURE__*/React.createElement(PrimaryButton, _extends({}, primaryButtonAction, {
    loading: primaryButtonAction == null ? void 0 : primaryButtonAction.loading,
    onClick: primaryButtonAction == null ? void 0 : primaryButtonAction.onClick,
    className: "empty-state-primary-button"
  }), primaryButtonAction == null ? void 0 : primaryButtonAction.label), basicButtonAction && /*#__PURE__*/React.createElement(Button, _extends({}, basicButtonAction, {
    loading: basicButtonAction == null ? void 0 : basicButtonAction.loading,
    onClick: basicButtonAction.onClick,
    className: "empty-state-basic-button"
  }), basicButtonAction == null ? void 0 : basicButtonAction.label)), helpText && /*#__PURE__*/React.createElement(StyledHelpText, {
    variant: "subtitle2",
    color: Neutral.B40,
    className: "empty-state-help-text"
  }, helpText)));
};