import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["bulkActions", "children", "height", "itemCount", "selectedItemsCount", "loading", "emptyState", "selectableItemsCount"],
  _excluded2 = ["checked", "onChange"];
import React from 'react';
import { Cell, IndexTable as PolarisIndexTable } from 'polaris-glints';
import { Checkbox } from '../Checkbox';
import { Row } from './components/Row/Row';
import { StyledIndexTable } from './IndexTableStyle';
import { LoadingState } from './components/LoadingState';
import { CheckboxCellContentContainer } from './components/Checkbox/CheckboxStyle';
var IndexTable = function IndexTable(_ref) {
  var bulkActions = _ref.bulkActions,
    children = _ref.children,
    height = _ref.height,
    itemCount = _ref.itemCount,
    selectedItemsCount = _ref.selectedItemsCount,
    loading = _ref.loading,
    emptyState = _ref.emptyState,
    selectableItemsCount = _ref.selectableItemsCount,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var renderCheckboxHeader = function renderCheckboxHeader(_ref2) {
    var checked = _ref2.checked,
      onChange = _ref2.onChange,
      props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
    return /*#__PURE__*/React.createElement(CheckboxCellContentContainer, null, /*#__PURE__*/React.createElement(Checkbox, _extends({
      onChange: onChange,
      checked: checked,
      isPadded: false,
      disabled: props.disabled || selectableItemsCount === 0
    }, props)));
  };
  var checkbox = !loading && itemCount > 0 ? renderCheckboxHeader : undefined;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(StyledIndexTable, {
    height: height
  }), /*#__PURE__*/React.createElement(PolarisIndexTable, _extends({
    bulkActions: bulkActions,
    checkbox: checkbox,
    itemCount: loading ? 0 : itemCount,
    selectedItemsCount: selectedItemsCount,
    emptySearchTitle: null,
    loading: false,
    emptyState: loading ? /*#__PURE__*/React.createElement(LoadingState, {
      label: props.loadingLabel,
      colSpan: props.headings.length
    }) : emptyState
  }, props), children));
};
IndexTable.Cell = Cell;
IndexTable.Row = Row;
export { useIndexResourceState } from 'polaris-glints';
export { IndexTable };