import { IndexTableRowContext } from 'polaris-glints';
import React, { memo, useContext } from 'react';
import { Checkbox as GlintsCheckbox } from '../../../Checkbox';
import { CheckboxCellContentContainer, CheckboxWrapper } from './CheckboxStyle';
var Checkbox = function Checkbox() {
  var _useContext = useContext(IndexTableRowContext),
    itemId = _useContext.itemId,
    selected = _useContext.selected,
    disabled = _useContext.disabled,
    onInteraction = _useContext.onInteraction;
  return /*#__PURE__*/React.createElement(CheckboxWrapper, null, /*#__PURE__*/React.createElement(CheckboxCellContentContainer, {
    className: "checkbox-wrapper"
  }, /*#__PURE__*/React.createElement("div", {
    onClick: onInteraction
  }, /*#__PURE__*/React.createElement(GlintsCheckbox, {
    id: itemId,
    checked: selected,
    disabled: disabled,
    isPadded: false
  }))));
};
export var MemoizedCheckbox = /*#__PURE__*/memo(Checkbox);