import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["error", "disabled", "prefix", "suffix", "inputRef", "height", "border", "borderRadius", "floatingFontSize", "isPlaceholderFloating", "placeholder", "required", "placeholderColor", "floatingPlaceholderTop"];
import React, { useEffect, useRef } from 'react';
import { AsteriskIcon, FloatingLabel, StyledContainer, StyledInput, StyledPrefixContainer, StyledSuffixContainer } from './InputStyle';
export var Input = /*#__PURE__*/React.forwardRef(function Input(_ref, ref) {
  var error = _ref.error,
    disabled = _ref.disabled,
    prefix = _ref.prefix,
    suffix = _ref.suffix,
    inputRef = _ref.inputRef,
    height = _ref.height,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    floatingFontSize = _ref.floatingFontSize,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    placeholder = _ref.placeholder,
    required = _ref.required,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var hasPrefix = !!prefix;
  var hasSuffix = !!suffix;
  var prefixRef = useRef(null);
  var suffixRef = useRef(null);
  var Prefix = function Prefix() {
    return hasPrefix ? /*#__PURE__*/React.createElement(StyledPrefixContainer, {
      ref: prefixRef,
      height: height
    }, prefix) : null;
  };
  var Suffix = function Suffix() {
    return hasSuffix ? /*#__PURE__*/React.createElement(StyledSuffixContainer, {
      ref: suffixRef,
      height: height
    }, suffix) : null;
  };
  var _React$useState = React.useState(0),
    prefixWidth = _React$useState[0],
    setPrefixWidth = _React$useState[1];
  var _React$useState2 = React.useState(0),
    suffixWidth = _React$useState2[0],
    setSuffixWidth = _React$useState2[1];
  useEffect(function () {
    if (hasPrefix) {
      var _prefixWidth = prefixRef.current.getBoundingClientRect().width;
      setPrefixWidth(_prefixWidth);
    }
  }, [hasPrefix, prefix]);
  useEffect(function () {
    if (hasSuffix) {
      var _suffixWidth = suffixRef.current.getBoundingClientRect().width;
      setSuffixWidth(_suffixWidth);
    }
  }, [hasSuffix, suffix]);
  var selectedPlaceholder = required ? placeholder + "*" : placeholder;
  return /*#__PURE__*/React.createElement(StyledContainer, {
    ref: ref,
    "data-prefix": hasPrefix,
    "data-suffix": hasSuffix,
    "data-error": error,
    "data-disabled": disabled,
    prefixWidth: prefixWidth,
    suffixWidth: suffixWidth
  }, /*#__PURE__*/React.createElement(Prefix, null), /*#__PURE__*/React.createElement(StyledInput, _extends({
    ref: inputRef,
    placeholder: isPlaceholderFloating && !disabled ? undefined : selectedPlaceholder,
    borderRadius: borderRadius,
    border: border,
    height: height,
    disabled: disabled
  }, props)), isPlaceholderFloating && !disabled && /*#__PURE__*/React.createElement(FloatingLabel, {
    "data-testid": "textarea-label",
    "data-error": error,
    fontSize: floatingFontSize,
    color: placeholderColor,
    top: floatingPlaceholderTop
  }, placeholder, required && /*#__PURE__*/React.createElement(AsteriskIcon, null, "*")), /*#__PURE__*/React.createElement(Suffix, null));
});