import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { Neutral, Red } from '../utilities/colors';
import { space12, space4, space8 } from '../utilities/spacing';
import { NotoSans } from '../utilities/fonts';
import { borderRadius4 } from '../utilities/borderRadius';
import { Greyscale } from '../../Utils/Colors';
export var StyledContainer = styled.div.withConfig({
  displayName: "InputStyle__StyledContainer",
  componentId: "sc-15z2mnd-0"
})(["position:relative;display:flex;flex-direction:column;flex:1;flex-basis:100%;font-family:'Noto Sans',sans-serif;font-style:normal;font-weight:400;font-size:16px;line-height:150%;&[data-prefix='true'] input{padding-left:", "px;}&[data-suffix='true'] input{padding-right:", "px;}&[data-error='true'] input{border:1px solid ", ";}&[data-error='true'] input:focus{box-shadow:none;}&[data-disabled='true'] input{border:none;background:", ";color:", ";cursor:not-allowed;}&[data-disabled='true'] svg{fill:", ";}&[data-disabled='true'] div{color:", ";}"], function (props) {
  return props.prefixWidth;
}, function (props) {
  return props.suffixWidth;
}, Red.B93, Neutral.B99, Neutral.B18, Neutral.B85, Neutral.B85);
export var StyledPrefixContainer = styled.div.withConfig({
  displayName: "InputStyle__StyledPrefixContainer",
  componentId: "sc-15z2mnd-1"
})(["position:absolute;left:0;color:", ";display:flex;align-items:center;height:", ";padding:0px ", " 0 ", ";svg{height:17px;width:17px;fill:", ";}"], Neutral.B40, function (_ref) {
  var height = _ref.height;
  return height != null ? height : '36px';
}, space8, space12, Neutral.B40);
export var StyledSuffixContainer = styled(StyledPrefixContainer).withConfig({
  displayName: "InputStyle__StyledSuffixContainer",
  componentId: "sc-15z2mnd-2"
})(["left:auto;right:0;padding:0px ", " 0 ", ";"], space12, space4);
export var FloatingLabel = styled.label.withConfig({
  displayName: "InputStyle__FloatingLabel",
  componentId: "sc-15z2mnd-3"
})(["position:absolute;left:", "em;top:", "em;visibility:visible;padding:0 0.3em;background:white;font-size:", ";color:", ";transition:color 0.2s ease-in-out;pointer-events:none;[data-error='true'] &{color:", ";}"], function (_ref2) {
  var left = _ref2.left;
  return left != null ? left : '0.5';
}, function (_ref3) {
  var top = _ref3.top;
  return top != null ? top : '-1.25';
}, function (_ref4) {
  var fontSize = _ref4.fontSize;
  return fontSize != null ? fontSize : '12px';
}, function (_ref5) {
  var color = _ref5.color;
  return color != null ? color : Greyscale.devilsgrey;
}, Red.B93);
export var StyledInput = styled.input.withConfig({
  displayName: "InputStyle__StyledInput",
  componentId: "sc-15z2mnd-4"
})(["background:", ";box-sizing:border-box;border:", ";border-radius:", ";padding:0 12px;font-family:", ",sans-serif;font-style:normal;font-weight:400;font-size:16px;line-height:150%;color:", ";flex:none;order:1;align-self:stretch;flex-grow:0;height:", ";&::placeholder{color:", ";}&:focus{outline:none;box-shadow:0px 0px 0px 1px ", ",0px 0px 0px 3px #6ac9ec;}@media (max-width:", "){font-size:14px;}"], Neutral.B100, function (_ref6) {
  var border = _ref6.border;
  return border != null ? border : "1px solid " + Neutral.B68;
}, function (_ref7) {
  var borderRadius = _ref7.borderRadius;
  return borderRadius != null ? borderRadius : borderRadius4;
}, NotoSans, Neutral.B18, function (_ref8) {
  var height = _ref8.height;
  return height != null ? height : "36px";
}, Neutral.B68, Neutral.B100, Breakpoints.large);
export var AsteriskIcon = styled.span.withConfig({
  displayName: "InputStyle__AsteriskIcon",
  componentId: "sc-15z2mnd-5"
})(["color:", ";font-size:20px;vertical-align:middle;"], Red.B93);