import React from 'react';
export interface Option {
    disabled?: boolean;
    id?: string;
    label: string | React.ReactNode;
    sublabel?: React.ReactNode;
    value: string;
}
export interface Section {
    title?: string;
    options: Option[];
}
export interface MenuProps {
    id?: string;
    onClick?: ({ value }: {
        value: string;
    }) => void;
    options?: Option[];
    /** Selected value based on Option.value */
    selectedValues?: string[];
    title?: string;
    allowMultiple?: boolean;
    sections?: Section[];
}
export declare const Menu: ({ allowMultiple, id, onClick, options, sections, selectedValues, title, }: MenuProps) => JSX.Element;
