import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["activatorLabel", "allowMultiple"];
import React, { useCallback, useState } from 'react';
import { Button } from '../../Button';
import { Popover } from '../../Popover';
import { Menu } from '../Menu';
export var PopoverMenu = function PopoverMenu(_ref) {
  var _ref$activatorLabel = _ref.activatorLabel,
    activatorLabel = _ref$activatorLabel === void 0 ? 'Menu' : _ref$activatorLabel,
    allowMultiple = _ref.allowMultiple,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(true),
    popoverActive = _useState[0],
    setPopoverActive = _useState[1];
  var _useState2 = useState([]),
    selectedOptions = _useState2[0],
    setSelectedOptions = _useState2[1];
  var togglePopoverActive = useCallback(function () {
    return setPopoverActive(function (popoverActive) {
      return !popoverActive;
    });
  }, []);
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    if (!allowMultiple) {
      setSelectedOptions([value]);
      return;
    }
    if (!selectedOptions.includes(value)) {
      setSelectedOptions([].concat(selectedOptions, [value]));
      return;
    }
    setSelectedOptions(selectedOptions.filter(function (option) {
      return option !== value;
    }));
  };
  var activator = /*#__PURE__*/React.createElement(Button, {
    onClick: togglePopoverActive
  }, activatorLabel);
  return /*#__PURE__*/React.createElement(Popover, {
    active: popoverActive,
    activator: activator,
    onClose: function onClose() {
      return setPopoverActive(false);
    }
  }, /*#__PURE__*/React.createElement(Popover.Pane, null, /*#__PURE__*/React.createElement(Menu, _extends({}, props, {
    allowMultiple: allowMultiple,
    onClick: handleSelect,
    selectedValues: selectedOptions
  }))));
};