import styled from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { borderRadius8 } from '../utilities/borderRadius';
import { Neutral } from '../utilities/colors';
import { space16, space24 } from '../utilities/spacing';
export var StyledModalWrapper = styled.div.withConfig({
  displayName: "ModalStyle__StyledModalWrapper",
  componentId: "sc-1694up4-0"
})(["position:fixed;inset:0;background-color:rgba(45,45,45,0.5);display:flex;gap:", ";align-items:center;justify-content:center;overflow:hidden;z-index:", ";"], space24, function (props) {
  return props.zIndexOverride;
});
export var StyledModalContainer = styled.div.withConfig({
  displayName: "ModalStyle__StyledModalContainer",
  componentId: "sc-1694up4-1"
})(["position:relative;background:", ";display:flex;flex-direction:column;justify-content:space-between;align-items:flex-start;padding:0;box-shadow:0px 26px 80px rgba(0,0,0,0.2),0px 0px 1px rgba(0,0,0,0.2);border-radius:", ";min-width:320px;width:fit-content;max-width:calc(100vw - 32px);height:fit-content;max-height:calc(100vh - 96px);overflow:hidden;@media (max-width:", "){position:fixed;bottom:0;width:100vw;max-width:none;max-height:calc(100vh - 70px);border-radius:0;}"], Neutral.B100, borderRadius8, Breakpoints.large);
export var StyledModalHeader = styled.div.withConfig({
  displayName: "ModalStyle__StyledModalHeader",
  componentId: "sc-1694up4-2"
})(["display:flex;flex-direction:row;align-items:center;box-shadow:inset 0px -1px 0px ", ";border-radius:", " ", " 0 0;align-self:stretch;div{flex:1;}&[data-header-has-default-padding='true']{padding:", " 20px;@media (max-width:", "){padding:", ";}}&[data-show-border='false']{box-shadow:unset;}"], Neutral.B95, borderRadius8, borderRadius8, space16, Breakpoints.large, space16);
export var StyledModalContent = styled.div.withConfig({
  displayName: "ModalStyle__StyledModalContent",
  componentId: "sc-1694up4-3"
})(["min-height:24px;color:#202223;width:fit-content;padding:20px;overflow:auto;::-webkit-scrollbar{width:4px;}::-webkit-scrollbar-thumb{background-color:", ";border-radius:2px;}::-webkit-scrollbar-thumb:hover{background-color:", ";}@media (max-width:", "){padding:20px 16px;&[data-has-scrollbar='true']{padding:20px 6px 20px 16px;width:calc(100vw - 27px);}}"], Neutral.B68, Neutral.B40, Breakpoints.large);
export var StyledModalActions = styled.div.withConfig({
  displayName: "ModalStyle__StyledModalActions",
  componentId: "sc-1694up4-4"
})(["display:flex;flex-direction:column;justify-content:flex-end;align-items:flex-end;align-self:stretch;padding:", " 20px;gap:10px;box-shadow:inset 0px 1px 0px ", ";border-radius:0 0 ", " ", ";@media (max-width:", "){padding:", ";}"], space16, Neutral.B95, borderRadius8, borderRadius8, Breakpoints.large, space16);
export var StyledButtonContainer = styled.div.withConfig({
  displayName: "ModalStyle__StyledButtonContainer",
  componentId: "sc-1694up4-5"
})(["display:contents;"]);
export var StyledModalButton = styled.button.withConfig({
  displayName: "ModalStyle__StyledModalButton",
  componentId: "sc-1694up4-6"
})(["cursor:pointer;border:0;background:transparent;padding:0;svg{width:24px;height:24px;fill:", ";}&[data-has-decription='true']{margin-top:-20px;}@media (max-width:", "){&[data-has-decription='true']{margin-top:-18px;}}"], Neutral.B40, Breakpoints.large);
export var StyledModalBackButton = styled(StyledModalButton).withConfig({
  displayName: "ModalStyle__StyledModalBackButton",
  componentId: "sc-1694up4-7"
})(["margin-right:16px;"]);
export var StyledModalCloseButton = styled(StyledModalButton).withConfig({
  displayName: "ModalStyle__StyledModalCloseButton",
  componentId: "sc-1694up4-8"
})(["margin-left:16px;"]);
export var StyledModalLeftAndRightComponent = styled.div.withConfig({
  displayName: "ModalStyle__StyledModalLeftAndRightComponent",
  componentId: "sc-1694up4-9"
})(["@media (max-width:", "){display:none;}"], Breakpoints.large);