import React from 'react';
import styled from 'styled-components';
import { NumberInput } from '../NumberInput';
import { borderRadius2, borderRadius4 } from '../utilities/borderRadius';
import { Blue, Neutral } from '../utilities/colors';
import { space12, space4 } from '../utilities/spacing';
import { PageButton } from './PageButton';
export var StyledNav = styled.nav.withConfig({
  displayName: "PaginationStyle__StyledNav",
  componentId: "sc-1hi5sa8-0"
})(["display:flex;gap:10px;"]);
export var SimplePaginationStyledNav = styled(StyledNav).withConfig({
  displayName: "PaginationStyle__SimplePaginationStyledNav",
  componentId: "sc-1hi5sa8-1"
})(["gap:4px;"]);
export var IconPaginationStyledNav = styled(StyledNav).withConfig({
  displayName: "PaginationStyle__IconPaginationStyledNav",
  componentId: "sc-1hi5sa8-2"
})(["gap:0px;align-items:center;column-gap:1px;"]);
export var StyledPageButton = styled.button.withConfig({
  displayName: "PaginationStyle__StyledPageButton",
  componentId: "sc-1hi5sa8-3"
})(["cursor:pointer;height:32px;min-width:32px;border:0;background:transparent;border-radius:", ";padding:", ";color:", ";&:hover{background:", ";}&:disabled{color:", ";}svg{fill:", ";width:24px;height:24px;}&[data-active='true']{background:", ";color:", ";}&:disabled svg{fill:", ";}&[data-active='true']:disabled{background:", ";color:", ";}"], borderRadius2, space4, Neutral.B18, Neutral.B95, Neutral.B85, Neutral.B40, Blue.S08, Blue.S99, Neutral.B85, Neutral.B95, Neutral.B85);
export var StyledSimplePaginationButton = styled(StyledPageButton).withConfig({
  displayName: "PaginationStyle__StyledSimplePaginationButton",
  componentId: "sc-1hi5sa8-4"
})(["pointer-events:none;"]);
export var StyledBorderPaginationButton = styled(StyledPageButton).withConfig({
  displayName: "PaginationStyle__StyledBorderPaginationButton",
  componentId: "sc-1hi5sa8-5"
})(["outline:1px solid ", ";height:36px;min-width:36px;svg{vertical-align:middle;}&:first-of-type{border-radius:", " 0 0 ", ";}&:last-of-type{border-radius:0 ", " ", " 0;}&:hover{background:", ";}&:disabled{background:", ";}"], Neutral.B85, borderRadius4, borderRadius4, borderRadius4, borderRadius4, Blue.S08, Neutral.B95);
export var StyledLabel = styled.div.withConfig({
  displayName: "PaginationStyle__StyledLabel",
  componentId: "sc-1hi5sa8-6"
})(["padding:0 ", " 0;vertical-align:middle;"], space12);
export var StyledActiveSimplePaginationButton = styled(function (props) {
  return /*#__PURE__*/React.createElement(PageButton, props);
}).withConfig({
  displayName: "PaginationStyle__StyledActiveSimplePaginationButton",
  componentId: "sc-1hi5sa8-7"
})(["background:", ";color:", ";&:hover{background:", ";color:", ";}"], Blue.S08, Blue.S99, Neutral.B95, Neutral.B18);
export var StyledSimplePaginationInput = styled(NumberInput).withConfig({
  displayName: "PaginationStyle__StyledSimplePaginationInput",
  componentId: "sc-1hi5sa8-8"
})(["padding:0;text-align:center;height:32px;width:32px;"]);