import React, { useState } from 'react';
import { Typography } from '../Typography';
import { StyledActiveSimplePaginationButton, StyledSimplePaginationInput, StyledSimplePaginationButton, SimplePaginationStyledNav } from './PaginationStyle';
import { defaultPageSize, getAllPages } from './paginationUtils';
import { NextStepper, PreviousStepper } from './Stepper';
export var SimplePagination = /*#__PURE__*/React.forwardRef(function SimplePagination(_ref, ref) {
  var _ref$totalItems = _ref.totalItems,
    totalItems = _ref$totalItems === void 0 ? 1 : _ref$totalItems,
    _ref$currentPage = _ref.currentPage,
    currentPage = _ref$currentPage === void 0 ? 1 : _ref$currentPage,
    disabled = _ref.disabled,
    _ref$pageSize = _ref.pageSize,
    pageSize = _ref$pageSize === void 0 ? defaultPageSize : _ref$pageSize,
    onPageChanged = _ref.onPageChanged;
  var _useState = useState(false),
    editMode = _useState[0],
    setEditMode = _useState[1];
  var totalPages = getAllPages(pageSize, totalItems);
  var hasPrevious = currentPage - 1 > 0;
  var hasNext = currentPage + 1 <= totalPages;
  var handlePageNumberChange = function handlePageNumberChange(value) {
    var page = value;
    if (value < 1) {
      page = 1;
    }
    if (value > totalPages) {
      page = totalPages;
    }
    onPageChanged == null ? void 0 : onPageChanged(page);
  };
  var handleEditMode = function handleEditMode() {
    if (editMode) {
      return;
    }
    setEditMode(true);
  };
  var handleFocus = function handleFocus(e) {
    e.target.select();
  };
  return /*#__PURE__*/React.createElement(SimplePaginationStyledNav, {
    ref: ref
  }, /*#__PURE__*/React.createElement(PreviousStepper, {
    value: currentPage - 1,
    disabled: !hasPrevious || disabled,
    onClick: handlePageNumberChange
  }), /*#__PURE__*/React.createElement("div", {
    "data-testid": "current-page-btn",
    onClick: handleEditMode
  }, !editMode && /*#__PURE__*/React.createElement(StyledActiveSimplePaginationButton, {
    value: currentPage,
    disabled: disabled,
    onClick: handlePageNumberChange
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle2"
  }, currentPage)), editMode && /*#__PURE__*/React.createElement(StyledSimplePaginationInput, {
    "data-testid": "current-page-input",
    autoFocus: true,
    onFocus: handleFocus,
    onChange: function onChange(e) {
      handlePageNumberChange(Number(e.currentTarget.value));
    },
    onBlur: function onBlur() {
      return setEditMode(false);
    },
    value: currentPage
  })), /*#__PURE__*/React.createElement(StyledSimplePaginationButton, {
    disabled: disabled
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle2"
  }, "/")), /*#__PURE__*/React.createElement(StyledSimplePaginationButton, {
    disabled: disabled
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "div",
    variant: "subtitle2"
  }, totalPages)), /*#__PURE__*/React.createElement(NextStepper, {
    value: currentPage + 1,
    disabled: !hasNext || disabled,
    onClick: handlePageNumberChange
  }));
});