import React from 'react';
export declare type PaginationProps = {
    /** Total items to be displayed, must be positive integer and above 0 */
    totalItems: number;
    /** Current page, must be positive integer and above 0 */
    currentPage?: number;
    /** Size of a page, must be positive integer and above 0 */
    pageSize?: number;
    disabled?: boolean;
    onPageChanged?: (currentPage: number) => void;
};
export declare type IconPaginationProps = {
    label?: React.ReactNode;
    disableNext?: boolean;
    disablePrevious?: boolean;
    onNext?: () => void;
    onPrevious?: () => void;
};
export declare const defaultPageSize = 10;
export declare const defaultBufferSize = 2;
export declare const getAllPages: (pageSize: number, total: number) => number;
export declare const getBufferSize: (bufferSize: number, allPages: number) => number;
