import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["value", "onChange", "error", "height", "border", "borderRadius", "required", "isPlaceholderFloating", "floatingFontSize", "placeholderColor", "floatingPlaceholderTop"];
import React, { useState } from 'react';
import { Icon } from '../Icon';
import { Input } from '../Input/Input';
import { StyledSuffixContainer } from './PasswordInputStyle';
export var PasswordInput = /*#__PURE__*/React.forwardRef(function PasswordInput(_ref, ref) {
  var value = _ref.value,
    _onChange = _ref.onChange,
    error = _ref.error,
    height = _ref.height,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    required = _ref.required,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    floatingFontSize = _ref.floatingFontSize,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(false),
    showPassword = _useState[0],
    setShowPassword = _useState[1];
  var suffixComponent = /*#__PURE__*/React.createElement(StyledSuffixContainer, {
    onClick: function onClick() {
      setShowPassword(!showPassword);
    },
    "data-testid": "eye-icon"
  }, showPassword ? /*#__PURE__*/React.createElement(Icon, {
    name: "ri-eye-line"
  }) : /*#__PURE__*/React.createElement(Icon, {
    name: "ri-eye-off-line"
  }));
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Input, _extends({
    ref: ref,
    type: showPassword ? 'text' : 'password',
    value: value,
    onChange: function onChange(e) {
      return _onChange == null ? void 0 : _onChange(e.currentTarget.value);
    },
    error: error,
    suffix: !props.disabled && suffixComponent,
    height: height,
    border: border,
    borderRadius: borderRadius,
    required: required,
    isPlaceholderFloating: isPlaceholderFloating,
    floatingFontSize: floatingFontSize,
    placeholderColor: placeholderColor,
    floatingPlaceholderTop: floatingPlaceholderTop
  }, props)));
});