import React, { useState } from 'react';
import { Checkbox } from '../../Checkbox';
export var CheckboxGroup = function CheckboxGroup(_ref) {
  var country = _ref.country,
    cities = _ref.cities,
    onChanged = _ref.onChanged;
  var _useState = useState(false),
    isCountrySelected = _useState[0],
    setIsCountrySelected = _useState[1];
  var _useState2 = useState([]),
    selectedCities = _useState2[0],
    setSelectedCities = _useState2[1];
  var handleCountryChanged = function handleCountryChanged(checked) {
    setIsCountrySelected(checked);
    if (checked) {
      setSelectedCities(cities);
    } else {
      setSelectedCities([]);
    }
    onChanged(checked ? 'Add' : 'Remove', cities);
  };
  var handleCityChanged = function handleCityChanged(checked, id) {
    if (checked && !selectedCities.includes(id)) {
      var selected = [].concat(selectedCities, [id]);
      setSelectedCities(selected);
      onChanged('Add', [id]);
      return;
    }
    if (!checked) {
      var _selected = selectedCities.filter(function (s) {
        return s !== id;
      });
      setSelectedCities(_selected);
      onChanged('Remove', [id]);
    }
  };
  return /*#__PURE__*/React.createElement("div", {
    key: country
  }, /*#__PURE__*/React.createElement(Checkbox, {
    id: country,
    label: country,
    checked: isCountrySelected,
    onChange: function onChange(newChecked) {
      return handleCountryChanged(newChecked);
    }
  }), cities.map(function (city) {
    return /*#__PURE__*/React.createElement("div", {
      key: "div-" + city,
      style: {
        marginLeft: '10px'
      }
    }, /*#__PURE__*/React.createElement(Checkbox, {
      id: city,
      label: city,
      key: city,
      checked: selectedCities.includes(city) || isCountrySelected,
      onChange: handleCityChanged
    }));
  }));
};