import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["label", "helperText", "disabled", "name", "checked", "value", "onChange"];
import React from 'react';
import { Colors } from '..';
import { Typography } from '../Typography';
import { LabelWrapper, RadioButtonInput, RadioButtonWrapper } from './RadioButtonStyle';
/**
 * This is a controlled component, so you need to pass in the `checked` and `onChange` prop to make it work.
 */
export var RadioButton = /*#__PURE__*/React.forwardRef(function RadioButton(_ref, ref) {
  var label = _ref.label,
    helperText = _ref.helperText,
    disabled = _ref.disabled,
    name = _ref.name,
    checked = _ref.checked,
    value = _ref.value,
    onChange = _ref.onChange,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var renderLabel = function renderLabel() {
    if (!label) return null;
    return /*#__PURE__*/React.createElement(Typography, {
      variant: "body1",
      as: typeof label === 'string' ? 'span' : 'div',
      color: Colors.Neutral.B18
    }, label);
  };
  var renderHelperText = function renderHelperText() {
    if (!helperText) return null;
    return /*#__PURE__*/React.createElement(Typography, {
      variant: "subtitle2",
      as: typeof label === 'string' ? 'span' : 'div',
      color: Colors.Neutral.B40
    }, helperText);
  };
  return /*#__PURE__*/React.createElement(RadioButtonWrapper, null, /*#__PURE__*/React.createElement(RadioButtonInput, _extends({
    ref: ref,
    disabled: disabled,
    name: name,
    checked: checked,
    value: value,
    type: "radio",
    onChange: onChange,
    onMouseDown: function onMouseDown(e) {
      return e.preventDefault();
    }
  }, props)), /*#__PURE__*/React.createElement(LabelWrapper, {
    "data-disabled": disabled
  }, renderLabel(), renderHelperText()));
});