import React from 'react';
import { Option, Section } from '../Menu';
import { IconNames } from '../Icon/icons/icons';
interface SearchableProps {
    /** value of TextInput activator when Select is searchable */
    inputValue?: string;
    /** onChange of TextInput activator when Select is searchable */
    onInputChange?(value: string): void;
}
interface OptionsPlaceholderProps {
    idle?: React.ReactNode;
    noResult?: React.ReactNode;
}
export interface SelectProps {
    allowMultiple?: boolean;
    customActivatorIcon?: IconNames;
    disabled?: boolean;
    hasError?: boolean;
    helpText?: React.ReactNode;
    label?: React.ReactNode;
    /** Margin Top = 8 ; Option height = 48 ; optionListHeight = (n options * option height) + margin top; */
    listHeight?: number;
    loadingOptions?: boolean;
    name?: string;
    onBlur?: () => void;
    onClose?: () => void;
    onFocus?: () => void;
    onRemoveTag?({ option }: {
        option: string;
    }): void;
    onSelect?({ value }: {
        value: string;
    }): void;
    /** callback function when select component is clicked (opened) */
    onSelectClick?: () => void;
    isPopoverActive?: boolean;
    onPopoverActiveChange?: (isActive: boolean) => void;
    options?: Option[];
    /** sets whether OptionList will follow content's width */
    optionListFitContent?: boolean;
    placeholder?: string;
    prefix?: React.ReactNode;
    /** sets whether Select is searchable */
    searchable?: boolean;
    /** props used for searchable Select */
    searchableProps?: SearchableProps;
    optionsPlaceholderProps?: OptionsPlaceholderProps;
    showPopoverOnFocus?: boolean;
    /** true = Allow vertical scroll, default by 6 options. */
    scrollable?: boolean;
    sections?: Section[];
    selectedValues?: string[];
    /** sets a width for the Select component*/
    width: string;
    height?: string;
    /** sets z-index override for option list dropdown. z-index default to 400 */
    zIndexOverride?: number;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
}
export declare const Select: ({ allowMultiple, customActivatorIcon, disabled, hasError, helpText, label, listHeight, loadingOptions, name, onBlur, onClose, onFocus, onRemoveTag, onSelect, onSelectClick, isPopoverActive, onPopoverActiveChange, optionListFitContent, options, placeholder, prefix, searchable, searchableProps, optionsPlaceholderProps, showPopoverOnFocus, scrollable, sections, selectedValues, width, height, zIndexOverride, border, borderRadius, required, isPlaceholderFloating, }: SelectProps) => JSX.Element;
export {};
