import React, { useEffect, useState } from 'react';
import { isEmpty } from 'lodash-es';
import { Popover } from '../Popover';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { ActivatorTextInput, OptionList } from './components';
import { ActivatorSelect } from './components/Activator/ActivatorSelect';
import { Label } from './components/Label/Label';
import { ActivatorWrapper, HelpTextContainer } from './SelectStyle';
export var Select = function Select(_ref) {
  var _ref$allowMultiple = _ref.allowMultiple,
    allowMultiple = _ref$allowMultiple === void 0 ? false : _ref$allowMultiple,
    customActivatorIcon = _ref.customActivatorIcon,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    helpText = _ref.helpText,
    label = _ref.label,
    listHeight = _ref.listHeight,
    _ref$loadingOptions = _ref.loadingOptions,
    loadingOptions = _ref$loadingOptions === void 0 ? false : _ref$loadingOptions,
    name = _ref.name,
    onBlur = _ref.onBlur,
    onClose = _ref.onClose,
    onFocus = _ref.onFocus,
    onRemoveTag = _ref.onRemoveTag,
    onSelect = _ref.onSelect,
    onSelectClick = _ref.onSelectClick,
    isPopoverActive = _ref.isPopoverActive,
    onPopoverActiveChange = _ref.onPopoverActiveChange,
    _ref$optionListFitCon = _ref.optionListFitContent,
    optionListFitContent = _ref$optionListFitCon === void 0 ? false : _ref$optionListFitCon,
    _ref$options = _ref.options,
    options = _ref$options === void 0 ? [] : _ref$options,
    placeholder = _ref.placeholder,
    prefix = _ref.prefix,
    searchable = _ref.searchable,
    searchableProps = _ref.searchableProps,
    optionsPlaceholderProps = _ref.optionsPlaceholderProps,
    _ref$showPopoverOnFoc = _ref.showPopoverOnFocus,
    showPopoverOnFocus = _ref$showPopoverOnFoc === void 0 ? false : _ref$showPopoverOnFoc,
    _ref$scrollable = _ref.scrollable,
    scrollable = _ref$scrollable === void 0 ? false : _ref$scrollable,
    sections = _ref.sections,
    selectedValues = _ref.selectedValues,
    width = _ref.width,
    height = _ref.height,
    zIndexOverride = _ref.zIndexOverride,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    required = _ref.required,
    isPlaceholderFloating = _ref.isPlaceholderFloating;
  var _useState = useState(false),
    internalPopoverActive = _useState[0],
    setInternalPopoverActive = _useState[1];
  var popoverActive = isPopoverActive !== undefined ? isPopoverActive : internalPopoverActive;
  var setPopoverActive = function setPopoverActive(newState) {
    if (isPopoverActive != undefined) {
      onPopoverActiveChange == null ? void 0 : onPopoverActiveChange(newState);
    } else {
      setInternalPopoverActive(newState);
    }
  };
  var _useState2 = useState(''),
    optionListHeight = _useState2[0],
    setOptionListHeight = _useState2[1];
  var _useState3 = useState([]),
    menuOptions = _useState3[0],
    setMenuOptions = _useState3[1];
  var optionsLength = options.length;
  var _useState4 = useState((searchableProps == null ? void 0 : searchableProps.inputValue) || ''),
    inputValue = _useState4[0],
    setInputValue = _useState4[1];
  var _useState5 = useState({
      showSelected: false,
      showInput: true,
      showPlaceholder: true
    }),
    searchableSelectState = _useState5[0],
    setSearchableSelectState = _useState5[1];
  var _updateSearchableSelectState = function updateSearchableSelectState(newState) {
    setSearchableSelectState(newState);
  };
  var updateInputValue = function updateInputValue(newValue) {
    setInputValue(newValue);
  };
  var updateMenuOptions = function updateMenuOptions(newState) {
    setMenuOptions(newState);
  };
  var handleClose = function handleClose() {
    setPopoverActive(false);
    onClose == null ? void 0 : onClose();
  };
  var handleFocus = function handleFocus() {
    if (showPopoverOnFocus) {
      setPopoverActive(true);
      return;
    }
    if (options.length < 1) {
      setPopoverActive(false);
      return;
    }
    setPopoverActive(true);
    onFocus == null ? void 0 : onFocus();
  };
  var handleSelectClick = function handleSelectClick() {
    setPopoverActive(!popoverActive);
  };
  useEffect(function syncInputValueFromSearchableProps() {
    setInputValue(searchableProps == null ? void 0 : searchableProps.inputValue);
  }, [searchableProps == null ? void 0 : searchableProps.inputValue]);
  useEffect(function () {
    setMenuOptions(options);
  }, [options]);
  useEffect(function () {
    if (showPopoverOnFocus) return;
    if (!isEmpty(inputValue) && optionsLength > 0) {
      setInternalPopoverActive(true);
    }
    if (inputValue === '' && optionsLength < 1) {
      setInternalPopoverActive(false);
    }
  }, [inputValue, optionsLength, showPopoverOnFocus]);
  useEffect(function () {
    if (listHeight) {
      setOptionListHeight(listHeight + 24 + "px");
      return;
    }
    if (scrollable) {
      setOptionListHeight(296 + 24 + "px");
      return;
    }
  }, [listHeight, scrollable]);
  var activator = function activator() {
    if (searchable || searchableProps) {
      return /*#__PURE__*/React.createElement(ActivatorTextInput, {
        allowMultiple: allowMultiple,
        disabled: disabled,
        hasError: hasError,
        onChange: searchableProps == null ? void 0 : searchableProps.onInputChange,
        placeholder: placeholder != null ? placeholder : 'Search',
        width: width,
        height: height,
        selectedValues: selectedValues,
        onBlur: onBlur,
        onSelect: onSelect,
        onFocus: handleFocus,
        inputValue: inputValue,
        updateInputValue: updateInputValue,
        searchableSelectState: searchableSelectState,
        updateSearchableSelectState: function updateSearchableSelectState(newState) {
          return _updateSearchableSelectState(newState);
        },
        options: options,
        updateMenuOptions: updateMenuOptions,
        prefix: prefix,
        name: name,
        isPlaceholderFloating: isPlaceholderFloating,
        required: required,
        border: border,
        borderRadius: borderRadius
      });
    }
    return /*#__PURE__*/React.createElement(ActivatorSelect, {
      allowMultiple: allowMultiple,
      customActivatorIcon: customActivatorIcon,
      disabled: disabled,
      hasError: hasError,
      placeholder: placeholder != null ? placeholder : 'Placeholder',
      onBlur: onBlur,
      onRemoveTag: onRemoveTag,
      onSelectClick: handleSelectClick,
      width: width,
      height: height,
      selectedValues: selectedValues,
      options: options,
      name: name,
      prefix: prefix,
      onClick: onSelectClick,
      required: required,
      border: border,
      borderRadius: borderRadius,
      isPlaceholderFloating: isPlaceholderFloating
    });
  };
  return /*#__PURE__*/React.createElement(Popover, {
    active: popoverActive,
    activator: /*#__PURE__*/React.createElement(ActivatorWrapper, {
      width: width
    }, label && !isPlaceholderFloating && /*#__PURE__*/React.createElement(Label, null, label), activator(), helpText && /*#__PURE__*/React.createElement(HelpTextContainer, null, /*#__PURE__*/React.createElement(Typography, {
      as: "span",
      variant: "subtitle2",
      color: disabled ? Neutral.B85 : Neutral.B40
    }, helpText))),
    onClose: handleClose,
    autofocusTarget: "none",
    preventFocusOnClose: true,
    preferredAlignment: "left",
    preferredPosition: "below",
    fullWidth: true,
    fitContent: optionListFitContent,
    zIndexOverride: zIndexOverride
  }, !disabled && /*#__PURE__*/React.createElement(Popover.Pane, {
    height: optionListHeight
  }, /*#__PURE__*/React.createElement(OptionList, {
    loading: loadingOptions,
    menuOptions: menuOptions,
    allowMultiple: allowMultiple,
    onSelect: onSelect,
    sections: sections,
    selectedValues: selectedValues,
    width: width,
    onMenuClose: handleClose,
    noOptionsMessage: optionsPlaceholderProps && (!inputValue ? optionsPlaceholderProps.idle : optionsPlaceholderProps.noResult),
    updateSearchableSelectState: function updateSearchableSelectState(newState) {
      return _updateSearchableSelectState(newState);
    }
  })));
};