import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["customActivatorIcon", "placeholder", "selectedValues", "onClick", "onRemoveTag", "width", "allowMultiple", "disabled", "onSelectClick", "hasError", "options", "prefix", "required", "border", "borderRadius", "height", "floatingFontSize", "isPlaceholderFloating"];
import React, { useEffect, useRef, useState } from 'react';
import { Typography } from '../../../Typography';
import { Blue, Neutral } from '../../../utilities/colors';
import { StyledIcon, StyledPrefixContainer, StyledSelect, StyledSelectTypography, StyledTag, SuffixContainer, TagsContainer, WithPrefixContainer } from './ActivatorStyle';
import { AsteriskIcon, FloatingLabel } from '../../../Input/InputStyle';
export var ActivatorSelect = function ActivatorSelect(_ref) {
  var customActivatorIcon = _ref.customActivatorIcon,
    placeholder = _ref.placeholder,
    selectedValues = _ref.selectedValues,
    onClick = _ref.onClick,
    onRemoveTag = _ref.onRemoveTag,
    width = _ref.width,
    _ref$allowMultiple = _ref.allowMultiple,
    allowMultiple = _ref$allowMultiple === void 0 ? false : _ref$allowMultiple,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    onSelectClick = _ref.onSelectClick,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    options = _ref.options,
    prefix = _ref.prefix,
    required = _ref.required,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    height = _ref.height,
    floatingFontSize = _ref.floatingFontSize,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState([]),
    filteredValues = _useState[0],
    setFilteredValues = _useState[1];
  var _useState2 = useState([]),
    selectedLabels = _useState2[0],
    setSelectedLabels = _useState2[1];
  var activatorRef = useRef(null);
  var hasSelectedValues = filteredValues.length > 0;
  useEffect(function () {
    var values = selectedValues == null ? void 0 : selectedValues.filter(function (value) {
      return value != '';
    });
    setFilteredValues(values);
    var selectedOptions = options == null ? void 0 : options.filter(function (_ref2) {
      var value = _ref2.value;
      return values.includes(value);
    });
    setSelectedLabels(selectedOptions.map(function (option) {
      return option.label;
    }));
  }, [options, selectedValues]);
  var handleClick = function handleClick(e) {
    e.preventDefault();
    e.stopPropagation();
    onSelectClick();
    onClick == null ? void 0 : onClick(e);
  };
  var selectedPlaceholder = required ? placeholder + "*" : placeholder;
  var placeholderMarkup = isPlaceholderFloating ? undefined : /*#__PURE__*/React.createElement(Typography, {
    variant: "body1",
    as: "span",
    color: disabled ? Neutral.B85 : Neutral.B68
  }, selectedPlaceholder);
  var tagsMarkup = function tagsMarkup() {
    if (!hasSelectedValues) {
      return placeholderMarkup;
    }
    if (hasSelectedValues) {
      return /*#__PURE__*/React.createElement(TagsContainer, null, /*#__PURE__*/React.createElement(StyledTag, {
        key: "option-" + selectedValues[0],
        onRemove: onRemoveTag({
          option: selectedValues[0]
        }),
        textColor: Blue.S99
      }, selectedLabels[0]), selectedValues.length > 1 && /*#__PURE__*/React.createElement(Typography, {
        variant: "subtitle2",
        color: disabled ? Neutral.B85 : Neutral.B40
      }, "... and ", selectedValues.length - 1, " more"));
    }
  };
  return /*#__PURE__*/React.createElement(StyledSelect, _extends({}, props, {
    ref: activatorRef,
    "data-error": hasError,
    onClick: handleClick,
    disabled: disabled,
    width: width,
    height: height,
    border: border,
    borderRadius: borderRadius,
    isPlaceholderFloating: isPlaceholderFloating
  }), /*#__PURE__*/React.createElement(WithPrefixContainer, null, prefix && /*#__PURE__*/React.createElement(StyledPrefixContainer, null, prefix), allowMultiple ? tagsMarkup() : /*#__PURE__*/React.createElement(StyledSelectTypography, {
    variant: "body1",
    "data-disabled": disabled,
    color: hasSelectedValues ? Neutral.B18 : Neutral.B40
  }, hasSelectedValues ? selectedLabels[0] : placeholderMarkup)), /*#__PURE__*/React.createElement(SuffixContainer, null, /*#__PURE__*/React.createElement(StyledIcon, {
    height: 24,
    name: customActivatorIcon || 'ri-arrow-m-down-line',
    fill: disabled ? Neutral.B85 : Neutral.B40
  })), isPlaceholderFloating && /*#__PURE__*/React.createElement(FloatingLabel, {
    "data-testid": "textarea-label",
    fontSize: floatingFontSize
  }, placeholder, required && /*#__PURE__*/React.createElement(AsteriskIcon, null, "*")));
};