import styled from 'styled-components';
import * as Breakpoints from '../../../utilities/breakpoints/Breakpoints';
import { borderRadius4 } from '../../../utilities/borderRadius';
import { Neutral, Red } from '../../../utilities/colors';
import { NotoSans } from '../../../utilities/fonts';
import { space8 } from '../../../utilities/spacing';
import { TextInput } from '../../../TextInput';
import { Tag } from '../../../Tag';
import { Typography } from '../../../Typography';
import { Icon } from '../../../Icon';
import { StyledSuffixContainer } from '../../../Input/InputStyle';
export var StyledSelect = styled.button.withConfig({
  displayName: "ActivatorStyle__StyledSelect",
  componentId: "sc-rui73p-0"
})(["position:relative;display:flex;align-items:center;justify-content:space-between;height:", ";cursor:pointer;padding:0px 8px 0px 12px;border:", ";box-shadow:0px 1px 0px rgba(0,0,0,0.05);border-radius:", ";background:", ";width:", ";color:", ";font-family:", ",sans-serif;font-weight:400;font-size:16px;line-height:150%;letter-spacing:0px;@media (max-width:", "){font-size:14px;}&:focus{outline:none;box-shadow:0px 0px 0px 1px #ffffff,0px 0px 0px 3px #6cc9ec;}&:disabled{background:", ";pointer-events:none;cursor:default;border:1px solid ", ";}&[data-error='true']{border:1px solid ", ";border-radius:", ";}"], function (props) {
  var _props$height;
  return (_props$height = props.height) != null ? _props$height : '36px';
}, function (_ref) {
  var border = _ref.border;
  return border != null ? border : "1px solid " + Neutral.B68;
}, function (_ref2) {
  var borderRadius = _ref2.borderRadius;
  return borderRadius != null ? borderRadius : borderRadius4;
}, Neutral.B100, function (props) {
  return props.width;
}, Neutral.B18, NotoSans, Breakpoints.large, Neutral.B95, Neutral.B85, Red.B93, borderRadius4);
export var TagsContainer = styled.div.withConfig({
  displayName: "ActivatorStyle__TagsContainer",
  componentId: "sc-rui73p-1"
})(["display:flex;justify-content:space-between;flex-direction:row;align-items:center;"]);
export var StyledTag = styled(Tag).withConfig({
  displayName: "ActivatorStyle__StyledTag",
  componentId: "sc-rui73p-2"
})(["height:28px;margin-right:", ";"], space8);
export var StyledTextInput = styled(TextInput).withConfig({
  displayName: "ActivatorStyle__StyledTextInput",
  componentId: "sc-rui73p-3"
})(["width:", ";"], function (props) {
  return props.width;
});
export var StyledSelectTypography = styled(Typography).withConfig({
  displayName: "ActivatorStyle__StyledSelectTypography",
  componentId: "sc-rui73p-4"
})(["display:flex;margin-left:auto;&[data-disabled='true']{color:", ";}"], Neutral.B85);
export var WithPrefixContainer = styled.div.withConfig({
  displayName: "ActivatorStyle__WithPrefixContainer",
  componentId: "sc-rui73p-5"
})(["display:flex;align-items:center;"]);
export var StyledPrefixContainer = styled.div.withConfig({
  displayName: "ActivatorStyle__StyledPrefixContainer",
  componentId: "sc-rui73p-6"
})(["display:flex;width:20px;margin-right:8px;"]);
export var StyledIcon = styled(Icon).withConfig({
  displayName: "ActivatorStyle__StyledIcon",
  componentId: "sc-rui73p-7"
})(["margin-left:auto;"]);
export var SuffixContainer = styled(StyledSuffixContainer).withConfig({
  displayName: "ActivatorStyle__SuffixContainer",
  componentId: "sc-rui73p-8"
})(["z-index:2;"]);