/// <reference types="react" />
import { Option } from '../../../Menu';
import { TextInputProps } from '../../../TextInput';
import { SearchableSelectState } from '../SearchableSelectInput/SearchableSelectInput';
export interface ActivatorTextInputProps extends Omit<TextInputProps, 'onChange' | 'onSelect'> {
    allowMultiple?: boolean;
    disabled?: boolean;
    hasError?: boolean;
    onChange?(value: string): void;
    onSelect?({ value }: {
        value: string;
    }): void;
    selectedValues?: string[];
    width?: string;
    height?: string;
    inputValue?: string;
    updateInputValue?: (newValue: string) => void;
    searchableSelectState?: SearchableSelectState;
    updateSearchableSelectState?: (newState: SearchableSelectState) => void;
    options?: Option[];
    updateMenuOptions?: (newState: Option[]) => void;
    border?: string;
    borderRadius?: string;
    isPlaceholderFloating?: boolean;
    required?: boolean;
}
export declare const ActivatorTextInput: ({ allowMultiple, disabled, hasError, onChange, onBlur, onFocus, onSelect, prefix, selectedValues, width, inputValue, updateInputValue, options, updateMenuOptions, border, borderRadius, isPlaceholderFloating, required, height, ...props }: ActivatorTextInputProps) => JSX.Element;
