import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["allowMultiple", "disabled", "hasError", "onChange", "onBlur", "onFocus", "onSelect", "prefix", "selectedValues", "width", "inputValue", "updateInputValue", "options", "updateMenuOptions", "border", "borderRadius", "isPlaceholderFloating", "required", "height"];
import React, { useEffect, useRef, useState } from 'react';
import { Icon } from '../../../Icon';
import { SearchableSelectInput } from '../SearchableSelectInput/SearchableSelectInput';
import { StyledTextInput } from './ActivatorStyle';
export var ActivatorTextInput = function ActivatorTextInput(_ref) {
  var allowMultiple = _ref.allowMultiple,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    onChange = _ref.onChange,
    onBlur = _ref.onBlur,
    onFocus = _ref.onFocus,
    onSelect = _ref.onSelect,
    _ref$prefix = _ref.prefix,
    prefix = _ref$prefix === void 0 ? /*#__PURE__*/React.createElement(Icon, {
      name: "ri-search"
    }) : _ref$prefix,
    selectedValues = _ref.selectedValues,
    width = _ref.width,
    inputValue = _ref.inputValue,
    updateInputValue = _ref.updateInputValue,
    options = _ref.options,
    updateMenuOptions = _ref.updateMenuOptions,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    required = _ref.required,
    height = _ref.height,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var activatorRef = useRef(null);
  var _useState = useState(false),
    hasSelectedValues = _useState[0],
    setHasSelectedValues = _useState[1];
  var filterOptions = function filterOptions(str) {
    if (str === '') {
      updateMenuOptions(options);
      return options;
    }
    var filterRegex = new RegExp(str, 'i');
    var filterOptions = options.filter(function (option) {
      return option.label.match(filterRegex);
    });
    return filterOptions;
  };
  var handleChange = function handleChange(_ref2) {
    var value = _ref2.value;
    if (onChange) {
      onChange(value);
      var filteredOptions = filterOptions(value);
      updateMenuOptions(filteredOptions);
      return;
    }
  };
  useEffect(function () {
    setHasSelectedValues(selectedValues.filter(function (v) {
      return v != '';
    }).length > 0);
  }, [selectedValues]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, allowMultiple ? /*#__PURE__*/React.createElement(StyledTextInput, _extends({}, props, {
    className: "select-input",
    ref: activatorRef,
    prefix: prefix,
    onChange: function onChange(value) {
      return handleChange({
        value: value
      });
    },
    onBlur: onBlur,
    onFocus: onFocus,
    error: hasError,
    disabled: disabled,
    width: width,
    border: border,
    borderRadius: borderRadius,
    isPlaceholderFloating: isPlaceholderFloating,
    required: required
  })) : /*#__PURE__*/React.createElement(SearchableSelectInput, _extends({}, props, {
    ref: activatorRef,
    prefix: prefix,
    filterOptions: filterOptions,
    onBlur: onBlur,
    onFocus: onFocus,
    onInputChange: onChange,
    onSelect: onSelect,
    error: hasError,
    disabled: disabled,
    selectedValue: hasSelectedValues ? selectedValues[0] : null,
    width: width,
    inputValue: inputValue,
    updateInputValue: updateInputValue,
    options: options,
    updateMenuOptions: updateMenuOptions,
    border: border,
    borderRadius: borderRadius,
    isPlaceholderFloating: isPlaceholderFloating,
    required: required,
    height: height
  })));
};