import React from 'react';
import { MenuProps, Option } from '../../../Menu';
import { SearchableSelectState } from '../SearchableSelectInput/SearchableSelectInput';
export interface OptionListProps extends MenuProps {
    loading?: boolean;
    noOptionsMessage?: React.ReactNode;
    onMenuClose?: () => void;
    onSelect?({ value }: {
        value: string;
    }): void;
    width?: string;
    updateSearchableSelectState?: (newState: SearchableSelectState) => void;
    menuOptions?: Option[];
}
export declare const MenuOptionLoading: () => JSX.Element;
export interface NoOptionListProps {
    noOptionsMessage?: React.ReactNode;
}
export declare const NoOptionList: ({ noOptionsMessage, }: NoOptionListProps) => JSX.Element;
export declare const OptionList: ({ allowMultiple, loading, noOptionsMessage, onMenuClose, onSelect, sections, selectedValues, title, updateSearchableSelectState, width, menuOptions, }: OptionListProps) => JSX.Element;
