import React, { useEffect, useState } from 'react';
import { Menu } from '../../../Menu';
import { Spinner } from '../../../Spinner';
import { Typography } from '../../../Typography';
import { Blue, Neutral } from '../../../utilities/colors';
import { EmptyOptionContainer, OptionListContainer } from './OptionListStyle';
export var MenuOptionLoading = function MenuOptionLoading() {
  return /*#__PURE__*/React.createElement(EmptyOptionContainer, {
    className: "menu-option-loading"
  }, /*#__PURE__*/React.createElement(Spinner, {
    size: "small",
    fill: Blue.S99
  }));
};
export var NoOptionList = function NoOptionList(_ref) {
  var _ref$noOptionsMessage = _ref.noOptionsMessage,
    noOptionsMessage = _ref$noOptionsMessage === void 0 ? 'No matching results' : _ref$noOptionsMessage;
  return /*#__PURE__*/React.createElement(EmptyOptionContainer, {
    className: "menu-option-empty"
  }, /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "body2",
    color: Neutral.B40
  }, noOptionsMessage));
};
export var OptionList = function OptionList(_ref2) {
  var allowMultiple = _ref2.allowMultiple,
    _ref2$loading = _ref2.loading,
    loading = _ref2$loading === void 0 ? false : _ref2$loading,
    noOptionsMessage = _ref2.noOptionsMessage,
    onMenuClose = _ref2.onMenuClose,
    onSelect = _ref2.onSelect,
    sections = _ref2.sections,
    selectedValues = _ref2.selectedValues,
    title = _ref2.title,
    updateSearchableSelectState = _ref2.updateSearchableSelectState,
    width = _ref2.width,
    menuOptions = _ref2.menuOptions;
  var _useState = useState((menuOptions == null ? void 0 : menuOptions.length) > 0),
    hasMenuOptions = _useState[0],
    setHasMenuOptions = _useState[1];
  useEffect(function () {
    setHasMenuOptions((menuOptions == null ? void 0 : menuOptions.length) > 0);
  }, [menuOptions]);
  var onOptionSelect = function onOptionSelect(_ref3) {
    var value = _ref3.value;
    if (onSelect) {
      onSelect({
        value: value
      });
      if (allowMultiple) return;
      updateSearchableSelectState({
        showSelected: true,
        showInput: false,
        showPlaceholder: false
      });
      onMenuClose();
    }
  };
  if (loading) {
    return /*#__PURE__*/React.createElement(OptionListContainer, {
      width: width
    }, /*#__PURE__*/React.createElement(MenuOptionLoading, null));
  }
  return /*#__PURE__*/React.createElement(OptionListContainer, {
    width: width,
    className: "menu-option-list"
  }, hasMenuOptions ? /*#__PURE__*/React.createElement(Menu, {
    allowMultiple: allowMultiple,
    options: menuOptions,
    onClick: onOptionSelect,
    sections: sections,
    selectedValues: selectedValues,
    title: title
  }) : /*#__PURE__*/React.createElement(NoOptionList, {
    noOptionsMessage: noOptionsMessage
  }));
};