import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["options", "disabled"];
import React, { useState } from 'react';
import { Select } from '../Select';
export var NonSearchableMultiSelect = function NonSearchableMultiSelect(_ref) {
  var options = _ref.options,
    disabled = _ref.disabled,
    args = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState([]),
    selected = _useState[0],
    setSelected = _useState[1];
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    if (!selected.includes(value)) {
      setSelected([].concat(selected, [value]));
      return;
    }
    setSelected(selected.filter(function (option) {
      return option !== value;
    }));
  };
  var removeTag = function removeTag(_ref3) {
    var option = _ref3.option;
    return function (e) {
      e.stopPropagation();
      var options = [].concat(selected);
      options.splice(options.indexOf(option), 1);
      setSelected(options);
    };
  };
  return /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    disabled: disabled,
    onRemoveTag: removeTag,
    options: options,
    onSelect: handleSelect,
    selectedValues: selected,
    width: "400px"
  }));
};