import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["data"];
import React, { useState } from 'react';
import { Blue } from '../../utilities/colors';
import { space8 } from '../../utilities/spacing';
import { Select } from '../Select';
import { StyledTag } from './SelectStoryStyle';
export var SearchableSelect = function SearchableSelect(_ref) {
  var data = _ref.data,
    args = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(''),
    inputValue = _useState[0],
    setInputValue = _useState[1];
  var _useState2 = useState([]),
    selectedOptions = _useState2[0],
    setSelectedOptions = _useState2[1];
  var handleInputChange = function handleInputChange(value) {
    setInputValue(value);
  };
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    if (!selectedOptions.includes(value)) {
      setSelectedOptions([].concat(selectedOptions, [value]));
      return;
    }
    setSelectedOptions(selectedOptions.filter(function (option) {
      return option !== value;
    }));
  };
  var removeTag = function removeTag(tag) {
    return function () {
      var options = [].concat(selectedOptions);
      options.splice(options.indexOf(tag), 1);
      setSelectedOptions(options);
    };
  };
  var tagsMarkup = selectedOptions.map(function (value) {
    var _data$find;
    return /*#__PURE__*/React.createElement(StyledTag, {
      key: "option-" + value,
      onRemove: removeTag(value),
      textColor: Blue.S99
    }, ((_data$find = data.find(function (option) {
      return option.value === value;
    })) == null ? void 0 : _data$find.label) || value);
  });
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    onSelect: handleSelect,
    options: data,
    selectedValues: selectedOptions,
    width: "600px",
    searchableProps: {
      inputValue: inputValue,
      onInputChange: function onInputChange(value) {
        return handleInputChange(value);
      }
    },
    label: "Label"
  })), /*#__PURE__*/React.createElement("div", {
    style: {
      paddingTop: space8
    }
  }, tagsMarkup));
};