import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["data"],
  _excluded2 = ["data"],
  _excluded3 = ["data"],
  _excluded4 = ["data"];
import _regeneratorRuntime from "@babel/runtime/regenerator";
import React, { useEffect, useState } from 'react';
import { debounce } from '../../../helpers/debounce';
import { Select } from '../Select';
export var SearchableSingle = function SearchableSingle(_ref) {
  var data = _ref.data,
    args = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useState = useState(''),
    selected = _useState[0],
    setSelected = _useState[1];
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    setSelected(value);
  };
  return /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    onSelect: handleSelect,
    options: data,
    selectedValues: [selected],
    width: "600px",
    searchable: true,
    label: "Label"
  }));
};
export var SearchableSingleWithInputState = function SearchableSingleWithInputState(_ref3) {
  var data = _ref3.data,
    args = _objectWithoutPropertiesLoose(_ref3, _excluded2);
  var _useState2 = useState(''),
    inputValue = _useState2[0],
    setInputValue = _useState2[1];
  var _useState3 = useState(''),
    selected = _useState3[0],
    setSelected = _useState3[1];
  var handleInputChange = function handleInputChange(value) {
    setInputValue(value);
  };
  var handleSelect = function handleSelect(_ref4) {
    var value = _ref4.value;
    setSelected(value);
  };
  return /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    onSelect: handleSelect,
    options: data,
    selectedValues: [selected],
    searchableProps: {
      inputValue: inputValue,
      onInputChange: function onInputChange(value) {
        return handleInputChange(value);
      }
    },
    width: "600px",
    label: "Label"
  }));
};
export var SearchableSingleWithInitialValue = function SearchableSingleWithInitialValue(_ref5) {
  var data = _ref5.data,
    args = _objectWithoutPropertiesLoose(_ref5, _excluded3);
  var _useState4 = useState('Singapore'),
    selected = _useState4[0],
    setSelected = _useState4[1];
  var handleSelect = function handleSelect(_ref6) {
    var value = _ref6.value;
    setSelected(value);
  };
  return /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    onSelect: handleSelect,
    options: data,
    selectedValues: [selected],
    width: "600px",
    searchable: true,
    label: "Label"
  }));
};
var filterOptions = function filterOptions(str, data) {
  if (str === '') {
    return data;
  }
  var filterRegex = new RegExp(str, 'i');
  var filterOptions = data.filter(function (option) {
    return option.label.match(filterRegex);
  });
  return filterOptions;
};
var mockAsyncOptions = function mockAsyncOptions(str, data) {
  return new Promise(function (resolve) {
    setTimeout(function () {
      var filteredOptions = filterOptions(str, data);
      resolve(filteredOptions);
    }, 1000);
  });
};
export var AsyncSearchableSingleWithInputState = function AsyncSearchableSingleWithInputState(_ref7) {
  var data = _ref7.data,
    args = _objectWithoutPropertiesLoose(_ref7, _excluded4);
  var _useState5 = useState(false),
    loading = _useState5[0],
    setLoading = _useState5[1];
  var _useState6 = useState([]),
    mockData = _useState6[0],
    setMockData = _useState6[1];
  var _useState7 = useState(''),
    inputValue = _useState7[0],
    setInputValue = _useState7[1];
  var _useState8 = useState(''),
    selected = _useState8[0],
    setSelected = _useState8[1];
  var handleInputChange = /*#__PURE__*/function () {
    var _ref8 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(value) {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            setInputValue(value);
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function handleInputChange(_x) {
      return _ref8.apply(this, arguments);
    };
  }();
  var debounceHandleInputChange = debounce(handleInputChange);
  var handleSelect = function handleSelect(_ref9) {
    var value = _ref9.value;
    setSelected(value);
  };
  useEffect(function () {
    var fetchMockData = /*#__PURE__*/function () {
      var _ref10 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2() {
        var response;
        return _regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) switch (_context2.prev = _context2.next) {
            case 0:
              _context2.prev = 0;
              setLoading(true);
              _context2.next = 4;
              return mockAsyncOptions(inputValue, data);
            case 4:
              response = _context2.sent;
              setMockData(response);
              setLoading(false);
              _context2.next = 12;
              break;
            case 9:
              _context2.prev = 9;
              _context2.t0 = _context2["catch"](0);
              setLoading(false);
            case 12:
            case "end":
              return _context2.stop();
          }
        }, _callee2, null, [[0, 9]]);
      }));
      return function fetchMockData() {
        return _ref10.apply(this, arguments);
      };
    }();
    if (inputValue === '') {
      setMockData([]);
      return;
    }
    fetchMockData();
  }, [data, inputValue]);
  return /*#__PURE__*/React.createElement(Select, _extends({}, args, {
    loadingOptions: loading,
    onSelect: handleSelect,
    options: mockData,
    selectedValues: [selected],
    searchableProps: {
      inputValue: inputValue,
      onInputChange: function onInputChange(value) {
        return debounceHandleInputChange(value);
      }
    },
    width: "600px",
    label: "Label"
  }));
};