import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["label", "size"];
var _iconSizeMapping, _labelVariantMapping;
import React from 'react';
import { Icon } from '../Icon';
import { Label, StyledWrapper } from './SpinnerStyle';
var iconSizeMapping = (_iconSizeMapping = {}, _iconSizeMapping['small'] = '18px', _iconSizeMapping['large'] = '48px', _iconSizeMapping);
var labelVariantMapping = (_labelVariantMapping = {}, _labelVariantMapping['small'] = 'body1', _labelVariantMapping['large'] = 'subtitle1', _labelVariantMapping);
export var Spinner = function Spinner(_ref) {
  var label = _ref.label,
    size = _ref.size,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StyledWrapper, {
    className: "spinner-container"
  }, /*#__PURE__*/React.createElement(Icon, _extends({
    name: "ri-loader",
    height: iconSizeMapping[size],
    width: iconSizeMapping[size]
  }, props)), label && /*#__PURE__*/React.createElement(Label, {
    variant: labelVariantMapping[size],
    "data-size": size
  }, label));
};