import React from 'react';
import { Typography } from '../Typography';
import { CircleDiv, HorizontalLine, HorizontalLineWrapper, StepItemContainer, StepItemWrapper, VerticalLine, VerticalLineWrapper } from './StepStyle';
import { Icon } from '../Icon';
import { Neutral } from '../utilities/colors';
var LineComponent = function LineComponent(_ref) {
  var variant = _ref.variant,
    type = _ref.type,
    orientation = _ref.orientation;
  if (orientation === 'vertical') {
    return /*#__PURE__*/React.createElement(VerticalLineWrapper, {
      "data-dot": type === 'dot'
    }, /*#__PURE__*/React.createElement(VerticalLine, {
      "data-variant": variant,
      "data-dot": type === 'dot'
    }));
  }
  return /*#__PURE__*/React.createElement(HorizontalLineWrapper, {
    "data-dot": type === 'dot'
  }, /*#__PURE__*/React.createElement(HorizontalLine, {
    "data-variant": variant,
    "data-dot": type === 'dot'
  }));
};
export var Step = /*#__PURE__*/React.forwardRef(function Step(_ref2, ref) {
  var _ref2$variant = _ref2.variant,
    variant = _ref2$variant === void 0 ? 'pending' : _ref2$variant,
    _ref2$label = _ref2.label,
    label = _ref2$label === void 0 ? '' : _ref2$label,
    _ref2$index = _ref2.index,
    index = _ref2$index === void 0 ? 0 : _ref2$index,
    _ref2$type = _ref2.type,
    type = _ref2$type === void 0 ? 'normal' : _ref2$type,
    _ref2$orientation = _ref2.orientation,
    orientation = _ref2$orientation === void 0 ? 'vertical' : _ref2$orientation;
  return /*#__PURE__*/React.createElement(StepItemContainer, {
    className: "step-item-container",
    "data-orientation": orientation
  }, /*#__PURE__*/React.createElement(StepItemWrapper, {
    ref: ref,
    "data-dot": type === 'dot',
    className: "step-item-wrapper"
  }, /*#__PURE__*/React.createElement(CircleDiv, {
    "data-variant": variant,
    "data-dot": type === 'dot'
  }, variant === 'completed' && /*#__PURE__*/React.createElement(Icon, {
    name: "ri-check",
    className: "circle-icon"
  }), variant === 'error' && /*#__PURE__*/React.createElement(Icon, {
    name: "ri-close",
    className: "circle-icon"
  }), variant === 'processing' && /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "caption",
    color: Neutral.B100,
    className: "circle-icon"
  }, index), variant === 'pending' && /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "caption",
    color: Neutral.B40,
    className: "circle-icon"
  }, index)), /*#__PURE__*/React.createElement(Typography, {
    className: "step-label",
    as: "div",
    variant: variant === 'processing' || variant === 'error' ? 'body2' : 'body1',
    color: variant === 'pending' || variant === 'completed' ? Neutral.B40 : Neutral.B18
  }, label)), /*#__PURE__*/React.createElement(LineComponent, {
    variant: variant,
    type: type,
    orientation: orientation
  }));
});