import styled from 'styled-components';
import { Breakpoints } from '..';
import { space4, space12, space16 } from '../utilities/spacing';
import { Blue, Neutral, Red } from '../utilities/colors';
import { borderRadiusHalf } from '../utilities/borderRadius';
export var StepsContainer = styled.div.withConfig({
  displayName: "StepStyle__StepsContainer",
  componentId: "sc-1br2jzt-0"
})(["&[data-orientation='horizontal']{display:flex;align-items:center;overflow-x:auto;}"]);
export var StepItemContainer = styled.div.withConfig({
  displayName: "StepStyle__StepItemContainer",
  componentId: "sc-1br2jzt-1"
})(["&:last-child > div:last-child{display:none;}&[data-orientation='horizontal']{display:flex;align-items:center;}"]);
export var StepItemWrapper = styled.div.withConfig({
  displayName: "StepStyle__StepItemWrapper",
  componentId: "sc-1br2jzt-2"
})(["display:flex;align-items:center;gap:", ";cursor:default;&[data-dot='true']{gap:", ";}.step-label{white-space:nowrap;}"], space12, space16);
export var CircleDiv = styled.div.withConfig({
  displayName: "StepStyle__CircleDiv",
  componentId: "sc-1br2jzt-3"
})(["display:flex;align-items:center;justify-content:center;height:28px;width:28px;border-radius:", ";flex-shrink:0;svg{height:16px;width:16px;}&[data-variant='pending']{background-color:", ";}&[data-variant='completed']{background-color:", ";svg{fill:", ";}}&[data-variant='processing']{background-color:", ";}&[data-variant='error']{background-color:", ";svg{fill:", ";}}&[data-dot='true']{height:10px;width:10px;> .circle-icon{display:none;}&[data-variant='completed']{background-color:", ";}}@media (max-width:", "){height:24px;width:24px;svg{height:14px;width:14px;}}"], borderRadiusHalf, Neutral.B95, Blue.S08, Blue.S99, Blue.S99, Red.B93, Neutral.B100, Blue.S99, Breakpoints.large);
export var VerticalLineWrapper = styled.div.withConfig({
  displayName: "StepStyle__VerticalLineWrapper",
  componentId: "sc-1br2jzt-4"
})(["display:flex;align-items:center;justify-content:center;padding:", " 0;height:64px;width:28px;&[data-dot='true']{width:10px;}@media (max-width:", "){width:24px;}"], space4, Breakpoints.large);
export var HorizontalLineWrapper = styled.div.withConfig({
  displayName: "StepStyle__HorizontalLineWrapper",
  componentId: "sc-1br2jzt-5"
})(["display:flex;align-items:center;justify-content:center;padding:0 ", ";width:105px;"], space12);
export var VerticalLine = styled.div.withConfig({
  displayName: "StepStyle__VerticalLine",
  componentId: "sc-1br2jzt-6"
})(["width:2px;height:100%;background-color:", ";&[data-variant='completed']{background-color:", ";}&[data-dot='true']{width:1.5px;}"], Neutral.B85, Blue.S99);
export var HorizontalLine = styled.div.withConfig({
  displayName: "StepStyle__HorizontalLine",
  componentId: "sc-1br2jzt-7"
})(["height:2px;width:100%;background-color:", ";&[data-variant='completed']{background-color:", ";}"], Neutral.B85, Blue.S99);