import React from 'react';
import { StepProps } from './Step';
export interface StepsProps extends React.HTMLAttributes<HTMLDivElement> {
    /** Step index (1-indexed) marked as processing */
    currentStep: number;
    /** List of indexes (1-indexed) to be marked as error */
    errorSteps?: number[];
    /** Step components as child are required (1-indexed) */
    children?: React.ReactElement<StepProps>[];
    /** If dot type, display dot only; default is normal; automatically passed to all children */
    type?: 'normal' | 'dot';
    orientation?: 'vertical' | 'horizontal';
}
export declare const StepsComponent: React.ForwardRefExoticComponent<StepsProps & React.RefAttributes<HTMLDivElement>>;
export declare const Steps: React.ForwardRefExoticComponent<StepsProps & React.RefAttributes<HTMLDivElement>> & {
    Step: React.ForwardRefExoticComponent<StepProps & React.RefAttributes<HTMLDivElement>>;
};
