import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["currentStep", "errorSteps", "children", "type", "orientation"];
import React from 'react';
import { Step } from './Step';
import { StepsContainer } from './StepStyle';
export var StepsComponent = /*#__PURE__*/React.forwardRef(function Collapse(_ref, ref) {
  var _ref$currentStep = _ref.currentStep,
    currentStep = _ref$currentStep === void 0 ? 0 : _ref$currentStep,
    _ref$errorSteps = _ref.errorSteps,
    errorSteps = _ref$errorSteps === void 0 ? [] : _ref$errorSteps,
    children = _ref.children,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'normal' : _ref$type,
    _ref$orientation = _ref.orientation,
    orientation = _ref$orientation === void 0 ? 'vertical' : _ref$orientation,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/React.createElement(StepsContainer, _extends({
    "data-orientation": orientation,
    ref: ref
  }, props), React.Children.map(children, function (child, index) {
    var _child$props, _child$props2;
    var variant = errorSteps.includes(index + 1) ? 'error' : index + 1 === currentStep ? 'processing' : index + 1 < currentStep ? 'completed' : 'pending';
    var childVariant = ((_child$props = child.props) == null ? void 0 : _child$props.variant) || variant;
    var childIndex = ((_child$props2 = child.props) == null ? void 0 : _child$props2.index) || index + 1;
    return /*#__PURE__*/React.createElement(child.type, _extends({}, child.props, {
      orientation: orientation,
      variant: childVariant,
      index: childIndex,
      type: type
    }));
  }));
});
export var Steps = Object.assign(StepsComponent, {
  Step: Step
});