import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["checked", "disabled", "onChange", "value", "withIcon", "checkedText", "uncheckedText", "checkedBackgroundColor"];
import React from 'react';
import { Icon } from '../Icon';
import { Neutral } from '../utilities/colors';
import { InputStyle, LabelStyle, SwitchStyle, SwitchTextStyle } from './SwitchStyle';
export var Switch = /*#__PURE__*/React.forwardRef(function Switch(_ref, ref) {
  var checked = _ref.checked,
    disabled = _ref.disabled,
    onChange = _ref.onChange,
    value = _ref.value,
    withIcon = _ref.withIcon,
    checkedText = _ref.checkedText,
    uncheckedText = _ref.uncheckedText,
    checkedBackgroundColor = _ref.checkedBackgroundColor,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var withText = Boolean(checkedText) && Boolean(uncheckedText);
  if (withText && withIcon) {
    console.warn('Switch component cannot have both text and icon');
  }
  var IconRender = function IconRender() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Icon, {
      name: "ri-check",
      fill: disabled ? Neutral.B85 : Neutral.B100
    }), /*#__PURE__*/React.createElement(Icon, {
      name: "ri-close",
      fill: disabled ? Neutral.B85 : Neutral.B100
    }));
  };
  var RenderSwitchText = function RenderSwitchText() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SwitchTextStyle, {
      variant: "overline",
      color: disabled ? Neutral.B85 : Neutral.B100
    }, checkedText), /*#__PURE__*/React.createElement(SwitchTextStyle, {
      variant: "overline",
      color: disabled ? Neutral.B85 : Neutral.B100
    }, uncheckedText));
  };
  return /*#__PURE__*/React.createElement(LabelStyle, null, /*#__PURE__*/React.createElement(InputStyle, _extends({
    value: value
  }, otherProps, {
    disabled: disabled,
    checked: checked,
    type: "checkbox",
    onChange: onChange,
    ref: ref,
    "data-with-icon": !withText && withIcon,
    "data-with-text": withText,
    backgroundColor: checkedBackgroundColor
  })), /*#__PURE__*/React.createElement(SwitchStyle, {
    "data-disabled": disabled,
    "data-with-icon": !withText && withIcon,
    "data-with-text": withText
  }, !withText && withIcon && /*#__PURE__*/React.createElement(IconRender, null), withText && /*#__PURE__*/React.createElement(RenderSwitchText, null)));
});