import React, { useRef } from 'react';
import { Typography } from '../Typography';
import { StyledSpan, StyledTabButton } from './TabStyle';
export var Tab = function Tab(_ref) {
  var content = _ref.content,
    id = _ref.id,
    selected = _ref.selected,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$disabledScrollTo = _ref.disabledScrollToTab,
    disabledScrollToTab = _ref$disabledScrollTo === void 0 ? false : _ref$disabledScrollTo,
    onSelect = _ref.onSelect;
  var tabRef = useRef(null);
  var handleClick = function handleClick(event) {
    if (disabled) return;
    event.preventDefault();
    if (!disabledScrollToTab) {
      tabRef.current.scrollIntoView({
        behavior: 'smooth'
      });
    }
    onSelect();
  };
  return /*#__PURE__*/React.createElement(StyledTabButton, {
    ref: tabRef,
    "data-selected": selected,
    "data-disabled": disabled,
    id: id,
    onClick: handleClick
  }, /*#__PURE__*/React.createElement(StyledSpan, null, /*#__PURE__*/React.createElement(Typography, {
    as: "span",
    variant: "body1"
  }, content)));
};