import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["children", "onRemove", "value", "textColor", "onClick", "disabled", "contentType", "iconName"];
import React from 'react';
import { Icon } from '../Icon';
import { Typography } from '../Typography';
import { Neutral } from '../utilities/colors';
import { TagContentStyle, TagIconWrapper, TagRemoveContainerStyle, TagStyle, TagContentWrapper } from './TagStyle';
export var Tag = /*#__PURE__*/React.forwardRef(function Tag(_ref, ref) {
  var children = _ref.children,
    onRemove = _ref.onRemove,
    value = _ref.value,
    textColor = _ref.textColor,
    onClick = _ref.onClick,
    disabled = _ref.disabled,
    _ref$contentType = _ref.contentType,
    contentType = _ref$contentType === void 0 ? 'neutral' : _ref$contentType,
    iconName = _ref.iconName,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var handleTextColor = function handleTextColor() {
    if (disabled) {
      return Neutral.B85;
    }
    if (textColor) {
      return textColor;
    }
    return Neutral.B18;
  };
  var content = typeof children === 'string' || typeof children === 'number' ? /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle2",
    color: handleTextColor(),
    as: 'span'
  }, children) : children;
  var removeButton = onRemove && /*#__PURE__*/React.createElement(TagRemoveContainerStyle, null, /*#__PURE__*/React.createElement(TagIconWrapper, {
    role: "button",
    tabIndex: 0
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "ri-close",
    fill: Neutral.B40,
    onClick: onRemove,
    className: "remove-button-icon"
  })));
  return /*#__PURE__*/React.createElement(TagStyle, _extends({
    ref: ref
  }, props, {
    value: value,
    onClick: !disabled && onClick,
    "data-clickable": !!onClick,
    "data-removeable": !!onRemove,
    "data-content-type": contentType,
    role: !!onClick ? 'button' : undefined,
    "data-disabled": disabled,
    as: !!onClick ? 'button' : 'div'
  }), /*#__PURE__*/React.createElement(TagContentStyle, {
    "data-removeable": !!onRemove
  }, iconName && /*#__PURE__*/React.createElement(Icon, {
    name: iconName,
    fill: Neutral.B40,
    height: 20
  }), /*#__PURE__*/React.createElement(TagContentWrapper, null, content)), removeButton);
});