import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["canClear", "suffix", "value", "onChange", "error", "height", "border", "borderRadius", "required", "floatingFontSize", "isPlaceholderFloating", "placeholderColor", "floatingPlaceholderTop"];
import React, { useEffect, useState } from 'react';
import { Icon } from '../Icon';
import { Input } from '../Input/Input';
export var TextInput = /*#__PURE__*/React.forwardRef(function TextInput(_ref, ref) {
  var canClear = _ref.canClear,
    suffix = _ref.suffix,
    value = _ref.value,
    onChange = _ref.onChange,
    error = _ref.error,
    height = _ref.height,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    required = _ref.required,
    floatingFontSize = _ref.floatingFontSize,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var ClearIcon = function ClearIcon() {
    return /*#__PURE__*/React.createElement(Icon, {
      name: "ri-close-circle-fill",
      style: {
        cursor: 'pointer'
      },
      onClick: function onClick() {
        return handleClearIconClick();
      }
    });
  };
  var _useState = useState(suffix),
    suffixValue = _useState[0],
    setSuffixValue = _useState[1];
  var handleClearIconClick = function handleClearIconClick() {
    onChange == null ? void 0 : onChange('');
    setSuffixValue(suffix);
  };
  var handleChange = function handleChange(e) {
    var val = e.currentTarget.value;
    var currSuffix = canClear && !!val ? /*#__PURE__*/React.createElement(ClearIcon, null) : suffixValue;
    setSuffixValue(currSuffix);
    onChange == null ? void 0 : onChange(val);
  };
  useEffect(function () {
    setSuffixValue(suffix);
  }, [suffix]);
  return /*#__PURE__*/React.createElement(Input, _extends({
    ref: ref,
    type: "text",
    suffix: suffixValue,
    value: value,
    onChange: handleChange,
    error: error,
    border: border,
    borderRadius: borderRadius,
    floatingFontSize: floatingFontSize,
    isPlaceholderFloating: isPlaceholderFloating,
    placeholderColor: placeholderColor,
    floatingPlaceholderTop: floatingPlaceholderTop,
    required: required,
    height: height
  }, props));
});