function _createForOfIteratorHelperLoose(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (it) return (it = it.call(o)).next.bind(it); if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; return function () { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
import { getViewportDimensions } from '../../helpers/viewPort';
export var verticalBuffer = 8;
export var horizontalBuffer = 8;
export var nonCenterArrowSpace = 12;
// for non center position the position of the arrow is 12px from the most left or right, setting it to 14 to make sure it's nicely visible
var marginBuffer = nonCenterArrowSpace + 2;
export var getElementCenterPosition = function getElementCenterPosition(elRect) {
  return elRect.left + elRect.width / 2;
};
export var getElementMiddlePosition = function getElementMiddlePosition(elRect) {
  return elRect.bottom + elRect.height / 2;
};
export var canFitOnTheTop = function canFitOnTheTop(tooltipRect, elRect, verticalMargin) {
  return elRect.top - (verticalMargin + tooltipRect.height) > 0;
};
export var canFitBelow = function canFitBelow(tooltipRect, elRect, verticalMargin) {
  return elRect.bottom + verticalMargin + tooltipRect.height < getViewportDimensions().height;
};
export var canFitOnTheLeft = function canFitOnTheLeft(tooltipRect, elRect, horizontalMargin) {
  return elRect.left - (horizontalMargin + tooltipRect.width) > 0;
};
export var canFitOnTheRight = function canFitOnTheRight(tooltipRect, elRect, horizontalMargin) {
  return elRect.right + horizontalMargin + tooltipRect.width < getViewportDimensions().width;
};
export var canAlignLeft = function canAlignLeft(tooltipRect, elRect) {
  var centerPosition = getElementCenterPosition(elRect);
  var hasSpaceOnTheLeftSideOfArrow = centerPosition - (tooltipRect.width - marginBuffer) > 0;
  var hasSpaceOnTheRightSideOfArrow = centerPosition + marginBuffer < getViewportDimensions().width;
  return {
    type: 'left',
    result: hasSpaceOnTheLeftSideOfArrow && hasSpaceOnTheRightSideOfArrow
  };
};
export var canAlignRight = function canAlignRight(tooltipRect, elRect) {
  var centerPosition = getElementCenterPosition(elRect);
  var hasSpaceOnTheRightSideOfArrow = centerPosition + (tooltipRect.width - marginBuffer) < getViewportDimensions().width;
  var hasSpaceOnTheLeftSideOfArrow = centerPosition - marginBuffer > 0;
  return {
    type: 'right',
    result: hasSpaceOnTheLeftSideOfArrow && hasSpaceOnTheRightSideOfArrow
  };
};
export var canAlignCenter = function canAlignCenter(tooltipRect, elRect) {
  var centerPosition = elRect.left + elRect.width / 2;
  return {
    type: 'center',
    result: centerPosition - tooltipRect.width / 2 > 0 && centerPosition + tooltipRect.width / 2 < getViewportDimensions().width
  };
};
export var canAlignTop = function canAlignTop(tooltipRect, elRect) {
  var middlePosition = getElementMiddlePosition(elRect);
  var hasSpaceOnTheTopOfArrow = middlePosition - (tooltipRect.height - marginBuffer) > 0;
  var hasSpaceBelowTheArrow = middlePosition + marginBuffer < getViewportDimensions().width;
  return {
    type: 'top',
    result: hasSpaceOnTheTopOfArrow && hasSpaceBelowTheArrow
  };
};
export var canAlignBottom = function canAlignBottom(tooltipRect, elRect) {
  var middlePosition = getElementMiddlePosition(elRect);
  var hasSpaceOnTopOfArrow = middlePosition + (tooltipRect.height - marginBuffer) < getViewportDimensions().height;
  var hasSpaceBelowTheArrow = middlePosition - marginBuffer > 0;
  return {
    type: 'bottom',
    result: hasSpaceBelowTheArrow && hasSpaceOnTopOfArrow
  };
};
export var canAlignMiddle = function canAlignMiddle(tooltipRect, elRect) {
  var middlePosition = elRect.top + elRect.height / 2;
  return {
    type: 'middle',
    result: middlePosition - tooltipRect.height / 2 > 0 && middlePosition + tooltipRect.height / 2 < getViewportDimensions().height
  };
};
export var canStayOnTop = function canStayOnTop(tooltipRect) {
  return tooltipRect.top > 0;
};
export var canStayOnBottom = function canStayOnBottom(tooltipRect) {
  console.log('tooltipRect:', tooltipRect);
  console.log('getViewportDimensions().height: ', getViewportDimensions().height);
  return tooltipRect.bottom < getViewportDimensions().height;
};
export var canStayOnLeft = function canStayOnLeft(tooltipRect) {
  return tooltipRect.left > 0;
};
export var canStayOnRight = function canStayOnRight(tooltipRect) {
  return tooltipRect.right < getViewportDimensions().width;
};
export var tryCalculateAligment = function tryCalculateAligment(args) {
  var preferredAlignmentFuncs = args.preferredAlignmentFuncs,
    tooltipRect = args.tooltipRect,
    elRect = args.elRect;
  for (var _iterator = _createForOfIteratorHelperLoose(preferredAlignmentFuncs), _step; !(_step = _iterator()).done;) {
    var alignmentFunc = _step.value;
    var _alignmentFunc = alignmentFunc(tooltipRect, elRect),
      result = _alignmentFunc.result,
      type = _alignmentFunc.type;
    if (result) {
      return type;
    }
  }
  return null;
};