import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["as", "children", "variant", "style"];
import React from 'react';
import { StyledTypography } from './TypographyStyles';
var typographyVariant = ['headline1', 'headline2', 'headline3', 'headline4', 'headline5', 'headline6', 'subtitle1', 'subtitle2', 'body1', 'body2', 'button', 'caption', 'overline'];
var isVariant = function isVariant(str) {
  return typographyVariant.includes(str);
};
export var Typography = function Typography(_ref) {
  var _ref$as = _ref.as,
    as = _ref$as === void 0 ? 'p' : _ref$as,
    children = _ref.children,
    variant = _ref.variant,
    style = _ref.style,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  if (!isVariant(variant)) {
    console.warn("Variant: " + variant + " is not of type Variant | undefined. \ntype Variant " + typographyVariant);
  }
  return /*#__PURE__*/React.createElement(StyledTypography, _extends({
    style: style,
    as: as,
    variant: variant
  }, props), children);
};