var _variantCssMapping;
import styled, { css } from 'styled-components';
import * as Breakpoints from '../utilities/breakpoints';
import { NotoSans, Poppins } from '../utilities/fonts';
export var headline1 = css(["font-family:", ",sans-serif;font-weight:700;font-size:60px;line-height:140%;letter-spacing:0;@media (max-width:", "){font-size:36px;}"], Poppins, Breakpoints.large);
export var headline2 = css(["font-family:", ",sans-serif;font-weight:700;font-size:50px;line-height:normal;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:32px;line-height:140%;}"], Poppins, Breakpoints.large);
export var headline3 = css(["font-family:", ",sans-serif;font-weight:700;font-size:36px;line-height:normal;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:28px;line-height:140%;}"], Poppins, Breakpoints.large);
export var headline4 = css(["font-family:", ",sans-serif;font-weight:700;font-size:30px;line-height:140%;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:24px;line-height:150%;}"], Poppins, Breakpoints.large);
export var headline5 = css(["font-weight:700;font-size:26px;line-height:normal;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:20px;}"], Breakpoints.large);
export var headline6 = css(["font-family:", ",sans-serif;font-weight:600;font-size:24px;line-height:150%;letter-spacing:0;@media (max-width:", "){font-weight:700;font-size:18px;letter-spacing:0.15px;}"], NotoSans, Breakpoints.large);
export var subtitle1 = css(["font-family:", ",sans-serif;font-weight:600;font-size:20px;line-height:150%;letter-spacing:0.15px;@media (max-width:", "){font-size:16px;}"], NotoSans, Breakpoints.large);
export var subtitle2 = css(["font-family:", ",sans-serif;font-weight:400;font-size:14px;line-height:150%;letter-spacing:0.25px;@media (max-width:", "){font-size:12px;letter-spacing:0;}"], NotoSans, Breakpoints.large);
export var body1 = css(["font-family:", ",sans-serif;font-weight:400;font-size:16px;line-height:150%;letter-spacing:0px;@media (max-width:", "){font-size:14px;}"], NotoSans, Breakpoints.large);
export var body2 = css(["font-family:", ",sans-serif;font-weight:600;font-size:16px;line-height:150%;letter-spacing:0.25px;@media (max-width:", "){font-size:14px;line-height:140%;letter-spacing:0;}"], NotoSans, Breakpoints.large);
export var button = css(["font-family:", ",sans-serif;font-weight:700;font-size:14px;line-height:150%;letter-spacing:0.75px;@media (max-width:", "){font-weight:600;letter-spacing:0.25px;}"], NotoSans, Breakpoints.large);
export var caption = css(["font-family:", ",sans-serif;font-weight:600;font-size:14px;line-height:150%;letter-spacing:0.25px;@media (max-width:", "){font-size:12px;letter-spacing:0px;}"], NotoSans, Breakpoints.large);
export var overline = css(["font-family:", ",sans-serif;font-weight:500;font-size:12px;line-height:140%;letter-spacing:1.5px;@media (max-width:", "){font-size:10px;letter-spacing:0.2px;}"], NotoSans, Breakpoints.large);
export var variantCssMapping = (_variantCssMapping = {}, _variantCssMapping['headline1'] = headline1, _variantCssMapping['headline2'] = headline2, _variantCssMapping['headline3'] = headline3, _variantCssMapping['headline4'] = headline4, _variantCssMapping['headline5'] = headline5, _variantCssMapping['headline6'] = headline6, _variantCssMapping['subtitle1'] = subtitle1, _variantCssMapping['subtitle2'] = subtitle2, _variantCssMapping['body1'] = body1, _variantCssMapping['body2'] = body2, _variantCssMapping['button'] = button, _variantCssMapping['caption'] = caption, _variantCssMapping['overline'] = overline, _variantCssMapping);
export var StyledTypography = styled.p.withConfig({
  displayName: "TypographyStyles__StyledTypography",
  componentId: "sc-ro16eu-0"
})(["color:", ";", ""], function (props) {
  return props.color;
}, function (props) {
  return variantCssMapping[props.variant];
});