"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ActionItem = void 0;
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _ActionListStyle = require("./ActionListStyle");
var ActionItem = function ActionItem(_ref) {
  var content = _ref.content,
    description = _ref.description,
    icon = _ref.icon,
    action = _ref.action,
    disabled = _ref.disabled;
  var hasDescription = !!description;
  return /*#__PURE__*/_react["default"].createElement(_ActionListStyle.StyledActionListItemWrapper, {
    tabIndex: 0,
    role: "button",
    onMouseUp: function onMouseUp(e) {
      return e.currentTarget.blur();
    },
    onClick: function onClick() {
      return action == null ? void 0 : action();
    },
    "data-disabled": disabled
  }, /*#__PURE__*/_react["default"].createElement(_ActionListStyle.StyledActionListItem, null, icon, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "body1",
    className: "action-item-content"
  }, content)), hasDescription && /*#__PURE__*/_react["default"].createElement(_ActionListStyle.StyledActionListItemDescription, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "body1",
    color: _colors.Neutral.B40,
    className: "action-item-description"
  }, description)));
};
exports.ActionItem = ActionItem;