"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ActionList = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _ActionItem = require("./ActionItem");
var _ActionListStyle = require("./ActionListStyle");
var ActionList = function ActionList(_ref) {
  var items = _ref.items,
    sections = _ref.sections;
  var renderActionItems = function renderActionItems(actionItems) {
    if (actionItems === void 0) {
      actionItems = [];
    }
    return actionItems.map(function (item, index) {
      return /*#__PURE__*/_react["default"].createElement(_ActionItem.ActionItem, (0, _extends2["default"])({
        key: item.content.toString() + "-" + index
      }, item));
    });
  };
  var renderSectionedItems = function renderSectionedItems() {
    return (sections || []).map(function (section, index) {
      var title = section.title;
      return /*#__PURE__*/_react["default"].createElement("li", {
        key: title + "-" + index
      }, /*#__PURE__*/_react["default"].createElement(_ActionListStyle.StyledActionListSection, {
        key: title + "-" + index
      }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
        as: "div",
        variant: "subtitle2"
      }, title)), renderActionItems(section.items || []));
    });
  };
  var renderItems = function renderItems() {
    return /*#__PURE__*/_react["default"].createElement("li", null, renderActionItems(items || []));
  };
  var contentMarkup = sections ? renderSectionedItems() : renderItems();
  return /*#__PURE__*/_react["default"].createElement(_ActionListStyle.StyledActionListContainer, null, contentMarkup);
};
exports.ActionList = ActionList;