"use strict";

exports.__esModule = true;
exports.Alert = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _AlertStyle = require("./AlertStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var iconNameStatusMap = {
  success: 'ri-checkbox-circle-fill',
  info: 'ri-information-fill',
  warning: 'ri-error-warning-fill',
  error: 'ri-error-warning-fill'
};
var Alert = /*#__PURE__*/_react["default"].forwardRef(function Alert(_ref, ref) {
  var show = _ref.show,
    title = _ref.title,
    content = _ref.content,
    status = _ref.status,
    _ref$duration = _ref.duration,
    duration = _ref$duration === void 0 ? 4000 : _ref$duration,
    children = _ref.children,
    zIndex = _ref.zIndex,
    position = _ref.position,
    onDismissed = _ref.onDismissed;
  (0, _react.useEffect)(function () {
    if (!show || duration === Infinity) {
      return;
    }
    var timeId = setTimeout(function () {
      onDismissed == null ? void 0 : onDismissed();
    }, duration);
    return function () {
      clearTimeout(timeId);
    };
  }, [duration, onDismissed, show]);
  var hasTitle = !!title;
  var iconStatus = iconNameStatusMap[status];
  if (status && !iconStatus) {
    console.warn("Status \"" + status + "\" is not a valid Alert status, \"info\" will be used instead");
  }
  var iconName = iconStatus || iconNameStatusMap['info'];
  if (!show) {
    return null;
  }
  return /*#__PURE__*/_react["default"].createElement(_AlertStyle.StyledAlertContainer, {
    ref: ref,
    role: "alert",
    "data-titled": hasTitle,
    "data-status": status || 'info',
    zIndex: zIndex,
    position: position
  }, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: iconName
  })), /*#__PURE__*/_react["default"].createElement("div", null, hasTitle && /*#__PURE__*/_react["default"].createElement(_AlertStyle.StyledAlertContentColumn, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle1"
  }, title)), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_AlertStyle.StyledAlertContentColumn, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "body1"
  }, content))), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_AlertStyle.StyledAlertContentColumn, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "body1"
  }, children)))), /*#__PURE__*/_react["default"].createElement(_AlertStyle.StyledAlertCloseIconContainer, {
    role: "button",
    onClick: function onClick() {
      return onDismissed == null ? void 0 : onDismissed();
    }
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-close"
  })));
});
exports.Alert = Alert;