"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.AuthenticationInput = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _AuthenticationInputStyle = require("./AuthenticationInputStyle");
var _AuthenticationInputSingle = require("./AuthenticationInputSingle");
var _excluded = ["numberOfInputs", "error", "onChange", "forwardedRef"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var AuthenticationInputComponent = function AuthenticationInputComponent(_ref) {
  var _ref$numberOfInputs = _ref.numberOfInputs,
    numberOfInputs = _ref$numberOfInputs === void 0 ? 6 : _ref$numberOfInputs,
    error = _ref.error,
    onChange = _ref.onChange,
    forwardedRef = _ref.forwardedRef,
    rest = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)(new Array(numberOfInputs).fill('')),
    inputValues = _useState[0],
    setInputValues = _useState[1];
  var _useState2 = (0, _react.useState)(0),
    currentIndex = _useState2[0],
    setCurrentIndex = _useState2[1];
  var inputArray = new Array(numberOfInputs).fill('');
  var onChangeRef = (0, _react.useRef)(null);
  onChangeRef.current = onChange;
  (0, _react.useEffect)(function () {
    if (inputValues.some(function (v) {
      return !Number.isInteger(v);
    })) {
      onChangeRef.current == null ? void 0 : onChangeRef.current(null);
      return;
    }
    onChangeRef.current == null ? void 0 : onChangeRef.current(inputValues.join(''));
  }, [inputValues]);
  var handleOnChange = function handleOnChange(value, index) {
    if (!Number.isInteger(value)) {
      var _newInputValues = [].concat(inputValues);
      _newInputValues[index] = '';
      setInputValues(_newInputValues);
      return;
    }
    var newInputValues = [].concat(inputValues);
    newInputValues[index] = value;
    setInputValues(newInputValues);
    var nextInputIndex = index + 1;
    if (nextInputIndex <= numberOfInputs - 1) {
      setCurrentIndex(nextInputIndex);
    }
  };
  var handlePaste = function handlePaste(event) {
    var pastedData = event.clipboardData.getData('text') || '';
    event.preventDefault();
    var pastedDataArray = pastedData.split('');
    if (pastedDataArray.length === 0) {
      return;
    }
    var newValues = new Array(numberOfInputs).fill('');
    for (var i = 0; i < numberOfInputs; i++) {
      var currentValue = i >= pastedDataArray.length ? null : pastedDataArray[i];
      var currentValueAsNumber = Number(currentValue);
      if (Number.isNaN(currentValueAsNumber)) {
        console.warn(currentValue + " is not a number, paste is skipped");
        continue;
      }
      newValues[i] = currentValueAsNumber;
    }
    setInputValues(newValues);
    setCurrentIndex(numberOfInputs - 1);
  };
  return /*#__PURE__*/_react["default"].createElement(_AuthenticationInputStyle.StyledInputsContainer, {
    className: "authentication-inputs-container",
    onPaste: handlePaste,
    ref: forwardedRef
  }, inputArray.map(function (_value, index) {
    return /*#__PURE__*/_react["default"].createElement(_AuthenticationInputSingle.AuthenticationInputSingle, (0, _extends2["default"])({
      key: index,
      className: "authentication-input",
      index: index,
      shouldFocus: currentIndex === index,
      isLast: index === numberOfInputs - 1,
      onChange: handleOnChange,
      value: inputValues[index],
      error: error,
      onPaste: handlePaste,
      onIndexChanged: function onIndexChanged(index) {
        if (index >= numberOfInputs || index < 0) {
          return;
        }
        setCurrentIndex(index);
      }
    }, rest));
  }));
};
var forwardRef = function forwardRef(props, ref) {
  return /*#__PURE__*/_react["default"].createElement(AuthenticationInputComponent, (0, _extends2["default"])({}, props, {
    forwardedRef: ref
  }));
};
forwardRef.displayName = AuthenticationInputComponent.name;
var AuthenticationInput = /*#__PURE__*/_react["default"].forwardRef(forwardRef);
exports.AuthenticationInput = AuthenticationInput;