"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.AuthenticationInputSingle = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _NumberInput = require("../NumberInput");
var _excluded = ["index", "onChange", "value", "shouldFocus", "isLast", "onIndexChanged"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var AuthenticationInputSingle = function AuthenticationInputSingle(_ref) {
  var index = _ref.index,
    _onChange = _ref.onChange,
    value = _ref.value,
    shouldFocus = _ref.shouldFocus,
    isLast = _ref.isLast,
    onIndexChanged = _ref.onIndexChanged,
    rest = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var ref = (0, _react.useRef)(null);
  (0, _react.useEffect)(function () {
    if (shouldFocus) {
      var _ref$current, _ref$current2;
      ref == null ? void 0 : (_ref$current = ref.current) == null ? void 0 : _ref$current.focus();
      ref == null ? void 0 : (_ref$current2 = ref.current) == null ? void 0 : _ref$current2.select();
    }
  }, [shouldFocus]);
  return /*#__PURE__*/_react["default"].createElement(_NumberInput.NumberInput, (0, _extends2["default"])({}, rest, {
    maxLength: 1,
    onFocus: function onFocus(e) {
      e.currentTarget.select();
      onIndexChanged == null ? void 0 : onIndexChanged(index);
    },
    inputRef: ref,
    value: value,
    onChange: function onChange(e) {
      var currentValue = e.currentTarget.valueAsNumber;
      _onChange(currentValue, index);
      if (isLast && currentValue) {
        var _ref$current3;
        ref == null ? void 0 : (_ref$current3 = ref.current) == null ? void 0 : _ref$current3.blur();
      }
    },
    onKeyDown: function onKeyDown(e) {
      var allowedKeys = ['Backspace', 'Delete', ' ', 'Tab', 'Enter'];
      if (allowedKeys.includes(e.key) || e.metaKey || e.ctrlKey) {
        return;
      }
      var reg = new RegExp('^[0-9]$');
      if (!reg.test(e.key)) {
        e.preventDefault();
      }
    },
    onKeyUp: function onKeyUp(e) {
      if (e.key === 'Backspace') {
        onIndexChanged(index - 1);
      }
    }
  }));
};
exports.AuthenticationInputSingle = AuthenticationInputSingle;