"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Avatar = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _AvatarStyle = require("./AvatarStyle");
var _excluded = ["variant", "size", "initials"];
var avatarBackgroundColorVariant = ['supplementary', 'warning', 'danger', 'success', 'outstanding'];
var avatarSizeVariant = ['large', 'medium'];
var Avatar = /*#__PURE__*/_react["default"].forwardRef(function Avatar(_ref, ref) {
  var _ref$variant = _ref.variant,
    variant = _ref$variant === void 0 ? 'supplementary' : _ref$variant,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'medium' : _ref$size,
    initials = _ref.initials,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_AvatarStyle.AvatarStyle, (0, _extends2["default"])({
    ref: ref,
    variant: variant,
    size: size
  }, props), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: size === 'medium' ? 'body1' : 'headline6',
    color: _colors.Neutral.B18,
    as: 'span'
  }, initials.slice(0, 2)));
});
exports.Avatar = Avatar;