"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.AvatarStyle = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _colors = require("../utilities/colors");
var _avatarBackgroundColo, _avatarSizeVariant;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var mediumAvatarSizeStyle = "\n  width: 40px;\n  height: 40px;\n  \n  @media (max-width: " + Breakpoints.large + ") {\n    width: 32px;\n    height: 32px;\n  }\n";
var largeAvatarSizeStyle = "\n  width: 60px;\n  height: 60px;\n\n  @media (max-width: " + Breakpoints.large + ") {\n    width: 40px;\n    height: 40px;\n  }\n";
var avatarBackgroundColor = (_avatarBackgroundColo = {}, _avatarBackgroundColo['supplementary'] = _colors.Neutral.B99, _avatarBackgroundColo['warning'] = _colors.Orange.S21, _avatarBackgroundColo['danger'] = _colors.Red.B100, _avatarBackgroundColo['success'] = _colors.Green.B89, _avatarBackgroundColo['outstanding'] = _colors.Blue.S08, _avatarBackgroundColo);
var avatarSizeVariant = (_avatarSizeVariant = {}, _avatarSizeVariant['large'] = largeAvatarSizeStyle, _avatarSizeVariant['medium'] = mediumAvatarSizeStyle, _avatarSizeVariant);
var getAvatarBackgroundColor = function getAvatarBackgroundColor(variant) {
  if (!(variant in avatarBackgroundColor)) {
    console.warn(variant + " is not a valid variant for the background color, default will be used");
    return avatarBackgroundColor['supplementary'];
  }
  return avatarBackgroundColor[variant];
};
var getAvatarSizeStyle = function getAvatarSizeStyle(sizeVariant) {
  if (!(sizeVariant in avatarSizeVariant)) {
    console.warn(sizeVariant + " is not a valid variant for the size, default will be used");
    return avatarSizeVariant['medium'];
  }
  return avatarSizeVariant[sizeVariant];
};
var AvatarStyle = _styledComponents["default"].div.withConfig({
  displayName: "AvatarStyle",
  componentId: "sc-1ry54fi-0"
})(["", " ", " display:flex;align-items:center;justify-content:center;border-radius:50%;"], function (_ref) {
  var size = _ref.size;
  return getAvatarSizeStyle(size);
}, function (_ref2) {
  var variant = _ref2.variant;
  return {
    'background-color': getAvatarBackgroundColor(variant)
  };
});
exports.AvatarStyle = AvatarStyle;