"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Badge = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _BadgeStyle = require("./BadgeStyle");
var _excluded = ["children", "hasBorder", "status", "textColor"];
var badgeStatusVariant = ['neutral', 'success', 'successBright', 'information', 'warning', 'critical', 'promotion', 'enticing', 'attention', 'primary', 'branding'];
var renderTextColor = function renderTextColor(textColor, status) {
  if (textColor) {
    return textColor;
  }
  return _BadgeStyle.badgeTextColor[status];
};
var Badge = /*#__PURE__*/_react["default"].forwardRef(function Badge(_ref, ref) {
  var children = _ref.children,
    hasBorder = _ref.hasBorder,
    status = _ref.status,
    textColor = _ref.textColor,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var content = typeof children === 'string' || typeof children === 'number' ? /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: "overline",
    color: renderTextColor(textColor, status),
    as: 'span'
  }, children) : children;
  return /*#__PURE__*/_react["default"].createElement(_BadgeStyle.BadgeStyle, (0, _extends2["default"])({
    ref: ref,
    status: status ? status : 'neutral',
    "data-border": hasBorder
  }, props), /*#__PURE__*/_react["default"].createElement("div", null, content));
});
exports.Badge = Badge;