"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.badgeTextColor = exports.BadgeStyle = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var _badgeBackgroundColor, _badgeTextColor;
var badgeBackgroundColor = (_badgeBackgroundColor = {}, _badgeBackgroundColor['neutral'] = _colors.Neutral.B95, _badgeBackgroundColor['success'] = _colors.Green.B89, _badgeBackgroundColor['successBright'] = _colors.Green.B61, _badgeBackgroundColor['information'] = _colors.Blue.S08, _badgeBackgroundColor['warning'] = _colors.Orange.S21, _badgeBackgroundColor['critical'] = _colors.Red.B100, _badgeBackgroundColor['promotion'] = _colors.Yellow.S75, _badgeBackgroundColor['enticing'] = _colors.Orange.S87, _badgeBackgroundColor['attention'] = _colors.Red.B93, _badgeBackgroundColor['primary'] = _colors.Blue.S99, _badgeBackgroundColor['branding'] = _colors.Blue.Brand, _badgeBackgroundColor);
var badgeTextColor = (_badgeTextColor = {}, _badgeTextColor['neutral'] = _colors.Neutral.B18, _badgeTextColor['success'] = _colors.Neutral.B18, _badgeTextColor['successBright'] = _colors.Neutral.B100, _badgeTextColor['information'] = _colors.Neutral.B18, _badgeTextColor['warning'] = _colors.Neutral.B18, _badgeTextColor['critical'] = _colors.Neutral.B18, _badgeTextColor['promotion'] = _colors.Neutral.B18, _badgeTextColor['enticing'] = _colors.Neutral.B100, _badgeTextColor['attention'] = _colors.Neutral.B100, _badgeTextColor['primary'] = _colors.Neutral.B100, _badgeTextColor['branding'] = _colors.Neutral.B100, _badgeTextColor);
exports.badgeTextColor = badgeTextColor;
var getBadgeBackgroundColor = function getBadgeBackgroundColor(status) {
  if (!(status in badgeBackgroundColor)) {
    console.warn(status + " is not a valid status, default will be used");
    return badgeBackgroundColor['neutral'];
  }
  return badgeBackgroundColor[status];
};
var BadgeStyle = _styledComponents["default"].div.withConfig({
  displayName: "BadgeStyle",
  componentId: "sc-qx6mou-0"
})(["", " width:fit-content;padding:2px ", ";border-radius:", ";line-height:0;&[data-border='true']{border:1px solid ", ";}"], function (_ref) {
  var status = _ref.status;
  return {
    'background-color': getBadgeBackgroundColor(status)
  };
}, _spacing.space8, _borderRadius.borderRadius20, _colors.Neutral.B100);
exports.BadgeStyle = BadgeStyle;