"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Banner = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _ButtonGroup = require("../ButtonGroup");
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _BannerStyle = require("./BannerStyle");
var _FixedBannerStyle = require("./FixedBannerStyle");
var _excluded = ["title", "status", "iconName", "children", "action", "secondaryAction", "dismissable", "onDismiss", "type", "showIcon"];
var iconNameStatusMap = {
  success: 'ri-checkbox-circle-fill',
  info: 'ri-information-fill',
  warning: 'ri-error-warning-fill',
  critical: 'ri-error-warning-fill'
};
var Banner = /*#__PURE__*/_react["default"].forwardRef(function Banner(_ref, ref) {
  var title = _ref.title,
    status = _ref.status,
    iconName = _ref.iconName,
    children = _ref.children,
    action = _ref.action,
    secondaryAction = _ref.secondaryAction,
    _ref$dismissable = _ref.dismissable,
    dismissable = _ref$dismissable === void 0 ? true : _ref$dismissable,
    onDismiss = _ref.onDismiss,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'static' : _ref$type,
    _ref$showIcon = _ref.showIcon,
    showIcon = _ref$showIcon === void 0 ? true : _ref$showIcon,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var iconByStatus = iconNameStatusMap[status];
  if (!iconByStatus) {
    console.warn("Status " + status + " is not valid, default style will be used");
  }
  var iconNameValue = iconName ? iconName : iconByStatus || iconNameStatusMap['info'];
  var actionComponent = /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, (action || secondaryAction) && /*#__PURE__*/_react["default"].createElement(_ButtonGroup.ButtonGroup, null, action, secondaryAction));
  if (type === 'static') return /*#__PURE__*/_react["default"].createElement(_BannerStyle.StyledBanner, (0, _extends2["default"])({
    ref: ref,
    "data-titled": !!title,
    "data-status": status
  }, props), /*#__PURE__*/_react["default"].createElement(_BannerStyle.StyledBannerTitleContainer, null, showIcon && /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: iconNameValue
  }), title && /*#__PURE__*/_react["default"].createElement(_BannerStyle.StyledBannerTitle, {
    "data-show-icon": showIcon
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "subtitle1"
  }, title)), dismissable && /*#__PURE__*/_react["default"].createElement(_BannerStyle.StyledCloseIconWrapper, {
    role: "button",
    onClick: function onClick() {
      return onDismiss == null ? void 0 : onDismiss();
    }
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-close"
  }))), /*#__PURE__*/_react["default"].createElement(_BannerStyle.StyledBannerContentContainer, {
    "data-show-icon": showIcon
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "body1"
  }, children)), /*#__PURE__*/_react["default"].createElement(_BannerStyle.StyledBannerContentContainer, {
    "data-show-icon": showIcon
  }, actionComponent));
  return /*#__PURE__*/_react["default"].createElement(_FixedBannerStyle.StyledFixedBanner, (0, _extends2["default"])({
    ref: ref,
    "data-status": status,
    "data-nobutton": action ? '' : 'true'
  }, props), showIcon && /*#__PURE__*/_react["default"].createElement(_FixedBannerStyle.StyledFixedIconWrapper, {
    "data-status": status
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: iconNameValue
  })), /*#__PURE__*/_react["default"].createElement(_FixedBannerStyle.StyledFixedBannerContentContainer, {
    "data-show-icon": showIcon,
    "data-has-action": !!(action || secondaryAction),
    "data-dismissable": dismissable
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "body2"
  }, children)), /*#__PURE__*/_react["default"].createElement(_FixedBannerStyle.StyledFixedBannerButtonContainer, {
    "data-show-icon": showIcon
  }, actionComponent), dismissable && /*#__PURE__*/_react["default"].createElement(_FixedBannerStyle.StyledFixedCloseIconWrapper, {
    role: "button",
    onClick: function onClick() {
      return onDismiss == null ? void 0 : onDismiss();
    }
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-close"
  })));
});
exports.Banner = Banner;