"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Bar = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
var _Button = require("../Button");
var _ButtonGroup = require("../ButtonGroup");
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _BarStyle = require("./BarStyle");
var _useWindowSize2 = require("./useWindowSize");
var _excluded = ["onClick", "action"];
var Bar = /*#__PURE__*/_react["default"].forwardRef(function Bar(_ref, ref) {
  var heading = _ref.heading,
    subheading = _ref.subheading,
    primaryAction = _ref.primaryAction,
    secondaryAction = _ref.secondaryAction,
    tertiaryAction = _ref.tertiaryAction,
    position = _ref.position,
    _ref$showBackButton = _ref.showBackButton,
    showBackButton = _ref$showBackButton === void 0 ? false : _ref$showBackButton,
    onBack = _ref.onBack,
    customActionGroup = _ref.customActionGroup;
  var headerMarkup = function headerMarkup() {
    if (subheading) {
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
        as: "div",
        variant: "body2",
        color: _.Colors.Neutral.B18
      }, heading), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
        as: "div",
        variant: "subtitle2",
        color: _.Colors.Neutral.B40
      }, subheading));
    }
    return /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
      as: "div",
      variant: "headline6",
      color: _.Colors.Neutral.B18
    }, heading);
  };
  var _useWindowSize = (0, _useWindowSize2.useWindowSize)(),
    width = _useWindowSize.width;
  var breakpointWidth = parseInt(_.Breakpoints.large.slice(0, -2));
  var buttonSize = width <= breakpointWidth ? 'default' : 'large';
  function makeButtonProps(buttonAction) {
    var onClick = buttonAction.onClick,
      action = buttonAction.action,
      otherProps = (0, _objectWithoutPropertiesLoose2["default"])(buttonAction, _excluded);
    return (0, _extends2["default"])({
      onClick: onClick || action
    }, otherProps);
  }
  return /*#__PURE__*/_react["default"].createElement(_BarStyle.StyledBar, {
    "data-align": position,
    ref: ref
  }, /*#__PURE__*/_react["default"].createElement(_BarStyle.StyledBarContainer, null, showBackButton && /*#__PURE__*/_react["default"].createElement(_BarStyle.StyledButtonContainer, {
    onClick: onBack
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-left-line"
  })), /*#__PURE__*/_react["default"].createElement(_BarStyle.StyledBarHeaderWrapper, null, headerMarkup(), " "), /*#__PURE__*/_react["default"].createElement(_BarStyle.StyledBarActionWrapper, null, customActionGroup ? customActionGroup : /*#__PURE__*/_react["default"].createElement(_ButtonGroup.ButtonGroup, null, tertiaryAction && /*#__PURE__*/_react["default"].createElement(_Button.Button, (0, _extends2["default"])({}, makeButtonProps(tertiaryAction), {
    size: buttonSize
  }), tertiaryAction.label), secondaryAction && /*#__PURE__*/_react["default"].createElement(_Button.Button, (0, _extends2["default"])({}, makeButtonProps(secondaryAction), {
    size: buttonSize
  }), secondaryAction.label), primaryAction && /*#__PURE__*/_react["default"].createElement(_Button.PrimaryButton, (0, _extends2["default"])({}, makeButtonProps(primaryAction), {
    size: buttonSize
  }), primaryAction.label)))));
});
exports.Bar = Bar;