"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledCustomHeadingWrapper = exports.StyledButtonContainer = exports.StyledBarHeaderWrapper = exports.StyledBarContainer = exports.StyledBarActionWrapper = exports.StyledBar = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledBar = _styledComponents["default"].div.withConfig({
  displayName: "BarStyle__StyledBar",
  componentId: "sc-1m51mld-0"
})(["display:flex;flex-direction:row;padding:12px 0;width:100%;position:absolute;min-height:90px;height:fit-content;&[data-align='bottom']{bottom:0;}&[data-align='top']{top:0;}box-shadow:0px 0px 0px 1px rgba(63,63,68,0.05),0px 1px 3px rgba(63,63,68,0.15);background:", ";@media (max-width:", "){padding:8px 0;min-height:70px;}"], _colors.Neutral.B100, Breakpoints.large);
exports.StyledBar = StyledBar;
var StyledBarHeaderWrapper = _styledComponents["default"].div.withConfig({
  displayName: "BarStyle__StyledBarHeaderWrapper",
  componentId: "sc-1m51mld-1"
})(["display:flex;flex-grow:1;flex-direction:column;"]);
exports.StyledBarHeaderWrapper = StyledBarHeaderWrapper;
var StyledBarActionWrapper = _styledComponents["default"].div.withConfig({
  displayName: "BarStyle__StyledBarActionWrapper",
  componentId: "sc-1m51mld-2"
})(["display:flex;flex-direction:column-reverse;align-items:flex-end;"]);
exports.StyledBarActionWrapper = StyledBarActionWrapper;
var StyledBarContainer = _styledComponents["default"].div.withConfig({
  displayName: "BarStyle__StyledBarContainer",
  componentId: "sc-1m51mld-3"
})(["position:relative;margin:0 auto;padding:0 50px;width:100%;*,*:before,*:after{box-sizing:border-box;}justify-content:space-between;align-items:center;flex-direction:row;display:flex;@media (max-width:", "){gap:16px;padding:0 16px;}"], Breakpoints.large);
exports.StyledBarContainer = StyledBarContainer;
var StyledCustomHeadingWrapper = _styledComponents["default"].div.withConfig({
  displayName: "BarStyle__StyledCustomHeadingWrapper",
  componentId: "sc-1m51mld-4"
})(["display:flex;flex-direction:row;gap:", ";"], _spacing.space8);
exports.StyledCustomHeadingWrapper = StyledCustomHeadingWrapper;
var StyledButtonContainer = _styledComponents["default"].div.withConfig({
  displayName: "BarStyle__StyledButtonContainer",
  componentId: "sc-1m51mld-5"
})(["cursor:pointer;margin-right:24px;svg{width:24px;fill:", ";}@media (max-width:", "){margin-right:16px;svg{width:16px;}}"], _colors.Neutral.B40, Breakpoints.large);
exports.StyledButtonContainer = StyledButtonContainer;