"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Button = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Spinner = require("../Spinner/Spinner");
var _Typography = require("../Typography");
var _ButtonStyle = require("./ButtonStyle");
var _excluded = ["children", "icon", "iconPosition", "active", "fullWidth", "loading", "disabled", "onClick"];
var Button = /*#__PURE__*/_react["default"].forwardRef(function Button(_ref, ref) {
  var children = _ref.children,
    icon = _ref.icon,
    _ref$iconPosition = _ref.iconPosition,
    iconPosition = _ref$iconPosition === void 0 ? 'left' : _ref$iconPosition,
    active = _ref.active,
    fullWidth = _ref.fullWidth,
    loading = _ref.loading,
    disabled = _ref.disabled,
    onClick = _ref.onClick,
    otherProps = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var content = typeof children === 'string' ? /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: "button"
  }, " ", children) : children;
  var renderIcon = function renderIcon(position) {
    if (icon && position === iconPosition) {
      return icon;
    }
    return null;
  };
  var onClickHandler = function onClickHandler() {
    if (loading || disabled) {
      return;
    }
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    return onClick == null ? void 0 : onClick.apply(void 0, args);
  };
  return /*#__PURE__*/_react["default"].createElement(_ButtonStyle.StyledButton, (0, _extends2["default"])({
    ref: ref,
    "data-active": active,
    "data-full-width": fullWidth,
    "data-loading": loading,
    "data-icon": !!icon
  }, otherProps, {
    onMouseUp: function onMouseUp(e) {
      return e.currentTarget.blur();
    },
    onClick: onClickHandler,
    disabled: disabled
  }), loading && /*#__PURE__*/_react["default"].createElement(_Spinner.Spinner, null), renderIcon('left'), content, renderIcon('right'));
});
exports.Button = Button;