"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledButton = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _dropShadow = require("../utilities/dropShadow");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var defaultButtonSizeStyle = "\n  min-width: 75px;\n  height: 36px;\n  padding: " + _spacing.space8 + " " + _spacing.space16 + ";\n\n  @media (max-width: " + Breakpoints.large + ") {\n    min-width: 71px;\n  }\n";
var largeButtonSizeStyle = "\n  min-width: 91px;\n  height: 44px;\n  padding: " + _spacing.space12 + " " + _spacing.space24 + ";\n\n  @media (max-width: " + Breakpoints.large + ") {\n    min-width: 87px;\n  }\n";
var slimButtonSizeStyle = "\n  padding: " + _spacing.space4 + ";\n\n  p {\n    margin-block-start: 0px;\n    margin-block-end: 0px;\n  }\n";
var buttonSizeStyleMap = {
  "default": defaultButtonSizeStyle,
  slim: slimButtonSizeStyle,
  large: largeButtonSizeStyle
};
var StyledButton = _styledComponents["default"].button.withConfig({
  displayName: "ButtonStyle__StyledButton",
  componentId: "sc-8t0676-0"
})(["display:flex;gap:8px;border-width:1px;border-style:solid;border-radius:", ";flex-direction:row;align-items:center;justify-content:center;flex:none;order:0;flex-grow:0;color:", ";background:", ";border-color:", ";box-shadow:", ";&:hover{cursor:pointer;background:", ";}&:focus{outline:none;border-color:", ";box-shadow:", ";}&:active{background:", ";border:1px solid ", ";box-shadow:", ";}&:active > svg{fill:", ";}&:disabled{color:", ";background:", ";border-color:", ";pointer-events:none;}&:disabled svg{fill:", ";}", " svg{width:20px;height:20px;fill:", ";}.spinner-container{position:absolute;}&[data-active='true']{color:", ";background:", ";}&[data-full-width='true']{width:100%;}&[data-active='true'] svg{fill:", ";}&[data-loading='true']{background:", ";color:transparent;}&[data-loading='true'] svg{fill:transparent;}&[data-loading='true'] .spinner-container svg{fill:", ";position:static;}"], _borderRadius.borderRadius4, _colors.Neutral.B18, _colors.Neutral.B100, _colors.Neutral.B68, _dropShadow.button, _colors.Neutral.B99, _colors.Neutral.B68, _dropShadow.buttonFocused, _colors.Neutral.B95, _colors.Neutral.B68, _dropShadow.insetButtonPressed, _colors.Neutral.B40, _colors.Neutral.B85, _colors.Neutral.B95, _colors.Neutral.B95, _colors.Neutral.B85, function (_ref) {
  var _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'default' : _ref$size;
  var sizeStyle = buttonSizeStyleMap[size];
  if (size && !sizeStyle) {
    console.warn(size + " is not a valid ButtonSize, default will be used");
  }
  return buttonSizeStyleMap[size] || defaultButtonSizeStyle;
}, _colors.Neutral.B40, _colors.Neutral.B100, _colors.Neutral.B40, _colors.Neutral.B100, _colors.Neutral.B99, _colors.Neutral.B85);
exports.StyledButton = StyledButton;