"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Card = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _Button = require("../Button");
var _DestructivePlainButtonStyle = require("../Button/DestructivePlainButtonStyle");
var _PlainButtonStyle = require("../Button/PlainButtonStyle");
var _ButtonGroup = require("../ButtonGroup");
var _Typography = require("../Typography");
var _CardStyle = require("./CardStyle");
var _Section = require("./Section");
var CardComponent = /*#__PURE__*/_react["default"].forwardRef(function Card(_ref, ref) {
  var heading = _ref.heading,
    subheading = _ref.subheading,
    primaryAction = _ref.primaryAction,
    secondaryAction = _ref.secondaryAction,
    customActions = _ref.customActions,
    headerPrimaryAction = _ref.headerPrimaryAction,
    headerSecondaryAction = _ref.headerSecondaryAction,
    _ref$actionsAlignment = _ref.actionsAlignment,
    actionsAlignment = _ref$actionsAlignment === void 0 ? 'right' : _ref$actionsAlignment,
    children = _ref.children;
  var headingMarkup = /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle1"
  }, heading);
  var subHeadingMarkup = /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle2"
  }, subheading);
  var headerMarkup = function headerMarkup() {
    if (!!heading && !!subheading) {
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderSectionHalf, null, headingMarkup), /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderSectionHalf, null, subHeadingMarkup));
    }
    if (heading) {
      return /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderSection, null, headingMarkup);
    }
    return /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderSection, null, subHeadingMarkup);
  };
  var defaultActionContent = /*#__PURE__*/_react["default"].createElement(_ButtonGroup.ButtonGroup, null, secondaryAction && /*#__PURE__*/_react["default"].createElement(_Button.Button, (0, _extends2["default"])({
    onClick: secondaryAction.action
  }, secondaryAction), secondaryAction.label), primaryAction && /*#__PURE__*/_react["default"].createElement(_Button.PrimaryButton, (0, _extends2["default"])({
    onClick: primaryAction.action
  }, primaryAction), primaryAction.label));
  var actionsContent = customActions ? customActions : defaultActionContent;
  var showHeader = !!heading || !!subheading;
  var showActions = !!customActions || !!primaryAction || !!secondaryAction;
  return /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardContainer, {
    ref: ref,
    className: "card-container"
  }, showHeader && /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderWrapper, {
    className: "card-heading-container"
  }, /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderLeftContainer, null, headerMarkup()), /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardHeaderRightContainer, null, /*#__PURE__*/_react["default"].createElement(_ButtonGroup.ButtonGroup, {
    fullWidth: false,
    isButtonWrapped: true
  }, headerSecondaryAction && /*#__PURE__*/_react["default"].createElement(_DestructivePlainButtonStyle.DestructivePlainButton, (0, _extends2["default"])({
    onClick: headerSecondaryAction.action,
    size: "slim"
  }, headerSecondaryAction), headerSecondaryAction.label), headerPrimaryAction && /*#__PURE__*/_react["default"].createElement(_PlainButtonStyle.PlainButton, (0, _extends2["default"])({
    onClick: headerPrimaryAction.action,
    size: "slim"
  }, headerPrimaryAction), headerPrimaryAction.label)))), /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardContentWrapper, {
    "data-actions": showActions,
    className: "card-content-container"
  }, children), showActions && /*#__PURE__*/_react["default"].createElement(_CardStyle.StyledCardActionWrapper, {
    "data-align": actionsAlignment,
    className: "card-actions-wrapper"
  }, actionsContent));
});
var Card = Object.assign(CardComponent, {
  Section: _Section.Section
});
exports.Card = Card;