import React from 'react';
export declare type AspectRatio = {
    width: number;
    height: number;
};
export interface CarouselProps {
    autoRotate?: boolean;
    children: React.ReactNode;
    /** i.e: 16:9 The first number represents the width, and the second number represents the height.
     * `AspectRatio: { width: number, height: number }`
     */
    aspectRatio?: AspectRatio;
    /** sets height of Carousel*/
    height?: string;
    /** sets width of Carousel */
    width?: string;
    indicatorPosition?: 'top' | 'bottom' | 'left' | 'right' | 'outer';
    /** Sets indicator type. Default is line and can be `null` to remove the component */
    indicatorType?: 'dot' | 'line' | 'slider' | null;
    /** Sets whether to show arrows */
    showArrows?: boolean;
    /** When `autoRotate` is `true`, specify milliseconds until next slide shows */
    duration?: number;
}
export declare const Carousel: ({ autoRotate, children, aspectRatio, height, width, indicatorPosition, indicatorType, duration, showArrows, }: CarouselProps) => JSX.Element;
