"use strict";

exports.__esModule = true;
exports.Carousel = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../Icon");
var _colors = require("../utilities/colors");
var _CarouselStyle = require("./CarouselStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Carousel = function Carousel(_ref) {
  var _ref$autoRotate = _ref.autoRotate,
    autoRotate = _ref$autoRotate === void 0 ? false : _ref$autoRotate,
    children = _ref.children,
    aspectRatio = _ref.aspectRatio,
    height = _ref.height,
    width = _ref.width,
    _ref$indicatorPositio = _ref.indicatorPosition,
    indicatorPosition = _ref$indicatorPositio === void 0 ? 'outer' : _ref$indicatorPositio,
    _ref$indicatorType = _ref.indicatorType,
    indicatorType = _ref$indicatorType === void 0 ? 'line' : _ref$indicatorType,
    _ref$duration = _ref.duration,
    duration = _ref$duration === void 0 ? 3000 : _ref$duration,
    _ref$showArrows = _ref.showArrows,
    showArrows = _ref$showArrows === void 0 ? true : _ref$showArrows;
  var slideRef = (0, _react.useRef)(null);
  var slideTimeout = (0, _react.useRef)();
  var _useState = (0, _react.useState)(0),
    activeIndex = _useState[0],
    setActiveIndex = _useState[1];
  var _useState2 = (0, _react.useState)(autoRotate),
    hideArrows = _useState2[0],
    setHideArrows = _useState2[1];
  var childrenList = _react["default"].Children.toArray(children).filter(function (child) {
    return /*#__PURE__*/_react["default"].isValidElement(child);
  });
  var childrenLength = childrenList.length;
  var updateActiveIndex = (0, _react.useCallback)(function (index) {
    if (index < 0) {
      setActiveIndex(childrenLength - 1);
      return;
    }
    if (index === childrenLength) {
      setActiveIndex(0);
      return;
    }
    setActiveIndex(index);
  }, [childrenLength]);
  var handlePreviousClick = function handlePreviousClick() {
    updateActiveIndex(activeIndex - 1);
  };
  var handleNextClick = function handleNextClick() {
    updateActiveIndex(activeIndex + 1);
  };
  var handleMouseEnter = function handleMouseEnter() {
    if (autoRotate) {
      setHideArrows(false);
      return;
    }
  };
  var handleMouseLeave = function handleMouseLeave() {
    if (autoRotate) {
      setHideArrows(true);
      return;
    }
  };
  (0, _react.useEffect)(function () {
    if (autoRotate) {
      if (slideTimeout.current) clearTimeout(slideTimeout.current);
      slideTimeout.current = setTimeout(function () {
        updateActiveIndex(activeIndex + 1);
      }, duration);
    }
  }, [activeIndex, autoRotate, duration, updateActiveIndex]);
  return /*#__PURE__*/_react["default"].createElement(_CarouselStyle.CarouselContainer, {
    aspectRatio: aspectRatio ? (aspectRatio == null ? void 0 : aspectRatio.width) + "/" + (aspectRatio == null ? void 0 : aspectRatio.height) : null,
    height: height,
    width: width,
    onMouseEnter: handleMouseEnter,
    onMouseLeave: handleMouseLeave
  }, /*#__PURE__*/_react["default"].createElement(_CarouselStyle.SlideContainer, {
    ref: slideRef,
    aspectRatio: aspectRatio ? (aspectRatio == null ? void 0 : aspectRatio.width) + "/" + (aspectRatio == null ? void 0 : aspectRatio.height) : null,
    height: height,
    width: width
  }, /*#__PURE__*/_react["default"].createElement(_CarouselStyle.ItemsContainer, {
    activeIndex: activeIndex
  }, childrenList)), showArrows && /*#__PURE__*/_react["default"].createElement(_CarouselStyle.ArrowsContainer, {
    "data-hidden": hideArrows
  }, /*#__PURE__*/_react["default"].createElement(_CarouselStyle.PreviousArrow, {
    onClick: handlePreviousClick
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-m-left-line",
    fill: _colors.Neutral.B40
  })), /*#__PURE__*/_react["default"].createElement(_CarouselStyle.NextArrow, {
    onClick: handleNextClick
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-m-right-line",
    fill: _colors.Neutral.B40
  }))), !!indicatorType && /*#__PURE__*/_react["default"].createElement(_CarouselStyle.IndicatorsContainer, {
    indicatorType: indicatorType,
    indicatorPosition: indicatorPosition
  }, /*#__PURE__*/_react["default"].createElement("div", null, Array.from(Array(childrenLength).keys()).map(function (n) {
    var isActive = activeIndex === n;
    return /*#__PURE__*/_react["default"].createElement(_CarouselStyle.Indicator, {
      indicatorType: indicatorType,
      key: "carousel-indicator-" + n,
      onClick: function onClick() {
        return updateActiveIndex(n);
      },
      className: isActive ? 'active' : null
    });
  }))));
};
exports.Carousel = Carousel;