"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.SlideContainer = exports.PreviousArrow = exports.NextArrow = exports.ItemsContainer = exports.IndicatorsContainer = exports.Indicator = exports.CarouselContainer = exports.ArrowsContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var _indicatorPositionSty, _indicatorTypeSpaceMa, _indicatorTypeStyleMa;
var CarouselContainer = _styledComponents["default"].div.withConfig({
  displayName: "CarouselStyle__CarouselContainer",
  componentId: "sc-pn0x62-0"
})(["position:relative;display:flex;flex-direction:column;aspect-ratio:", ";height:", ";width:", ";"], function (props) {
  return props.aspectRatio;
}, function (props) {
  return props.height;
}, function (props) {
  return props.width;
});
exports.CarouselContainer = CarouselContainer;
var SlideContainer = _styledComponents["default"].div.withConfig({
  displayName: "CarouselStyle__SlideContainer",
  componentId: "sc-pn0x62-1"
})(["position:relative;display:flex;overflow:hidden;aspect-ratio:", ";height:", ";width:", ";"], function (props) {
  return props.aspectRatio;
}, function (props) {
  return props.height;
}, function (props) {
  return props.width;
});
exports.SlideContainer = SlideContainer;
var ItemsContainer = _styledComponents["default"].div.withConfig({
  displayName: "CarouselStyle__ItemsContainer",
  componentId: "sc-pn0x62-2"
})(["display:flex;white-space:nowrap;width:100%;height:100%;transition-timing-function:cubic-bezier(0.34,0.69,0.1,1);transition-duration:500ms;transform:", ";"], function (props) {
  return "translateX(-" + props.activeIndex * 100 + "%)";
});
exports.ItemsContainer = ItemsContainer;
var ArrowsContainer = _styledComponents["default"].div.withConfig({
  displayName: "CarouselStyle__ArrowsContainer",
  componentId: "sc-pn0x62-3"
})(["visibility:visible;opacity:1;transition:opacity 0.75s ease;button{z-index:2;position:absolute;display:flex;justify-content:center;align-items:center;width:32px;height:32px;border-radius:", ";border:none;background:", ";opacity:0.6;cursor:pointer;&:hover{opacity:1;transition:opacity 0.5s ease;}}&[data-hidden='true']{visibility:hidden;opacity:0;}"], _borderRadius.borderRadiusHalf, _colors.Neutral.B99);
exports.ArrowsContainer = ArrowsContainer;
var PreviousArrow = _styledComponents["default"].button.withConfig({
  displayName: "CarouselStyle__PreviousArrow",
  componentId: "sc-pn0x62-4"
})(["left:0;margin-left:", ";top:50%;transform:translateY(-50%);"], _spacing.space8);
exports.PreviousArrow = PreviousArrow;
var NextArrow = _styledComponents["default"].button.withConfig({
  displayName: "CarouselStyle__NextArrow",
  componentId: "sc-pn0x62-5"
})(["right:0;margin-right:", ";top:50%;transform:translateY(-50%);"], _spacing.space8);

// use style mapping for indicator type and position
exports.NextArrow = NextArrow;
var indicatorPositionStyleMapping = (_indicatorPositionSty = {}, _indicatorPositionSty['top'] = "", _indicatorPositionSty['bottom'] = "", _indicatorPositionSty['left'] = "", _indicatorPositionSty['right'] = "", _indicatorPositionSty['outer'] = "bottom: -18px", _indicatorPositionSty);
var indicatorTypeSpaceMapping = (_indicatorTypeSpaceMa = {}, _indicatorTypeSpaceMa['dot'] = "", _indicatorTypeSpaceMa['line'] = "gap: " + _spacing.space8 + ";", _indicatorTypeSpaceMa['slider'] = "", _indicatorTypeSpaceMa);
var IndicatorsContainer = _styledComponents["default"].div.withConfig({
  displayName: "CarouselStyle__IndicatorsContainer",
  componentId: "sc-pn0x62-6"
})(["display:flex;justify-content:center;z-index:2;position:absolute;width:100%;div{display:flex;background:rgba(248,250,252,0.6);padding:", " ", ";border-radius:100px;", "}", ""], _spacing.space4, _spacing.space8, function (props) {
  return indicatorTypeSpaceMapping[props.indicatorType];
}, function (props) {
  return indicatorPositionStyleMapping[props.indicatorPosition];
});
exports.IndicatorsContainer = IndicatorsContainer;
var indicatorTypeStyleMapping = (_indicatorTypeStyleMa = {}, _indicatorTypeStyleMa['dot'] = "", _indicatorTypeStyleMa['line'] = "\n    width: 16px;\n    height: 6px;\n    border-radius: " + _borderRadius.borderRadius16 + ";\n    background: " + _colors.Neutral.B40 + ";\n    border: none;\n  ", _indicatorTypeStyleMa['slider'] = "", _indicatorTypeStyleMa);
var Indicator = _styledComponents["default"].button.withConfig({
  displayName: "CarouselStyle__Indicator",
  componentId: "sc-pn0x62-7"
})(["cursor:pointer;opacity:0.5;&.active{background:", ";}", ""], _colors.Yellow.Brand, function (props) {
  return indicatorTypeStyleMapping[props.indicatorType];
});
exports.Indicator = Indicator;