import React from 'react';
import { CollapseItemProps } from './CollapseItem';
export interface CollapseProps extends React.HTMLAttributes<HTMLDivElement> {
    /** If true, there is outer 1px border with 4px border radius, default is true */
    hasBorder?: boolean;
    /** The children should all be 'Collapse.Item' components */
    children?: React.ReactElement<CollapseItemProps>[];
    /** If this is true, show arrow indication, applies to all children collapse items */
    showIndicator?: boolean;
    /** Arrow indicator to be put on the very left or right of the header, applies to all children collapse items */
    indicatorPosition?: 'left' | 'right';
}
export declare const Collapse: React.ForwardRefExoticComponent<CollapseProps & React.RefAttributes<HTMLDivElement>> & {
    Item: React.ForwardRefExoticComponent<CollapseItemProps & React.RefAttributes<HTMLDivElement>>;
};
