"use strict";

exports.__esModule = true;
exports.CollapseItem = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _CollapseItemStyle = require("./CollapseItemStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var CollapseItem = /*#__PURE__*/_react["default"].forwardRef(function CollapseItem(_ref, ref) {
  var children = _ref.children,
    title = _ref.title,
    headerLeft = _ref.headerLeft,
    headerRight = _ref.headerRight,
    _ref$defaultCollapsed = _ref.defaultCollapsed,
    defaultCollapsed = _ref$defaultCollapsed === void 0 ? true : _ref$defaultCollapsed,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$showIndicator = _ref.showIndicator,
    showIndicator = _ref$showIndicator === void 0 ? true : _ref$showIndicator,
    _ref$indicatorPositio = _ref.indicatorPosition,
    indicatorPosition = _ref$indicatorPositio === void 0 ? 'left' : _ref$indicatorPositio;
  var _useState = (0, _react.useState)(defaultCollapsed),
    isCollapsed = _useState[0],
    setIsCollapsed = _useState[1];
  var handleClick = function handleClick() {
    if (!disabled) {
      setIsCollapsed(!isCollapsed);
    }
  };
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.CollapseItemHeader, {
    onClick: handleClick,
    "data-disabled": disabled,
    ref: ref
  }, showIndicator && indicatorPosition === 'left' && /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.IndicatorIconWrapper, {
    isCollapsed: isCollapsed
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-m-right-fill"
  })), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "body1",
    color: disabled ? _colors.Neutral.B85 : _colors.Neutral.B18
  }, title), headerLeft, /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.RightHeaderSection, null, headerRight, showIndicator && indicatorPosition === 'right' && /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.IndicatorIconWrapper, {
    isCollapsed: isCollapsed,
    "data-anticlockwise": true
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-arrow-m-left-fill"
  })))), /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.CollapseItemContent, {
    isCollapsed: isCollapsed
  }, /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.CollapseContentWrapper, null, /*#__PURE__*/_react["default"].createElement(_CollapseItemStyle.CollapseContent, {
    className: "collapse-item-content"
  }, children))));
});
exports.CollapseItem = CollapseItem;