"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.RightHeaderSection = exports.IndicatorIconWrapper = exports.CollapseItemHeader = exports.CollapseItemContent = exports.CollapseContentWrapper = exports.CollapseContent = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _TypographyStyles = require("../Typography/TypographyStyles");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var _ = require("..");
var ANIMATION_DURATION = '200ms';
var CollapseItemHeader = _styledComponents["default"].div.withConfig({
  displayName: "CollapseItemStyle__CollapseItemHeader",
  componentId: "sc-1xlws99-0"
})(["display:flex;flex-direction:row;align-items:center;gap:", ";padding:", ";cursor:pointer;background-color:", ";border-bottom:1px solid ", ";svg{height:20px;width:20px;fill:", ";}&[data-disabled='true']{cursor:not-allowed;svg{fill:", ";}}@media (max-width:", "){svg{height:18px;width:18px;}}"], _spacing.space4, _spacing.space8, _colors.Neutral.B100, _colors.Neutral.B85, _colors.Neutral.B40, _colors.Neutral.B85, _.Breakpoints.large);
exports.CollapseItemHeader = CollapseItemHeader;
var RightHeaderSection = _styledComponents["default"].div.withConfig({
  displayName: "CollapseItemStyle__RightHeaderSection",
  componentId: "sc-1xlws99-1"
})(["display:flex;flex-direction:row;align-items:center;gap:", ";margin-left:auto;"], _spacing.space4);
exports.RightHeaderSection = RightHeaderSection;
var CollapseItemContent = _styledComponents["default"].div.withConfig({
  displayName: "CollapseItemStyle__CollapseItemContent",
  componentId: "sc-1xlws99-2"
})(["display:grid;grid-template-rows:", ";transition:all ", " ease-in-out;opacity:", ";width:100%;background-color:", ";"], function (props) {
  return props.isCollapsed ? '0fr' : '1fr';
}, ANIMATION_DURATION, function (props) {
  return props.isCollapsed ? 0 : 1;
}, _colors.Neutral.B99);
exports.CollapseItemContent = CollapseItemContent;
var CollapseContentWrapper = _styledComponents["default"].div.withConfig({
  displayName: "CollapseItemStyle__CollapseContentWrapper",
  componentId: "sc-1xlws99-3"
})(["overflow:hidden;"]);
exports.CollapseContentWrapper = CollapseContentWrapper;
var CollapseContent = _styledComponents["default"].div.withConfig({
  displayName: "CollapseItemStyle__CollapseContent",
  componentId: "sc-1xlws99-4"
})(["padding:", ";border-bottom:1px solid ", ";", ""], _spacing.space8, _colors.Neutral.B85, _TypographyStyles.subtitle2);
exports.CollapseContent = CollapseContent;
var IndicatorIconWrapper = _styledComponents["default"].div.withConfig({
  displayName: "CollapseItemStyle__IndicatorIconWrapper",
  componentId: "sc-1xlws99-5"
})(["display:flex;flex-direction:row;align-items:center;svg{transform:rotate(", ");transition:transform ", " ease-in-out;}&[data-anticlockwise='true']{svg{transform:rotate(", ");}}"], function (props) {
  return props.isCollapsed ? '0deg' : '90deg';
}, ANIMATION_DURATION, function (props) {
  return props.isCollapsed ? '0deg' : '-90deg';
});
exports.IndicatorIconWrapper = IndicatorIconWrapper;