"use strict";

exports.__esModule = true;
exports.Combobox = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Popover = require("../Popover");
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _components = require("./components");
var _OptionListContext = require("./components/OptionList/OptionListContext");
var _TextInputContext = require("./components/TextInput/TextInputContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Combobox = function Combobox(_ref) {
  var activator = _ref.activator,
    _ref$allowMultiple = _ref.allowMultiple,
    allowMultiple = _ref$allowMultiple === void 0 ? false : _ref$allowMultiple,
    children = _ref.children,
    onClose = _ref.onClose,
    listHeight = _ref.listHeight,
    scrollable = _ref.scrollable;
  var _useState = (0, _react.useState)(false),
    popoverActive = _useState[0],
    setPopoverActive = _useState[1];
  var _useState2 = (0, _react.useState)(),
    textInputWidth = _useState2[0],
    setTextInputWidth = _useState2[1];
  var _useState3 = (0, _react.useState)(''),
    optionListHeight = _useState3[0],
    setOptionListHeight = _useState3[1];
  (0, _react.useEffect)(function () {
    if (listHeight) {
      setOptionListHeight(listHeight + 24 + "px");
      return;
    }
    if (scrollable) {
      setOptionListHeight(296 + 24 + "px");
      return;
    }
  }, [listHeight, scrollable]);
  var handleClose = (0, _react.useCallback)(function () {
    setPopoverActive(false);
    onClose == null ? void 0 : onClose();
  }, [onClose]);
  var handleFocus = function handleFocus() {
    setPopoverActive(true);
  };
  var handleBlur = function handleBlur() {
    if (popoverActive) {
      handleClose();
    }
  };
  var textInputContextValue = {
    onFocus: handleFocus,
    onBlur: handleBlur,
    textInputWidth: textInputWidth,
    setTextInputWidth: setTextInputWidth
  };
  var optionContextValue = {
    allowMultiple: allowMultiple
  };
  return /*#__PURE__*/_react["default"].createElement(_Popover.Popover, {
    active: popoverActive,
    activator: /*#__PURE__*/_react["default"].createElement(_TextInputContext.ComboboxTextInputContext.Provider, {
      value: textInputContextValue
    }, activator),
    onClose: handleClose,
    autofocusTarget: "none",
    preventFocusOnClose: true,
    fullWidth: true
  }, /*#__PURE__*/_react["default"].createElement(_Popover.Popover.Pane, {
    height: optionListHeight
  }, /*#__PURE__*/_react["default"].createElement(_OptionListContext.ComboboxOptionContext.Provider, {
    value: optionContextValue
  }, /*#__PURE__*/_react["default"].createElement(_TextInputContext.ComboboxTextInputContext.Provider, {
    value: textInputContextValue
  }, children))));
};
exports.Combobox = Combobox;
var Label = function Label(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "subtitle2",
    color: _colors.Neutral.B18
  }, children);
};
Combobox.Label = Label;
Combobox.TextInput = _components.TextInput;
Combobox.OptionList = _components.OptionList;
Combobox.Option = _components.Option;