"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ComboboxMultiSelect = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _colors = require("../../utilities/colors");
var _spacing = require("../../utilities/spacing");
var _Combobox = require("../Combobox");
var _TagStyle = require("./TagStyle");
var _excluded = ["countries"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var ComboboxMultiSelect = function ComboboxMultiSelect(_ref) {
  var countries = _ref.countries,
    args = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)(''),
    inputValue = _useState[0],
    setInputValue = _useState[1];
  var _useState2 = (0, _react.useState)([]),
    selectedOptions = _useState2[0],
    setSelectedOptions = _useState2[1];
  var _useState3 = (0, _react.useState)(false),
    isSearchEmpty = _useState3[0],
    setIsSearchEmpty = _useState3[1];
  var _useState4 = (0, _react.useState)(countries),
    options = _useState4[0],
    setOptions = _useState4[1];
  var handleInputChange = function handleInputChange(value) {
    setInputValue(value);
    if (value === '') {
      setOptions(countries);
      return;
    }
    var filterRegex = new RegExp(value, 'i');
    var filterOptions = options.filter(function (country) {
      return country.label.match(filterRegex);
    });
    setOptions(filterOptions);
  };
  var handleSelect = function handleSelect(selected) {
    if (selectedOptions.includes(selected)) {
      setSelectedOptions(selectedOptions.filter(function (option) {
        return option !== selected;
      }));
    } else {
      setSelectedOptions([].concat(selectedOptions, [selected]));
    }
  };
  var optionsMarkup = (options == null ? void 0 : options.length) > 0 ? options.map(function (option) {
    var label = option.label,
      value = option.value;
    return /*#__PURE__*/_react["default"].createElement(_Combobox.Combobox.Option, {
      key: value,
      label: label,
      value: value,
      selected: selectedOptions.includes(value)
    });
  }) : null;
  var removeTag = (0, _react.useCallback)(function (tag) {
    return function () {
      var options = [].concat(selectedOptions);
      options.splice(options.indexOf(tag), 1);
      setSelectedOptions(options);
    };
  }, [selectedOptions]);
  var tagsMarkup = selectedOptions.map(function (option) {
    return /*#__PURE__*/_react["default"].createElement(_TagStyle.StyledTag, {
      key: "option-" + option,
      onRemove: removeTag(option),
      textColor: _colors.Blue.S99
    }, option);
  });
  (0, _react.useEffect)(function () {
    if (options.length === 0) {
      setIsSearchEmpty(true);
    }
    if (options.length > 0 && isSearchEmpty === true) {
      setIsSearchEmpty(false);
    }
  }, [isSearchEmpty, options]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      maxWidth: '500px'
    }
  }, /*#__PURE__*/_react["default"].createElement(_Combobox.Combobox.Label, null, "Label"), /*#__PURE__*/_react["default"].createElement(_Combobox.Combobox, (0, _extends2["default"])({}, args, {
    activator: /*#__PURE__*/_react["default"].createElement(_Combobox.Combobox.TextInput, {
      value: inputValue,
      onChange: function onChange(value) {
        return handleInputChange(value);
      },
      placeholder: "Search"
    })
  }), /*#__PURE__*/_react["default"].createElement(_Combobox.Combobox.OptionList, {
    onSelect: handleSelect,
    isEmpty: isSearchEmpty
  }, optionsMarkup)), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      paddingTop: _spacing.space8
    }
  }, tagsMarkup));
};
exports.ComboboxMultiSelect = ComboboxMultiSelect;