"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Option = exports.NoOptionList = void 0;
var _react = _interopRequireDefault(require("react"));
var _Checkbox = require("../../../Checkbox");
var _Typography = require("../../../Typography");
var _colors = require("../../../utilities/colors");
var _OptionListContext = require("./OptionListContext");
var _OptionListStyle = require("./OptionListStyle");
var Option = function Option(_ref) {
  var label = _ref.label,
    value = _ref.value,
    selected = _ref.selected;
  var optionContext = (0, _OptionListContext.useOption)();
  var allowMultiple = optionContext.allowMultiple;
  var optionListContext = (0, _OptionListContext.useOptionList)();
  var onOptionSelect = optionListContext.onOptionSelect;
  var handleOptionSelect = function handleOptionSelect(event) {
    event.preventDefault();
    event.stopPropagation();
    onOptionSelect({
      value: value
    });
  };
  return /*#__PURE__*/_react["default"].createElement("li", {
    value: value,
    onClick: handleOptionSelect,
    "data-active": selected
  }, allowMultiple ? /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, {
    label: label,
    checked: selected
  }) : label);
};
exports.Option = Option;
var NoOptionList = function NoOptionList(_ref2) {
  var _ref2$noOptionsMessag = _ref2.noOptionsMessage,
    noOptionsMessage = _ref2$noOptionsMessag === void 0 ? 'No matching results' : _ref2$noOptionsMessag;
  return /*#__PURE__*/_react["default"].createElement(_OptionListStyle.EmptyOptionContainer, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "body2",
    color: _colors.Neutral.B40
  }, noOptionsMessage));
};
exports.NoOptionList = NoOptionList;