"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.OptionList = void 0;
var _react = _interopRequireDefault(require("react"));
var _TextInputContext = require("../TextInput/TextInputContext");
var _Option = require("./Option");
var _OptionListContext = require("./OptionListContext");
var _OptionListStyle = require("./OptionListStyle");
var OptionList = function OptionList(_ref) {
  var children = _ref.children,
    isEmpty = _ref.isEmpty,
    noOptionsMessage = _ref.noOptionsMessage,
    onSelect = _ref.onSelect;
  var textInputContext = (0, _TextInputContext.useComboboxTextInput)();
  var textInputWidth = textInputContext.textInputWidth;
  var hasChildren = !isEmpty;
  var onOptionSelect = function onOptionSelect(_ref2) {
    var value = _ref2.value;
    if (onSelect) onSelect(value);
  };
  var optionListContextValue = {
    onOptionSelect: onOptionSelect
  };
  return /*#__PURE__*/_react["default"].createElement(_OptionListStyle.OptionListContainer, {
    textInputWidth: textInputWidth
  }, /*#__PURE__*/_react["default"].createElement(_OptionListStyle.StyledOptionList, null, /*#__PURE__*/_react["default"].createElement(_OptionListContext.ComboboxOptionListContext.Provider, {
    value: optionListContextValue
  }, hasChildren ? children : /*#__PURE__*/_react["default"].createElement(_Option.NoOptionList, {
    noOptionsMessage: noOptionsMessage
  }))));
};
exports.OptionList = OptionList;