"use strict";

exports.__esModule = true;
exports.useOptionList = exports.useOption = exports.ComboboxOptionListContext = exports.ComboboxOptionContext = void 0;
var _react = require("react");
var ComboboxOptionContext = /*#__PURE__*/(0, _react.createContext)(undefined);
exports.ComboboxOptionContext = ComboboxOptionContext;
var useOption = function useOption() {
  var context = (0, _react.useContext)(ComboboxOptionContext);
  if (!context) {
    throw new Error('No ComboboxOptionContext was provided. Your component must be wrapped in a <ComboboxOptionContext.Provider>');
  }
  return context;
};
exports.useOption = useOption;
var ComboboxOptionListContext = /*#__PURE__*/(0, _react.createContext)(undefined);
exports.ComboboxOptionListContext = ComboboxOptionListContext;
var useOptionList = function useOptionList() {
  var context = (0, _react.useContext)(ComboboxOptionListContext);
  if (!context) {
    throw new Error('No ComboboxOptionListContext was provided. Your component must be wrapped in a <ComboboxOptionListContext.Provider>');
  }
  return context;
};
exports.useOptionList = useOptionList;