"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TextInput = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../../../Icon");
var _TextInput = require("../../../TextInput");
var _TextInputContext = require("./TextInputContext");
var _excluded = ["onChange", "value"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var TextInput = function TextInput(_ref) {
  var onChange = _ref.onChange,
    value = _ref.value,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var inputRef = (0, _react.useRef)(null);
  var textInputContext = (0, _TextInputContext.useComboboxTextInput)();
  var onFocus = textInputContext.onFocus,
    setTextInputWidth = textInputContext.setTextInputWidth;
  (0, _react.useEffect)(function () {
    setTextInputWidth(inputRef.current.getBoundingClientRect().width);
  }, [inputRef, setTextInputWidth]);
  var handleChange = function handleChange(_ref2) {
    var value = _ref2.value;
    if (onChange) onChange(value);
  };
  return /*#__PURE__*/_react["default"].createElement(_TextInput.TextInput, (0, _extends2["default"])({}, props, {
    ref: inputRef,
    prefix: /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
      name: "ri-search"
    }),
    value: value,
    onChange: function onChange(value) {
      return handleChange({
        value: value
      });
    },
    onFocus: onFocus
  }));
};
exports.TextInput = TextInput;