"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledTabledHeader = exports.StyledTableRow = exports.StyledTableLoadingRow = exports.StyledTableFooterRow = exports.StyledTableCell = exports.StyledTable = exports.StyledSpinnerContainer = exports.StyledLoaderWrapper = exports.StyledDataTableContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var DropShadow = _interopRequireWildcard(require("../utilities/dropShadow"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var alignmentStyle = "\n  &[data-text-align='right'] {\n    > div {\n      display: flex;\n      justify-content: right;\n    }\n  }\n\n  &[data-text-align='center'] {\n    > div {\n      display: flex;\n      justify-content: center;\n    }\n  }\n";
var cellVerticalAlign = "\n  &[data-vertical-align='top'] {\n    vertical-align: top;\n  }\n\n  &[data-vertical-align='center'] {\n    vertical-align: center;\n  }\n";
var StyledTable = _styledComponents["default"].table.withConfig({
  displayName: "DataTableStyle__StyledTable",
  componentId: "sc-18v2ula-0"
})(["width:100%;height:100%;border:1px solid ", ";border-spacing:0;color:", ";max-width:100vw;border-bottom:0;cursor:default;thead tr{background:", ";}&[data-has-footer='true']{border-bottom:1px solid ", ";}&[data-loading='true']{tbody{position:relative;}.loader-container{display:block;z-index:1;}}"], _colors.Neutral.B85, _colors.Neutral.B18, _colors.Neutral.B99, _colors.Neutral.B85);
exports.StyledTable = StyledTable;
var StyledTableRow = _styledComponents["default"].tr.withConfig({
  displayName: "DataTableStyle__StyledTableRow",
  componentId: "sc-18v2ula-1"
})(["background:", ";box-shadow:inset 0px -1px 0px rgba(212,213,216,0.5);cursor:default;&:hover{background:", ";}&[data-header='true']{&:hover{background:", ";}}&.empty-state&:hover{background:none;}"], _colors.Neutral.B100, _colors.Blue.S08, _colors.Neutral.B99);
exports.StyledTableRow = StyledTableRow;
var StyledTabledHeader = _styledComponents["default"].th.withConfig({
  displayName: "DataTableStyle__StyledTabledHeader",
  componentId: "sc-18v2ula-2"
})(["padding:", ";text-align:left;", " button{padding:0;margin:0;height:auto;border:none;box-shadow:none;background:", ";}button:hover{background:transparent;}button:active{border:none;box-shadow:none;background:transparent;}button:focus{border:none;}button svg{width:16px;height:16px;fill:", ";margin-bottom:2px;}"], _spacing.space16, alignmentStyle, _colors.Neutral.B99, _colors.Neutral.B40);
exports.StyledTabledHeader = StyledTabledHeader;
var StyledTableCell = _styledComponents["default"].td.withConfig({
  displayName: "DataTableStyle__StyledTableCell",
  componentId: "sc-18v2ula-3"
})(["text-align:left;padding:", " ", ";", " ", " &[data-no-wrap='true']{white-space:nowrap;div{width:max-content;}}"], _spacing.space8, _spacing.space16, alignmentStyle, cellVerticalAlign);
exports.StyledTableCell = StyledTableCell;
var StyledTableFooterRow = _styledComponents["default"].tr.withConfig({
  displayName: "DataTableStyle__StyledTableFooterRow",
  componentId: "sc-18v2ula-4"
})(["background:", ";border-top:0;border-radius:0px 0px ", " ", ";td{padding:", " ", ";}"], _colors.Neutral.B100, _borderRadius.borderRadius8, _borderRadius.borderRadius8, _spacing.space8, _spacing.space16);
exports.StyledTableFooterRow = StyledTableFooterRow;
var StyledTableLoadingRow = (0, _styledComponents["default"])(StyledTableRow).withConfig({
  displayName: "DataTableStyle__StyledTableLoadingRow",
  componentId: "sc-18v2ula-5"
})(["position:absolute;width:100%;height:100%;display:none;z-index:-1;"]);
exports.StyledTableLoadingRow = StyledTableLoadingRow;
var StyledLoaderWrapper = _styledComponents["default"].div.withConfig({
  displayName: "DataTableStyle__StyledLoaderWrapper",
  componentId: "sc-18v2ula-6"
})(["height:100%;width:100%;position:relative;"]);
exports.StyledLoaderWrapper = StyledLoaderWrapper;
var StyledSpinnerContainer = _styledComponents["default"].div.withConfig({
  displayName: "DataTableStyle__StyledSpinnerContainer",
  componentId: "sc-18v2ula-7"
})(["position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);color:", ";svg{width:48px;height:48px;fill:", ";}"], _colors.Neutral.B18, _colors.Blue.S99);
exports.StyledSpinnerContainer = StyledSpinnerContainer;
var StyledDataTableContainer = _styledComponents["default"].div.withConfig({
  displayName: "DataTableStyle__StyledDataTableContainer",
  componentId: "sc-18v2ula-8"
})(["overflow-x:auto;scroll-behavior:smooth;box-shadow:", ";"], DropShadow.card);
exports.StyledDataTableContainer = StyledDataTableContainer;