"use strict";

exports.__esModule = true;
exports.TableHeader = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Button = require("../Button");
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _DataTableStyle = require("./DataTableStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var TableHeader = function TableHeader(_ref) {
  var sortDirectionProp = _ref.sortDirection,
    title = _ref.title,
    _ref$align = _ref.align,
    align = _ref$align === void 0 ? 'left' : _ref$align,
    onSort = _ref.onSort;
  var _useState = (0, _react.useState)(null),
    sortDirection = _useState[0],
    setSortDirection = _useState[1];
  (0, _react.useEffect)(function () {
    setSortDirection(sortDirectionProp);
  }, [sortDirectionProp]);
  var iconName = sortDirection === 'ASCENDING' ? 'ri-arrow-up-line' : 'ri-arrow-down-line';
  var iconMarkup = sortDirection ? /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    className: "data-table-sort-button-icon",
    name: iconName,
    height: "10px",
    fill: _colors.Neutral.B40
  }) : null;
  var titleMarkup = /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "caption",
    color: _colors.Neutral.B18,
    style: {
      whiteSpace: 'nowrap'
    }
  }, title);
  var handleSortableClick = function handleSortableClick() {
    if (!sortDirection) {
      return;
    }
    var direction = sortDirection === 'ASCENDING' ? 'DESCENDING' : 'ASCENDING';
    setSortDirection(direction);
    onSort == null ? void 0 : onSort(direction);
  };
  var sortableCellMarkup = /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    className: "data-table-sort-button",
    "data-testid": "data-table-sort-button-" + title,
    icon: iconMarkup,
    onClick: function onClick() {
      return handleSortableClick();
    }
  }, titleMarkup);
  var contentMarkup = sortDirection ? sortableCellMarkup : titleMarkup;
  return /*#__PURE__*/_react["default"].createElement(_DataTableStyle.StyledTabledHeader, {
    "data-text-align": align
  }, /*#__PURE__*/_react["default"].createElement("div", null, contentMarkup));
};
exports.TableHeader = TableHeader;