import React from 'react';
import { ImageName } from './assets/assets';
import { ComponentAction } from '../../types/componentAction';
declare type CommonProps = {
    basicButtonAction?: ComponentAction;
    primaryButtonAction?: ComponentAction;
    description?: React.ReactNode;
    fullWidth?: boolean;
    helpText?: string;
    title?: string;
};
export declare type EmptyStateProps = CommonProps & ({
    /** will soon be @deprecated. Please use image prop instead */
    imageName?: ImageName;
} | {
    /** Renders an image based on ImageName or a custom image */
    image?: ImageName | React.ReactNode;
});
export declare const EmptyState: ({ basicButtonAction, primaryButtonAction, description, fullWidth, helpText, title, ...props }: EmptyStateProps) => JSX.Element;
export {};
