"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.EmptyState = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Button = require("../Button");
var _colors = require("../utilities/colors");
var _assets = require("./assets/assets");
var _EmptyStateStyle = require("./EmptyStateStyle");
var _excluded = ["basicButtonAction", "primaryButtonAction", "description", "fullWidth", "helpText", "title"];
var EmptyState = function EmptyState(_ref) {
  var basicButtonAction = _ref.basicButtonAction,
    primaryButtonAction = _ref.primaryButtonAction,
    description = _ref.description,
    _ref$fullWidth = _ref.fullWidth,
    fullWidth = _ref$fullWidth === void 0 ? true : _ref$fullWidth,
    helpText = _ref.helpText,
    title = _ref.title,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var displayButtons = !!primaryButtonAction || !!basicButtonAction;
  var imageName = 'imageName' in props ? props.imageName : undefined;
  var image = 'image' in props ? props.image : undefined;
  if (imageName) {
    console.warn('imageName will soon be deprecated. Please use image prop instead');
    if (!_assets.imageNames.includes(imageName)) {
      console.warn("image \"" + imageName + "\" is not a valid Image Name.");
    }
  }
  if (typeof image === 'string' && !_assets.imageNames.includes(imageName)) {
    console.warn("image \"" + imageName + "\" is not a valid Image Name.");
  }
  var renderImage = function renderImage() {
    if (imageName || image && typeof image === 'string') {
      var imageString = imageName ? imageName : image;
      return /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.StyledImage, {
        src: _assets.imageMapping[imageString],
        className: "empty-state-image"
      });
    }
    return image;
  };
  return /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.EmptyStateContainer, null, renderImage(), /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.EmptyStateContentContainer, {
    "data-full-width": fullWidth
  }, title && /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.StyledTitle, {
    variant: "subtitle1",
    color: _colors.Neutral.B18,
    className: "empty-state-title"
  }, title), description && /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.StyledDescription, {
    variant: "body1",
    color: _colors.Neutral.B40,
    className: "empty-state-description"
  }, description), displayButtons && /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.StyledButtonGroup, null, primaryButtonAction && /*#__PURE__*/_react["default"].createElement(_Button.PrimaryButton, (0, _extends2["default"])({}, primaryButtonAction, {
    loading: primaryButtonAction == null ? void 0 : primaryButtonAction.loading,
    onClick: primaryButtonAction == null ? void 0 : primaryButtonAction.onClick,
    className: "empty-state-primary-button"
  }), primaryButtonAction == null ? void 0 : primaryButtonAction.label), basicButtonAction && /*#__PURE__*/_react["default"].createElement(_Button.Button, (0, _extends2["default"])({}, basicButtonAction, {
    loading: basicButtonAction == null ? void 0 : basicButtonAction.loading,
    onClick: basicButtonAction.onClick,
    className: "empty-state-basic-button"
  }), basicButtonAction == null ? void 0 : basicButtonAction.label)), helpText && /*#__PURE__*/_react["default"].createElement(_EmptyStateStyle.StyledHelpText, {
    variant: "subtitle2",
    color: _colors.Neutral.B40,
    className: "empty-state-help-text"
  }, helpText)));
};
exports.EmptyState = EmptyState;