"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.useIndexResourceState = exports.IndexTable = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _polarisGlints = require("polaris-glints");
exports.useIndexResourceState = _polarisGlints.useIndexResourceState;
var _Checkbox = require("../Checkbox");
var _Row = require("./components/Row/Row");
var _IndexTableStyle = require("./IndexTableStyle");
var _LoadingState = require("./components/LoadingState");
var _CheckboxStyle = require("./components/Checkbox/CheckboxStyle");
var _excluded = ["bulkActions", "children", "height", "itemCount", "selectedItemsCount", "loading", "emptyState", "selectableItemsCount"],
  _excluded2 = ["checked", "onChange"];
var IndexTable = function IndexTable(_ref) {
  var bulkActions = _ref.bulkActions,
    children = _ref.children,
    height = _ref.height,
    itemCount = _ref.itemCount,
    selectedItemsCount = _ref.selectedItemsCount,
    loading = _ref.loading,
    emptyState = _ref.emptyState,
    selectableItemsCount = _ref.selectableItemsCount,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var renderCheckboxHeader = function renderCheckboxHeader(_ref2) {
    var checked = _ref2.checked,
      onChange = _ref2.onChange,
      props = (0, _objectWithoutPropertiesLoose2["default"])(_ref2, _excluded2);
    return /*#__PURE__*/_react["default"].createElement(_CheckboxStyle.CheckboxCellContentContainer, null, /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, (0, _extends2["default"])({
      onChange: onChange,
      checked: checked,
      isPadded: false,
      disabled: props.disabled || selectableItemsCount === 0
    }, props)));
  };
  var checkbox = !loading && itemCount > 0 ? renderCheckboxHeader : undefined;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_IndexTableStyle.StyledIndexTable, {
    height: height
  }), /*#__PURE__*/_react["default"].createElement(_polarisGlints.IndexTable, (0, _extends2["default"])({
    bulkActions: bulkActions,
    checkbox: checkbox,
    itemCount: loading ? 0 : itemCount,
    selectedItemsCount: selectedItemsCount,
    emptySearchTitle: null,
    loading: false,
    emptyState: loading ? /*#__PURE__*/_react["default"].createElement(_LoadingState.LoadingState, {
      label: props.loadingLabel,
      colSpan: props.headings.length
    }) : emptyState
  }, props), children));
};
exports.IndexTable = IndexTable;
IndexTable.Cell = _polarisGlints.Cell;
IndexTable.Row = _Row.Row;