"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Input = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _InputStyle = require("./InputStyle");
var _excluded = ["error", "disabled", "prefix", "suffix", "inputRef", "height", "border", "borderRadius", "floatingFontSize", "isPlaceholderFloating", "placeholder", "required", "placeholderColor", "floatingPlaceholderTop"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Input = /*#__PURE__*/_react["default"].forwardRef(function Input(_ref, ref) {
  var error = _ref.error,
    disabled = _ref.disabled,
    prefix = _ref.prefix,
    suffix = _ref.suffix,
    inputRef = _ref.inputRef,
    height = _ref.height,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    floatingFontSize = _ref.floatingFontSize,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    placeholder = _ref.placeholder,
    required = _ref.required,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var hasPrefix = !!prefix;
  var hasSuffix = !!suffix;
  var prefixRef = (0, _react.useRef)(null);
  var suffixRef = (0, _react.useRef)(null);
  var Prefix = function Prefix() {
    return hasPrefix ? /*#__PURE__*/_react["default"].createElement(_InputStyle.StyledPrefixContainer, {
      ref: prefixRef,
      height: height
    }, prefix) : null;
  };
  var Suffix = function Suffix() {
    return hasSuffix ? /*#__PURE__*/_react["default"].createElement(_InputStyle.StyledSuffixContainer, {
      ref: suffixRef,
      height: height
    }, suffix) : null;
  };
  var _React$useState = _react["default"].useState(0),
    prefixWidth = _React$useState[0],
    setPrefixWidth = _React$useState[1];
  var _React$useState2 = _react["default"].useState(0),
    suffixWidth = _React$useState2[0],
    setSuffixWidth = _React$useState2[1];
  (0, _react.useEffect)(function () {
    if (hasPrefix) {
      var _prefixWidth = prefixRef.current.getBoundingClientRect().width;
      setPrefixWidth(_prefixWidth);
    }
  }, [hasPrefix, prefix]);
  (0, _react.useEffect)(function () {
    if (hasSuffix) {
      var _suffixWidth = suffixRef.current.getBoundingClientRect().width;
      setSuffixWidth(_suffixWidth);
    }
  }, [hasSuffix, suffix]);
  var selectedPlaceholder = required ? placeholder + "*" : placeholder;
  return /*#__PURE__*/_react["default"].createElement(_InputStyle.StyledContainer, {
    ref: ref,
    "data-prefix": hasPrefix,
    "data-suffix": hasSuffix,
    "data-error": error,
    "data-disabled": disabled,
    prefixWidth: prefixWidth,
    suffixWidth: suffixWidth
  }, /*#__PURE__*/_react["default"].createElement(Prefix, null), /*#__PURE__*/_react["default"].createElement(_InputStyle.StyledInput, (0, _extends2["default"])({
    ref: inputRef,
    placeholder: isPlaceholderFloating && !disabled ? undefined : selectedPlaceholder,
    borderRadius: borderRadius,
    border: border,
    height: height,
    disabled: disabled
  }, props)), isPlaceholderFloating && !disabled && /*#__PURE__*/_react["default"].createElement(_InputStyle.FloatingLabel, {
    "data-testid": "textarea-label",
    "data-error": error,
    fontSize: floatingFontSize,
    color: placeholderColor,
    top: floatingPlaceholderTop
  }, placeholder, required && /*#__PURE__*/_react["default"].createElement(_InputStyle.AsteriskIcon, null, "*")), /*#__PURE__*/_react["default"].createElement(Suffix, null));
});
exports.Input = Input;