"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Link = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _LinkStyle = require("./LinkStyle");
var _excluded = ["children", "external", "monochrome", "removeUnderline", "url"];
var Link = function Link(_ref) {
  var children = _ref.children,
    _ref$external = _ref.external,
    external = _ref$external === void 0 ? false : _ref$external,
    _ref$monochrome = _ref.monochrome,
    monochrome = _ref$monochrome === void 0 ? false : _ref$monochrome,
    _ref$removeUnderline = _ref.removeUnderline,
    removeUnderline = _ref$removeUnderline === void 0 ? false : _ref$removeUnderline,
    url = _ref.url,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_LinkStyle.StyledLink, (0, _extends2["default"])({
    href: url,
    "data-underline": !removeUnderline,
    "data-monochrome": monochrome
  }, external && {
    target: '_blank'
  }, {
    external: external
  }, props), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: "body1",
    as: "span"
  }, children), external && /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-external-link-line"
  }));
};
exports.Link = Link;