"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.PopoverMenu = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Button = require("../../Button");
var _Popover = require("../../Popover");
var _Menu = require("../Menu");
var _excluded = ["activatorLabel", "allowMultiple"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var PopoverMenu = function PopoverMenu(_ref) {
  var _ref$activatorLabel = _ref.activatorLabel,
    activatorLabel = _ref$activatorLabel === void 0 ? 'Menu' : _ref$activatorLabel,
    allowMultiple = _ref.allowMultiple,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)(true),
    popoverActive = _useState[0],
    setPopoverActive = _useState[1];
  var _useState2 = (0, _react.useState)([]),
    selectedOptions = _useState2[0],
    setSelectedOptions = _useState2[1];
  var togglePopoverActive = (0, _react.useCallback)(function () {
    return setPopoverActive(function (popoverActive) {
      return !popoverActive;
    });
  }, []);
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    if (!allowMultiple) {
      setSelectedOptions([value]);
      return;
    }
    if (!selectedOptions.includes(value)) {
      setSelectedOptions([].concat(selectedOptions, [value]));
      return;
    }
    setSelectedOptions(selectedOptions.filter(function (option) {
      return option !== value;
    }));
  };
  var activator = /*#__PURE__*/_react["default"].createElement(_Button.Button, {
    onClick: togglePopoverActive
  }, activatorLabel);
  return /*#__PURE__*/_react["default"].createElement(_Popover.Popover, {
    active: popoverActive,
    activator: activator,
    onClose: function onClose() {
      return setPopoverActive(false);
    }
  }, /*#__PURE__*/_react["default"].createElement(_Popover.Popover.Pane, null, /*#__PURE__*/_react["default"].createElement(_Menu.Menu, (0, _extends2["default"])({}, props, {
    allowMultiple: allowMultiple,
    onClick: handleSelect,
    selectedValues: selectedOptions
  }))));
};
exports.PopoverMenu = PopoverMenu;