import React, { MouseEventHandler } from 'react';
import { ComponentAction } from '../../types/componentAction';
declare type LeftAndRightComponentModalProps = {
    leftComponent: React.ReactNode;
    rightComponent: React.ReactNode;
} | {
    leftComponent?: never;
    rightComponent?: never;
};
export declare type ModalProps = React.HTMLAttributes<HTMLDivElement> & LeftAndRightComponentModalProps & {
    isOpen?: boolean;
    header?: React.ReactNode;
    headerDescription?: React.ReactNode;
    children?: React.ReactNode;
    /** This action will be tied to primary button on footer */
    primaryAction?: ComponentAction;
    /** This action will be tied to basic button on footer */
    secondaryAction?: ComponentAction;
    /** Defining custom actions will not show primary and secondary actions */
    customActions?: React.ReactNode;
    showBackButton?: boolean;
    showCloseButton?: boolean;
    /** Use this if you don't want to see the header border bottom */
    showHeaderBorder?: boolean;
    /** Setting this to true will close modal when clicking outside of Modal body */
    closeOnClickOutside?: boolean;
    onClose?: MouseEventHandler<HTMLDivElement | HTMLButtonElement>;
    onBack?: () => void;
    zIndexOverride?: number;
    /** This prop will add default padding to the header */
    headerHasDefaultPadding?: boolean;
};
export declare const Modal: React.ForwardRefExoticComponent<ModalProps & React.RefAttributes<HTMLDivElement>>;
export {};
