"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledModalWrapper = exports.StyledModalLeftAndRightComponent = exports.StyledModalHeader = exports.StyledModalContent = exports.StyledModalContainer = exports.StyledModalCloseButton = exports.StyledModalButton = exports.StyledModalBackButton = exports.StyledModalActions = exports.StyledButtonContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledModalWrapper = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledModalWrapper",
  componentId: "sc-1694up4-0"
})(["position:fixed;inset:0;background-color:rgba(45,45,45,0.5);display:flex;gap:", ";align-items:center;justify-content:center;overflow:hidden;z-index:", ";"], _spacing.space24, function (props) {
  return props.zIndexOverride;
});
exports.StyledModalWrapper = StyledModalWrapper;
var StyledModalContainer = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledModalContainer",
  componentId: "sc-1694up4-1"
})(["position:relative;background:", ";display:flex;flex-direction:column;justify-content:space-between;align-items:flex-start;padding:0;box-shadow:0px 26px 80px rgba(0,0,0,0.2),0px 0px 1px rgba(0,0,0,0.2);border-radius:", ";min-width:320px;width:fit-content;max-width:calc(100vw - 32px);height:fit-content;max-height:calc(100vh - 96px);overflow:hidden;@media (max-width:", "){position:fixed;bottom:0;width:100vw;max-width:none;max-height:calc(100vh - 70px);border-radius:0;}"], _colors.Neutral.B100, _borderRadius.borderRadius8, Breakpoints.large);
exports.StyledModalContainer = StyledModalContainer;
var StyledModalHeader = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledModalHeader",
  componentId: "sc-1694up4-2"
})(["display:flex;flex-direction:row;align-items:center;box-shadow:inset 0px -1px 0px ", ";border-radius:", " ", " 0 0;align-self:stretch;div{flex:1;}&[data-header-has-default-padding='true']{padding:", " 20px;@media (max-width:", "){padding:", ";}}&[data-show-border='false']{box-shadow:unset;}"], _colors.Neutral.B95, _borderRadius.borderRadius8, _borderRadius.borderRadius8, _spacing.space16, Breakpoints.large, _spacing.space16);
exports.StyledModalHeader = StyledModalHeader;
var StyledModalContent = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledModalContent",
  componentId: "sc-1694up4-3"
})(["min-height:24px;color:#202223;width:fit-content;padding:20px;overflow:auto;::-webkit-scrollbar{width:4px;}::-webkit-scrollbar-thumb{background-color:", ";border-radius:2px;}::-webkit-scrollbar-thumb:hover{background-color:", ";}@media (max-width:", "){padding:20px 16px;&[data-has-scrollbar='true']{padding:20px 6px 20px 16px;width:calc(100vw - 27px);}}"], _colors.Neutral.B68, _colors.Neutral.B40, Breakpoints.large);
exports.StyledModalContent = StyledModalContent;
var StyledModalActions = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledModalActions",
  componentId: "sc-1694up4-4"
})(["display:flex;flex-direction:column;justify-content:flex-end;align-items:flex-end;align-self:stretch;padding:", " 20px;gap:10px;box-shadow:inset 0px 1px 0px ", ";border-radius:0 0 ", " ", ";@media (max-width:", "){padding:", ";}"], _spacing.space16, _colors.Neutral.B95, _borderRadius.borderRadius8, _borderRadius.borderRadius8, Breakpoints.large, _spacing.space16);
exports.StyledModalActions = StyledModalActions;
var StyledButtonContainer = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledButtonContainer",
  componentId: "sc-1694up4-5"
})(["display:contents;"]);
exports.StyledButtonContainer = StyledButtonContainer;
var StyledModalButton = _styledComponents["default"].button.withConfig({
  displayName: "ModalStyle__StyledModalButton",
  componentId: "sc-1694up4-6"
})(["cursor:pointer;border:0;background:transparent;padding:0;svg{width:24px;height:24px;fill:", ";}&[data-has-decription='true']{margin-top:-20px;}@media (max-width:", "){&[data-has-decription='true']{margin-top:-18px;}}"], _colors.Neutral.B40, Breakpoints.large);
exports.StyledModalButton = StyledModalButton;
var StyledModalBackButton = (0, _styledComponents["default"])(StyledModalButton).withConfig({
  displayName: "ModalStyle__StyledModalBackButton",
  componentId: "sc-1694up4-7"
})(["margin-right:16px;"]);
exports.StyledModalBackButton = StyledModalBackButton;
var StyledModalCloseButton = (0, _styledComponents["default"])(StyledModalButton).withConfig({
  displayName: "ModalStyle__StyledModalCloseButton",
  componentId: "sc-1694up4-8"
})(["margin-left:16px;"]);
exports.StyledModalCloseButton = StyledModalCloseButton;
var StyledModalLeftAndRightComponent = _styledComponents["default"].div.withConfig({
  displayName: "ModalStyle__StyledModalLeftAndRightComponent",
  componentId: "sc-1694up4-9"
})(["@media (max-width:", "){display:none;}"], Breakpoints.large);
exports.StyledModalLeftAndRightComponent = StyledModalLeftAndRightComponent;