"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.NumberInput = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Input = require("../Input/Input");
var _excluded = ["required", "border", "borderRadius", "isPlaceholderFloating", "floatingFontSize", "placeholderColor", "floatingPlaceholderTop"];
var StyledInput = (0, _styledComponents["default"])(_Input.Input).withConfig({
  displayName: "NumberInput__StyledInput",
  componentId: "sc-1f5ws9y-0"
})(["&[type='number']{-webkit-appearance:textfield;-moz-appearance:textfield;appearance:textfield;}&[type='number']::-webkit-inner-spin-button,&[type='number']::-webkit-outer-spin-button{-webkit-appearance:none;}"]);
var NumberInput = /*#__PURE__*/_react["default"].forwardRef(function NumberInput(_ref, ref) {
  var required = _ref.required,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    floatingFontSize = _ref.floatingFontSize,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(StyledInput, (0, _extends2["default"])({
    ref: ref,
    type: "number"
  }, props, {
    border: border,
    borderRadius: borderRadius,
    required: required,
    isPlaceholderFloating: isPlaceholderFloating,
    floatingFontSize: floatingFontSize,
    placeholderColor: placeholderColor,
    floatingPlaceholderTop: floatingPlaceholderTop
  }));
});
exports.NumberInput = NumberInput;