"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledSimplePaginationInput = exports.StyledSimplePaginationButton = exports.StyledPageButton = exports.StyledNav = exports.StyledLabel = exports.StyledBorderPaginationButton = exports.StyledActiveSimplePaginationButton = exports.SimplePaginationStyledNav = exports.IconPaginationStyledNav = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _NumberInput = require("../NumberInput");
var _borderRadius = require("../utilities/borderRadius");
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var _PageButton = require("./PageButton");
var StyledNav = _styledComponents["default"].nav.withConfig({
  displayName: "PaginationStyle__StyledNav",
  componentId: "sc-1hi5sa8-0"
})(["display:flex;gap:10px;"]);
exports.StyledNav = StyledNav;
var SimplePaginationStyledNav = (0, _styledComponents["default"])(StyledNav).withConfig({
  displayName: "PaginationStyle__SimplePaginationStyledNav",
  componentId: "sc-1hi5sa8-1"
})(["gap:4px;"]);
exports.SimplePaginationStyledNav = SimplePaginationStyledNav;
var IconPaginationStyledNav = (0, _styledComponents["default"])(StyledNav).withConfig({
  displayName: "PaginationStyle__IconPaginationStyledNav",
  componentId: "sc-1hi5sa8-2"
})(["gap:0px;align-items:center;column-gap:1px;"]);
exports.IconPaginationStyledNav = IconPaginationStyledNav;
var StyledPageButton = _styledComponents["default"].button.withConfig({
  displayName: "PaginationStyle__StyledPageButton",
  componentId: "sc-1hi5sa8-3"
})(["cursor:pointer;height:32px;min-width:32px;border:0;background:transparent;border-radius:", ";padding:", ";color:", ";&:hover{background:", ";}&:disabled{color:", ";}svg{fill:", ";width:24px;height:24px;}&[data-active='true']{background:", ";color:", ";}&:disabled svg{fill:", ";}&[data-active='true']:disabled{background:", ";color:", ";}"], _borderRadius.borderRadius2, _spacing.space4, _colors.Neutral.B18, _colors.Neutral.B95, _colors.Neutral.B85, _colors.Neutral.B40, _colors.Blue.S08, _colors.Blue.S99, _colors.Neutral.B85, _colors.Neutral.B95, _colors.Neutral.B85);
exports.StyledPageButton = StyledPageButton;
var StyledSimplePaginationButton = (0, _styledComponents["default"])(StyledPageButton).withConfig({
  displayName: "PaginationStyle__StyledSimplePaginationButton",
  componentId: "sc-1hi5sa8-4"
})(["pointer-events:none;"]);
exports.StyledSimplePaginationButton = StyledSimplePaginationButton;
var StyledBorderPaginationButton = (0, _styledComponents["default"])(StyledPageButton).withConfig({
  displayName: "PaginationStyle__StyledBorderPaginationButton",
  componentId: "sc-1hi5sa8-5"
})(["outline:1px solid ", ";height:36px;min-width:36px;svg{vertical-align:middle;}&:first-of-type{border-radius:", " 0 0 ", ";}&:last-of-type{border-radius:0 ", " ", " 0;}&:hover{background:", ";}&:disabled{background:", ";}"], _colors.Neutral.B85, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _borderRadius.borderRadius4, _colors.Blue.S08, _colors.Neutral.B95);
exports.StyledBorderPaginationButton = StyledBorderPaginationButton;
var StyledLabel = _styledComponents["default"].div.withConfig({
  displayName: "PaginationStyle__StyledLabel",
  componentId: "sc-1hi5sa8-6"
})(["padding:0 ", " 0;vertical-align:middle;"], _spacing.space12);
exports.StyledLabel = StyledLabel;
var StyledActiveSimplePaginationButton = (0, _styledComponents["default"])(function (props) {
  return /*#__PURE__*/_react["default"].createElement(_PageButton.PageButton, props);
}).withConfig({
  displayName: "PaginationStyle__StyledActiveSimplePaginationButton",
  componentId: "sc-1hi5sa8-7"
})(["background:", ";color:", ";&:hover{background:", ";color:", ";}"], _colors.Blue.S08, _colors.Blue.S99, _colors.Neutral.B95, _colors.Neutral.B18);
exports.StyledActiveSimplePaginationButton = StyledActiveSimplePaginationButton;
var StyledSimplePaginationInput = (0, _styledComponents["default"])(_NumberInput.NumberInput).withConfig({
  displayName: "PaginationStyle__StyledSimplePaginationInput",
  componentId: "sc-1hi5sa8-8"
})(["padding:0;text-align:center;height:32px;width:32px;"]);
exports.StyledSimplePaginationInput = StyledSimplePaginationInput;