"use strict";

exports.__esModule = true;
exports.SimplePagination = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Typography = require("../Typography");
var _PaginationStyle = require("./PaginationStyle");
var _paginationUtils = require("./paginationUtils");
var _Stepper = require("./Stepper");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var SimplePagination = /*#__PURE__*/_react["default"].forwardRef(function SimplePagination(_ref, ref) {
  var _ref$totalItems = _ref.totalItems,
    totalItems = _ref$totalItems === void 0 ? 1 : _ref$totalItems,
    _ref$currentPage = _ref.currentPage,
    currentPage = _ref$currentPage === void 0 ? 1 : _ref$currentPage,
    disabled = _ref.disabled,
    _ref$pageSize = _ref.pageSize,
    pageSize = _ref$pageSize === void 0 ? _paginationUtils.defaultPageSize : _ref$pageSize,
    onPageChanged = _ref.onPageChanged;
  var _useState = (0, _react.useState)(false),
    editMode = _useState[0],
    setEditMode = _useState[1];
  var totalPages = (0, _paginationUtils.getAllPages)(pageSize, totalItems);
  var hasPrevious = currentPage - 1 > 0;
  var hasNext = currentPage + 1 <= totalPages;
  var handlePageNumberChange = function handlePageNumberChange(value) {
    var page = value;
    if (value < 1) {
      page = 1;
    }
    if (value > totalPages) {
      page = totalPages;
    }
    onPageChanged == null ? void 0 : onPageChanged(page);
  };
  var handleEditMode = function handleEditMode() {
    if (editMode) {
      return;
    }
    setEditMode(true);
  };
  var handleFocus = function handleFocus(e) {
    e.target.select();
  };
  return /*#__PURE__*/_react["default"].createElement(_PaginationStyle.SimplePaginationStyledNav, {
    ref: ref
  }, /*#__PURE__*/_react["default"].createElement(_Stepper.PreviousStepper, {
    value: currentPage - 1,
    disabled: !hasPrevious || disabled,
    onClick: handlePageNumberChange
  }), /*#__PURE__*/_react["default"].createElement("div", {
    "data-testid": "current-page-btn",
    onClick: handleEditMode
  }, !editMode && /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledActiveSimplePaginationButton, {
    value: currentPage,
    disabled: disabled,
    onClick: handlePageNumberChange
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle2"
  }, currentPage)), editMode && /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledSimplePaginationInput, {
    "data-testid": "current-page-input",
    autoFocus: true,
    onFocus: handleFocus,
    onChange: function onChange(e) {
      handlePageNumberChange(Number(e.currentTarget.value));
    },
    onBlur: function onBlur() {
      return setEditMode(false);
    },
    value: currentPage
  })), /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledSimplePaginationButton, {
    disabled: disabled
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle2"
  }, "/")), /*#__PURE__*/_react["default"].createElement(_PaginationStyle.StyledSimplePaginationButton, {
    disabled: disabled
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "div",
    variant: "subtitle2"
  }, totalPages)), /*#__PURE__*/_react["default"].createElement(_Stepper.NextStepper, {
    value: currentPage + 1,
    disabled: !hasNext || disabled,
    onClick: handlePageNumberChange
  }));
});
exports.SimplePagination = SimplePagination;