"use strict";

exports.__esModule = true;
exports.getBufferSize = exports.getAllPages = exports.defaultPageSize = exports.defaultBufferSize = void 0;
var defaultPageSize = 10;
exports.defaultPageSize = defaultPageSize;
var defaultBufferSize = 2;
exports.defaultBufferSize = defaultBufferSize;
var getAllPages = function getAllPages(pageSize, total) {
  if (pageSize < 1) {
    console.warn('pageSize must be above 0');
    return 0;
  }
  return Math.ceil(total / pageSize);
};
exports.getAllPages = getAllPages;
var getBufferSize = function getBufferSize(bufferSize, allPages) {
  var min = 0;
  var max = Math.floor(allPages / 2) - 1;
  var newBufferSize = Math.max(bufferSize, min);
  return Math.min(newBufferSize, max);
};
exports.getBufferSize = getBufferSize;