"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.PasswordInput = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../Icon");
var _Input = require("../Input/Input");
var _PasswordInputStyle = require("./PasswordInputStyle");
var _excluded = ["value", "onChange", "error", "height", "border", "borderRadius", "required", "isPlaceholderFloating", "floatingFontSize", "placeholderColor", "floatingPlaceholderTop"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var PasswordInput = /*#__PURE__*/_react["default"].forwardRef(function PasswordInput(_ref, ref) {
  var value = _ref.value,
    _onChange = _ref.onChange,
    error = _ref.error,
    height = _ref.height,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    required = _ref.required,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    floatingFontSize = _ref.floatingFontSize,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)(false),
    showPassword = _useState[0],
    setShowPassword = _useState[1];
  var suffixComponent = /*#__PURE__*/_react["default"].createElement(_PasswordInputStyle.StyledSuffixContainer, {
    onClick: function onClick() {
      setShowPassword(!showPassword);
    },
    "data-testid": "eye-icon"
  }, showPassword ? /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-eye-line"
  }) : /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-eye-off-line"
  }));
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Input.Input, (0, _extends2["default"])({
    ref: ref,
    type: showPassword ? 'text' : 'password',
    value: value,
    onChange: function onChange(e) {
      return _onChange == null ? void 0 : _onChange(e.currentTarget.value);
    },
    error: error,
    suffix: !props.disabled && suffixComponent,
    height: height,
    border: border,
    borderRadius: borderRadius,
    required: required,
    isPlaceholderFloating: isPlaceholderFloating,
    floatingFontSize: floatingFontSize,
    placeholderColor: placeholderColor,
    floatingPlaceholderTop: floatingPlaceholderTop
  }, props)));
});
exports.PasswordInput = PasswordInput;