"use strict";

exports.__esModule = true;
exports.CheckboxGroup = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Checkbox = require("../../Checkbox");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var CheckboxGroup = function CheckboxGroup(_ref) {
  var country = _ref.country,
    cities = _ref.cities,
    onChanged = _ref.onChanged;
  var _useState = (0, _react.useState)(false),
    isCountrySelected = _useState[0],
    setIsCountrySelected = _useState[1];
  var _useState2 = (0, _react.useState)([]),
    selectedCities = _useState2[0],
    setSelectedCities = _useState2[1];
  var handleCountryChanged = function handleCountryChanged(checked) {
    setIsCountrySelected(checked);
    if (checked) {
      setSelectedCities(cities);
    } else {
      setSelectedCities([]);
    }
    onChanged(checked ? 'Add' : 'Remove', cities);
  };
  var handleCityChanged = function handleCityChanged(checked, id) {
    if (checked && !selectedCities.includes(id)) {
      var selected = [].concat(selectedCities, [id]);
      setSelectedCities(selected);
      onChanged('Add', [id]);
      return;
    }
    if (!checked) {
      var _selected = selectedCities.filter(function (s) {
        return s !== id;
      });
      setSelectedCities(_selected);
      onChanged('Remove', [id]);
    }
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    key: country
  }, /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, {
    id: country,
    label: country,
    checked: isCountrySelected,
    onChange: function onChange(newChecked) {
      return handleCountryChanged(newChecked);
    }
  }), cities.map(function (city) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: "div-" + city,
      style: {
        marginLeft: '10px'
      }
    }, /*#__PURE__*/_react["default"].createElement(_Checkbox.Checkbox, {
      id: city,
      label: city,
      key: city,
      checked: selectedCities.includes(city) || isCountrySelected,
      onChange: handleCityChanged
    }));
  }));
};
exports.CheckboxGroup = CheckboxGroup;