import React, { ReactNode } from 'react';
export interface RadioButtonProps extends Omit<React.HTMLAttributes<HTMLInputElement>, 'onChange'> {
    label?: ReactNode;
    helperText?: ReactNode;
    disabled?: boolean;
    name?: string;
    checked?: boolean;
    value?: string;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
/**
 * This is a controlled component, so you need to pass in the `checked` and `onChange` prop to make it work.
 */
export declare const RadioButton: React.ForwardRefExoticComponent<RadioButtonProps & React.RefAttributes<HTMLInputElement>>;
