"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.RadioButton = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
var _Typography = require("../Typography");
var _RadioButtonStyle = require("./RadioButtonStyle");
var _excluded = ["label", "helperText", "disabled", "name", "checked", "value", "onChange"];
/**
 * This is a controlled component, so you need to pass in the `checked` and `onChange` prop to make it work.
 */
var RadioButton = /*#__PURE__*/_react["default"].forwardRef(function RadioButton(_ref, ref) {
  var label = _ref.label,
    helperText = _ref.helperText,
    disabled = _ref.disabled,
    name = _ref.name,
    checked = _ref.checked,
    value = _ref.value,
    onChange = _ref.onChange,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var renderLabel = function renderLabel() {
    if (!label) return null;
    return /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
      variant: "body1",
      as: typeof label === 'string' ? 'span' : 'div',
      color: _.Colors.Neutral.B18
    }, label);
  };
  var renderHelperText = function renderHelperText() {
    if (!helperText) return null;
    return /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
      variant: "subtitle2",
      as: typeof label === 'string' ? 'span' : 'div',
      color: _.Colors.Neutral.B40
    }, helperText);
  };
  return /*#__PURE__*/_react["default"].createElement(_RadioButtonStyle.RadioButtonWrapper, null, /*#__PURE__*/_react["default"].createElement(_RadioButtonStyle.RadioButtonInput, (0, _extends2["default"])({
    ref: ref,
    disabled: disabled,
    name: name,
    checked: checked,
    value: value,
    type: "radio",
    onChange: onChange,
    onMouseDown: function onMouseDown(e) {
      return e.preventDefault();
    }
  }, props)), /*#__PURE__*/_react["default"].createElement(_RadioButtonStyle.LabelWrapper, {
    "data-disabled": disabled
  }, renderLabel(), renderHelperText()));
});
exports.RadioButton = RadioButton;