"use strict";

exports.__esModule = true;
exports.Select = void 0;
var _react = _interopRequireWildcard(require("react"));
var _lodash = require("lodash");
var _Popover = require("../Popover");
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _components = require("./components");
var _ActivatorSelect = require("./components/Activator/ActivatorSelect");
var _Label = require("./components/Label/Label");
var _SelectStyle = require("./SelectStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Select = function Select(_ref) {
  var _ref$allowMultiple = _ref.allowMultiple,
    allowMultiple = _ref$allowMultiple === void 0 ? false : _ref$allowMultiple,
    customActivatorIcon = _ref.customActivatorIcon,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    helpText = _ref.helpText,
    label = _ref.label,
    listHeight = _ref.listHeight,
    _ref$loadingOptions = _ref.loadingOptions,
    loadingOptions = _ref$loadingOptions === void 0 ? false : _ref$loadingOptions,
    name = _ref.name,
    onBlur = _ref.onBlur,
    onClose = _ref.onClose,
    onFocus = _ref.onFocus,
    onRemoveTag = _ref.onRemoveTag,
    onSelect = _ref.onSelect,
    onSelectClick = _ref.onSelectClick,
    isPopoverActive = _ref.isPopoverActive,
    onPopoverActiveChange = _ref.onPopoverActiveChange,
    _ref$optionListFitCon = _ref.optionListFitContent,
    optionListFitContent = _ref$optionListFitCon === void 0 ? false : _ref$optionListFitCon,
    _ref$options = _ref.options,
    options = _ref$options === void 0 ? [] : _ref$options,
    placeholder = _ref.placeholder,
    prefix = _ref.prefix,
    searchable = _ref.searchable,
    searchableProps = _ref.searchableProps,
    optionsPlaceholderProps = _ref.optionsPlaceholderProps,
    _ref$showPopoverOnFoc = _ref.showPopoverOnFocus,
    showPopoverOnFocus = _ref$showPopoverOnFoc === void 0 ? false : _ref$showPopoverOnFoc,
    _ref$scrollable = _ref.scrollable,
    scrollable = _ref$scrollable === void 0 ? false : _ref$scrollable,
    sections = _ref.sections,
    selectedValues = _ref.selectedValues,
    width = _ref.width,
    height = _ref.height,
    zIndexOverride = _ref.zIndexOverride,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    required = _ref.required,
    isPlaceholderFloating = _ref.isPlaceholderFloating;
  var _useState = (0, _react.useState)(false),
    internalPopoverActive = _useState[0],
    setInternalPopoverActive = _useState[1];
  var popoverActive = isPopoverActive !== undefined ? isPopoverActive : internalPopoverActive;
  var setPopoverActive = function setPopoverActive(newState) {
    if (isPopoverActive != undefined) {
      onPopoverActiveChange == null ? void 0 : onPopoverActiveChange(newState);
    } else {
      setInternalPopoverActive(newState);
    }
  };
  var _useState2 = (0, _react.useState)(''),
    optionListHeight = _useState2[0],
    setOptionListHeight = _useState2[1];
  var _useState3 = (0, _react.useState)([]),
    menuOptions = _useState3[0],
    setMenuOptions = _useState3[1];
  var optionsLength = options.length;
  var _useState4 = (0, _react.useState)((searchableProps == null ? void 0 : searchableProps.inputValue) || ''),
    inputValue = _useState4[0],
    setInputValue = _useState4[1];
  var _useState5 = (0, _react.useState)({
      showSelected: false,
      showInput: true,
      showPlaceholder: true
    }),
    searchableSelectState = _useState5[0],
    setSearchableSelectState = _useState5[1];
  var _updateSearchableSelectState = function updateSearchableSelectState(newState) {
    setSearchableSelectState(newState);
  };
  var updateInputValue = function updateInputValue(newValue) {
    setInputValue(newValue);
  };
  var updateMenuOptions = function updateMenuOptions(newState) {
    setMenuOptions(newState);
  };
  var handleClose = function handleClose() {
    setPopoverActive(false);
    onClose == null ? void 0 : onClose();
  };
  var handleFocus = function handleFocus() {
    if (showPopoverOnFocus) {
      setPopoverActive(true);
      return;
    }
    if (options.length < 1) {
      setPopoverActive(false);
      return;
    }
    setPopoverActive(true);
    onFocus == null ? void 0 : onFocus();
  };
  var handleSelectClick = function handleSelectClick() {
    setPopoverActive(!popoverActive);
  };
  (0, _react.useEffect)(function syncInputValueFromSearchableProps() {
    setInputValue(searchableProps == null ? void 0 : searchableProps.inputValue);
  }, [searchableProps == null ? void 0 : searchableProps.inputValue]);
  (0, _react.useEffect)(function () {
    setMenuOptions(options);
  }, [options]);
  (0, _react.useEffect)(function () {
    if (showPopoverOnFocus) return;
    if (!(0, _lodash.isEmpty)(inputValue) && optionsLength > 0) {
      setInternalPopoverActive(true);
    }
    if (inputValue === '' && optionsLength < 1) {
      setInternalPopoverActive(false);
    }
  }, [inputValue, optionsLength, showPopoverOnFocus]);
  (0, _react.useEffect)(function () {
    if (listHeight) {
      setOptionListHeight(listHeight + 24 + "px");
      return;
    }
    if (scrollable) {
      setOptionListHeight(296 + 24 + "px");
      return;
    }
  }, [listHeight, scrollable]);
  var activator = function activator() {
    if (searchable || searchableProps) {
      return /*#__PURE__*/_react["default"].createElement(_components.ActivatorTextInput, {
        allowMultiple: allowMultiple,
        disabled: disabled,
        hasError: hasError,
        onChange: searchableProps == null ? void 0 : searchableProps.onInputChange,
        placeholder: placeholder != null ? placeholder : 'Search',
        width: width,
        height: height,
        selectedValues: selectedValues,
        onBlur: onBlur,
        onSelect: onSelect,
        onFocus: handleFocus,
        inputValue: inputValue,
        updateInputValue: updateInputValue,
        searchableSelectState: searchableSelectState,
        updateSearchableSelectState: function updateSearchableSelectState(newState) {
          return _updateSearchableSelectState(newState);
        },
        options: options,
        updateMenuOptions: updateMenuOptions,
        prefix: prefix,
        name: name,
        isPlaceholderFloating: isPlaceholderFloating,
        required: required,
        border: border,
        borderRadius: borderRadius
      });
    }
    return /*#__PURE__*/_react["default"].createElement(_ActivatorSelect.ActivatorSelect, {
      allowMultiple: allowMultiple,
      customActivatorIcon: customActivatorIcon,
      disabled: disabled,
      hasError: hasError,
      placeholder: placeholder != null ? placeholder : 'Placeholder',
      onBlur: onBlur,
      onRemoveTag: onRemoveTag,
      onSelectClick: handleSelectClick,
      width: width,
      height: height,
      selectedValues: selectedValues,
      options: options,
      name: name,
      prefix: prefix,
      onClick: onSelectClick,
      required: required,
      border: border,
      borderRadius: borderRadius,
      isPlaceholderFloating: isPlaceholderFloating
    });
  };
  return /*#__PURE__*/_react["default"].createElement(_Popover.Popover, {
    active: popoverActive,
    activator: /*#__PURE__*/_react["default"].createElement(_SelectStyle.ActivatorWrapper, {
      width: width
    }, label && !isPlaceholderFloating && /*#__PURE__*/_react["default"].createElement(_Label.Label, null, label), activator(), helpText && /*#__PURE__*/_react["default"].createElement(_SelectStyle.HelpTextContainer, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
      as: "span",
      variant: "subtitle2",
      color: disabled ? _colors.Neutral.B85 : _colors.Neutral.B40
    }, helpText))),
    onClose: handleClose,
    autofocusTarget: "none",
    preventFocusOnClose: true,
    preferredAlignment: "left",
    preferredPosition: "below",
    fullWidth: true,
    fitContent: optionListFitContent,
    zIndexOverride: zIndexOverride
  }, !disabled && /*#__PURE__*/_react["default"].createElement(_Popover.Popover.Pane, {
    height: optionListHeight
  }, /*#__PURE__*/_react["default"].createElement(_components.OptionList, {
    loading: loadingOptions,
    menuOptions: menuOptions,
    allowMultiple: allowMultiple,
    onSelect: onSelect,
    sections: sections,
    selectedValues: selectedValues,
    width: width,
    onMenuClose: handleClose,
    noOptionsMessage: optionsPlaceholderProps && (!inputValue ? optionsPlaceholderProps.idle : optionsPlaceholderProps.noResult),
    updateSearchableSelectState: function updateSearchableSelectState(newState) {
      return _updateSearchableSelectState(newState);
    }
  })));
};
exports.Select = Select;