"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ActivatorSelect = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Typography = require("../../../Typography");
var _colors = require("../../../utilities/colors");
var _ActivatorStyle = require("./ActivatorStyle");
var _InputStyle = require("../../../Input/InputStyle");
var _excluded = ["customActivatorIcon", "placeholder", "selectedValues", "onClick", "onRemoveTag", "width", "allowMultiple", "disabled", "onSelectClick", "hasError", "options", "prefix", "required", "border", "borderRadius", "height", "floatingFontSize", "isPlaceholderFloating"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var ActivatorSelect = function ActivatorSelect(_ref) {
  var customActivatorIcon = _ref.customActivatorIcon,
    placeholder = _ref.placeholder,
    selectedValues = _ref.selectedValues,
    onClick = _ref.onClick,
    onRemoveTag = _ref.onRemoveTag,
    width = _ref.width,
    _ref$allowMultiple = _ref.allowMultiple,
    allowMultiple = _ref$allowMultiple === void 0 ? false : _ref$allowMultiple,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    onSelectClick = _ref.onSelectClick,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    options = _ref.options,
    prefix = _ref.prefix,
    required = _ref.required,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    height = _ref.height,
    floatingFontSize = _ref.floatingFontSize,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)([]),
    filteredValues = _useState[0],
    setFilteredValues = _useState[1];
  var _useState2 = (0, _react.useState)([]),
    selectedLabels = _useState2[0],
    setSelectedLabels = _useState2[1];
  var activatorRef = (0, _react.useRef)(null);
  var hasSelectedValues = filteredValues.length > 0;
  (0, _react.useEffect)(function () {
    var values = selectedValues == null ? void 0 : selectedValues.filter(function (value) {
      return value != '';
    });
    setFilteredValues(values);
    var selectedOptions = options == null ? void 0 : options.filter(function (_ref2) {
      var value = _ref2.value;
      return values.includes(value);
    });
    setSelectedLabels(selectedOptions.map(function (option) {
      return option.label;
    }));
  }, [options, selectedValues]);
  var handleClick = function handleClick(e) {
    e.preventDefault();
    e.stopPropagation();
    onSelectClick();
    onClick == null ? void 0 : onClick(e);
  };
  var selectedPlaceholder = required ? placeholder + "*" : placeholder;
  var placeholderMarkup = isPlaceholderFloating ? undefined : /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: "body1",
    as: "span",
    color: disabled ? _colors.Neutral.B85 : _colors.Neutral.B68
  }, selectedPlaceholder);
  var tagsMarkup = function tagsMarkup() {
    if (!hasSelectedValues) {
      return placeholderMarkup;
    }
    if (hasSelectedValues) {
      return /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.TagsContainer, null, /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.StyledTag, {
        key: "option-" + selectedValues[0],
        onRemove: onRemoveTag({
          option: selectedValues[0]
        }),
        textColor: _colors.Blue.S99
      }, selectedLabels[0]), selectedValues.length > 1 && /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
        variant: "subtitle2",
        color: disabled ? _colors.Neutral.B85 : _colors.Neutral.B40
      }, "... and ", selectedValues.length - 1, " more"));
    }
  };
  return /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.StyledSelect, (0, _extends2["default"])({}, props, {
    ref: activatorRef,
    "data-error": hasError,
    onClick: handleClick,
    disabled: disabled,
    width: width,
    height: height,
    border: border,
    borderRadius: borderRadius,
    isPlaceholderFloating: isPlaceholderFloating
  }), /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.WithPrefixContainer, null, prefix && /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.StyledPrefixContainer, null, prefix), allowMultiple ? tagsMarkup() : /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.StyledSelectTypography, {
    variant: "body1",
    "data-disabled": disabled,
    color: hasSelectedValues ? _colors.Neutral.B18 : _colors.Neutral.B40
  }, hasSelectedValues ? selectedLabels[0] : placeholderMarkup)), /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.SuffixContainer, null, /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.StyledIcon, {
    height: 24,
    name: customActivatorIcon || 'ri-arrow-m-down-line',
    fill: disabled ? _colors.Neutral.B85 : _colors.Neutral.B40
  })), isPlaceholderFloating && /*#__PURE__*/_react["default"].createElement(_InputStyle.FloatingLabel, {
    "data-testid": "textarea-label",
    fontSize: floatingFontSize
  }, placeholder, required && /*#__PURE__*/_react["default"].createElement(_InputStyle.AsteriskIcon, null, "*")));
};
exports.ActivatorSelect = ActivatorSelect;