"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.WithPrefixContainer = exports.TagsContainer = exports.SuffixContainer = exports.StyledTextInput = exports.StyledTag = exports.StyledSelectTypography = exports.StyledSelect = exports.StyledPrefixContainer = exports.StyledIcon = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../../../utilities/breakpoints/Breakpoints"));
var _borderRadius = require("../../../utilities/borderRadius");
var _colors = require("../../../utilities/colors");
var _fonts = require("../../../utilities/fonts");
var _spacing = require("../../../utilities/spacing");
var _TextInput = require("../../../TextInput");
var _Tag = require("../../../Tag");
var _Typography = require("../../../Typography");
var _Icon = require("../../../Icon");
var _InputStyle = require("../../../Input/InputStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledSelect = _styledComponents["default"].button.withConfig({
  displayName: "ActivatorStyle__StyledSelect",
  componentId: "sc-rui73p-0"
})(["position:relative;display:flex;align-items:center;justify-content:space-between;height:", ";cursor:pointer;padding:0px 8px 0px 12px;border:", ";box-shadow:0px 1px 0px rgba(0,0,0,0.05);border-radius:", ";background:", ";width:", ";color:", ";font-family:", ",sans-serif;font-weight:400;font-size:16px;line-height:150%;letter-spacing:0px;@media (max-width:", "){font-size:14px;}&:focus{outline:none;box-shadow:0px 0px 0px 1px #ffffff,0px 0px 0px 3px #6cc9ec;}&:disabled{background:", ";pointer-events:none;cursor:default;border:1px solid ", ";}&[data-error='true']{border:1px solid ", ";border-radius:", ";}"], function (props) {
  var _props$height;
  return (_props$height = props.height) != null ? _props$height : '36px';
}, function (_ref) {
  var border = _ref.border;
  return border != null ? border : "1px solid " + _colors.Neutral.B68;
}, function (_ref2) {
  var borderRadius = _ref2.borderRadius;
  return borderRadius != null ? borderRadius : _borderRadius.borderRadius4;
}, _colors.Neutral.B100, function (props) {
  return props.width;
}, _colors.Neutral.B18, _fonts.NotoSans, Breakpoints.large, _colors.Neutral.B95, _colors.Neutral.B85, _colors.Red.B93, _borderRadius.borderRadius4);
exports.StyledSelect = StyledSelect;
var TagsContainer = _styledComponents["default"].div.withConfig({
  displayName: "ActivatorStyle__TagsContainer",
  componentId: "sc-rui73p-1"
})(["display:flex;justify-content:space-between;flex-direction:row;align-items:center;"]);
exports.TagsContainer = TagsContainer;
var StyledTag = (0, _styledComponents["default"])(_Tag.Tag).withConfig({
  displayName: "ActivatorStyle__StyledTag",
  componentId: "sc-rui73p-2"
})(["height:28px;margin-right:", ";"], _spacing.space8);
exports.StyledTag = StyledTag;
var StyledTextInput = (0, _styledComponents["default"])(_TextInput.TextInput).withConfig({
  displayName: "ActivatorStyle__StyledTextInput",
  componentId: "sc-rui73p-3"
})(["width:", ";"], function (props) {
  return props.width;
});
exports.StyledTextInput = StyledTextInput;
var StyledSelectTypography = (0, _styledComponents["default"])(_Typography.Typography).withConfig({
  displayName: "ActivatorStyle__StyledSelectTypography",
  componentId: "sc-rui73p-4"
})(["display:flex;margin-left:auto;&[data-disabled='true']{color:", ";}"], _colors.Neutral.B85);
exports.StyledSelectTypography = StyledSelectTypography;
var WithPrefixContainer = _styledComponents["default"].div.withConfig({
  displayName: "ActivatorStyle__WithPrefixContainer",
  componentId: "sc-rui73p-5"
})(["display:flex;align-items:center;"]);
exports.WithPrefixContainer = WithPrefixContainer;
var StyledPrefixContainer = _styledComponents["default"].div.withConfig({
  displayName: "ActivatorStyle__StyledPrefixContainer",
  componentId: "sc-rui73p-6"
})(["display:flex;width:20px;margin-right:8px;"]);
exports.StyledPrefixContainer = StyledPrefixContainer;
var StyledIcon = (0, _styledComponents["default"])(_Icon.Icon).withConfig({
  displayName: "ActivatorStyle__StyledIcon",
  componentId: "sc-rui73p-7"
})(["margin-left:auto;"]);
exports.StyledIcon = StyledIcon;
var SuffixContainer = (0, _styledComponents["default"])(_InputStyle.StyledSuffixContainer).withConfig({
  displayName: "ActivatorStyle__SuffixContainer",
  componentId: "sc-rui73p-8"
})(["z-index:2;"]);
exports.SuffixContainer = SuffixContainer;