"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.ActivatorTextInput = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../../../Icon");
var _SearchableSelectInput = require("../SearchableSelectInput/SearchableSelectInput");
var _ActivatorStyle = require("./ActivatorStyle");
var _excluded = ["allowMultiple", "disabled", "hasError", "onChange", "onBlur", "onFocus", "onSelect", "prefix", "selectedValues", "width", "inputValue", "updateInputValue", "options", "updateMenuOptions", "border", "borderRadius", "isPlaceholderFloating", "required", "height"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var ActivatorTextInput = function ActivatorTextInput(_ref) {
  var allowMultiple = _ref.allowMultiple,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$hasError = _ref.hasError,
    hasError = _ref$hasError === void 0 ? false : _ref$hasError,
    onChange = _ref.onChange,
    onBlur = _ref.onBlur,
    onFocus = _ref.onFocus,
    onSelect = _ref.onSelect,
    _ref$prefix = _ref.prefix,
    prefix = _ref$prefix === void 0 ? /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
      name: "ri-search"
    }) : _ref$prefix,
    selectedValues = _ref.selectedValues,
    width = _ref.width,
    inputValue = _ref.inputValue,
    updateInputValue = _ref.updateInputValue,
    options = _ref.options,
    updateMenuOptions = _ref.updateMenuOptions,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    required = _ref.required,
    height = _ref.height,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var activatorRef = (0, _react.useRef)(null);
  var _useState = (0, _react.useState)(false),
    hasSelectedValues = _useState[0],
    setHasSelectedValues = _useState[1];
  var filterOptions = function filterOptions(str) {
    if (str === '') {
      updateMenuOptions(options);
      return options;
    }
    var filterRegex = new RegExp(str, 'i');
    var filterOptions = options.filter(function (option) {
      return option.label.match(filterRegex);
    });
    return filterOptions;
  };
  var handleChange = function handleChange(_ref2) {
    var value = _ref2.value;
    if (onChange) {
      onChange(value);
      var filteredOptions = filterOptions(value);
      updateMenuOptions(filteredOptions);
      return;
    }
  };
  (0, _react.useEffect)(function () {
    setHasSelectedValues(selectedValues.filter(function (v) {
      return v != '';
    }).length > 0);
  }, [selectedValues]);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, allowMultiple ? /*#__PURE__*/_react["default"].createElement(_ActivatorStyle.StyledTextInput, (0, _extends2["default"])({}, props, {
    className: "select-input",
    ref: activatorRef,
    prefix: prefix,
    onChange: function onChange(value) {
      return handleChange({
        value: value
      });
    },
    onBlur: onBlur,
    onFocus: onFocus,
    error: hasError,
    disabled: disabled,
    width: width,
    border: border,
    borderRadius: borderRadius,
    isPlaceholderFloating: isPlaceholderFloating,
    required: required
  })) : /*#__PURE__*/_react["default"].createElement(_SearchableSelectInput.SearchableSelectInput, (0, _extends2["default"])({}, props, {
    ref: activatorRef,
    prefix: prefix,
    filterOptions: filterOptions,
    onBlur: onBlur,
    onFocus: onFocus,
    onInputChange: onChange,
    onSelect: onSelect,
    error: hasError,
    disabled: disabled,
    selectedValue: hasSelectedValues ? selectedValues[0] : null,
    width: width,
    inputValue: inputValue,
    updateInputValue: updateInputValue,
    options: options,
    updateMenuOptions: updateMenuOptions,
    border: border,
    borderRadius: borderRadius,
    isPlaceholderFloating: isPlaceholderFloating,
    required: required,
    height: height
  })));
};
exports.ActivatorTextInput = ActivatorTextInput;