"use strict";

exports.__esModule = true;
exports.OptionList = exports.NoOptionList = exports.MenuOptionLoading = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Menu = require("../../../Menu");
var _Spinner = require("../../../Spinner");
var _Typography = require("../../../Typography");
var _colors = require("../../../utilities/colors");
var _OptionListStyle = require("./OptionListStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var MenuOptionLoading = function MenuOptionLoading() {
  return /*#__PURE__*/_react["default"].createElement(_OptionListStyle.EmptyOptionContainer, {
    className: "menu-option-loading"
  }, /*#__PURE__*/_react["default"].createElement(_Spinner.Spinner, {
    size: "small",
    fill: _colors.Blue.S99
  }));
};
exports.MenuOptionLoading = MenuOptionLoading;
var NoOptionList = function NoOptionList(_ref) {
  var _ref$noOptionsMessage = _ref.noOptionsMessage,
    noOptionsMessage = _ref$noOptionsMessage === void 0 ? 'No matching results' : _ref$noOptionsMessage;
  return /*#__PURE__*/_react["default"].createElement(_OptionListStyle.EmptyOptionContainer, {
    className: "menu-option-empty"
  }, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "body2",
    color: _colors.Neutral.B40
  }, noOptionsMessage));
};
exports.NoOptionList = NoOptionList;
var OptionList = function OptionList(_ref2) {
  var allowMultiple = _ref2.allowMultiple,
    _ref2$loading = _ref2.loading,
    loading = _ref2$loading === void 0 ? false : _ref2$loading,
    noOptionsMessage = _ref2.noOptionsMessage,
    onMenuClose = _ref2.onMenuClose,
    onSelect = _ref2.onSelect,
    sections = _ref2.sections,
    selectedValues = _ref2.selectedValues,
    title = _ref2.title,
    updateSearchableSelectState = _ref2.updateSearchableSelectState,
    width = _ref2.width,
    menuOptions = _ref2.menuOptions;
  var _useState = (0, _react.useState)((menuOptions == null ? void 0 : menuOptions.length) > 0),
    hasMenuOptions = _useState[0],
    setHasMenuOptions = _useState[1];
  (0, _react.useEffect)(function () {
    setHasMenuOptions((menuOptions == null ? void 0 : menuOptions.length) > 0);
  }, [menuOptions]);
  var onOptionSelect = function onOptionSelect(_ref3) {
    var value = _ref3.value;
    if (onSelect) {
      onSelect({
        value: value
      });
      if (allowMultiple) return;
      updateSearchableSelectState({
        showSelected: true,
        showInput: false,
        showPlaceholder: false
      });
      onMenuClose();
    }
  };
  if (loading) {
    return /*#__PURE__*/_react["default"].createElement(_OptionListStyle.OptionListContainer, {
      width: width
    }, /*#__PURE__*/_react["default"].createElement(MenuOptionLoading, null));
  }
  return /*#__PURE__*/_react["default"].createElement(_OptionListStyle.OptionListContainer, {
    width: width,
    className: "menu-option-list"
  }, hasMenuOptions ? /*#__PURE__*/_react["default"].createElement(_Menu.Menu, {
    allowMultiple: allowMultiple,
    options: menuOptions,
    onClick: onOptionSelect,
    sections: sections,
    selectedValues: selectedValues,
    title: title
  }) : /*#__PURE__*/_react["default"].createElement(NoOptionList, {
    noOptionsMessage: noOptionsMessage
  }));
};
exports.OptionList = OptionList;