import React from 'react';
import { InputProps } from '../../../Input/Input';
import { Option } from '../../../Menu';
export interface SearchableSelectState {
    showSelected: boolean;
    showInput: boolean;
    showPlaceholder: boolean;
}
export declare type SearchableSelectInputProps = Omit<InputProps, 'type' | 'onChange' | 'onSelect'> & {
    canClear?: boolean;
    filterOptions?: (str: string) => Option[];
    onInputChange?(value: string): void;
    onSelect?({ value }: {
        value: string;
    }): void;
    selectedValue?: string;
    inputValue?: string;
    updateInputValue?: (newValue: string) => void;
    searchableSelectState?: SearchableSelectState;
    updateSearchableSelectState?: (newState: SearchableSelectState) => void;
    options?: Option[];
    updateMenuOptions?: (newState: Option[]) => void;
    border?: string;
    borderRadius?: string;
    floatingFontSize?: string;
    isPlaceholderFloating?: boolean;
    required?: boolean;
    height?: string;
};
export declare const SearchableSelectInput: React.ForwardRefExoticComponent<Omit<InputProps, "type" | "onChange" | "onSelect"> & {
    canClear?: boolean;
    filterOptions?: (str: string) => Option[];
    onInputChange?(value: string): void;
    onSelect?({ value }: {
        value: string;
    }): void;
    selectedValue?: string;
    inputValue?: string;
    updateInputValue?: (newValue: string) => void;
    searchableSelectState?: SearchableSelectState;
    updateSearchableSelectState?: (newState: SearchableSelectState) => void;
    options?: Option[];
    updateMenuOptions?: (newState: Option[]) => void;
    border?: string;
    borderRadius?: string;
    floatingFontSize?: string;
    isPlaceholderFloating?: boolean;
    required?: boolean;
    height?: string;
} & React.RefAttributes<HTMLInputElement>>;
