"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.NonSearchableMultiSelect = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Select = require("../Select");
var _excluded = ["options", "disabled"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var NonSearchableMultiSelect = function NonSearchableMultiSelect(_ref) {
  var options = _ref.options,
    disabled = _ref.disabled,
    args = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)([]),
    selected = _useState[0],
    setSelected = _useState[1];
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    if (!selected.includes(value)) {
      setSelected([].concat(selected, [value]));
      return;
    }
    setSelected(selected.filter(function (option) {
      return option !== value;
    }));
  };
  var removeTag = function removeTag(_ref3) {
    var option = _ref3.option;
    return function (e) {
      e.stopPropagation();
      var options = [].concat(selected);
      options.splice(options.indexOf(option), 1);
      setSelected(options);
    };
  };
  return /*#__PURE__*/_react["default"].createElement(_Select.Select, (0, _extends2["default"])({}, args, {
    disabled: disabled,
    onRemoveTag: removeTag,
    options: options,
    onSelect: handleSelect,
    selectedValues: selected,
    width: "400px"
  }));
};
exports.NonSearchableMultiSelect = NonSearchableMultiSelect;