"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.SearchableSelect = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _colors = require("../../utilities/colors");
var _spacing = require("../../utilities/spacing");
var _Select = require("../Select");
var _SelectStoryStyle = require("./SelectStoryStyle");
var _excluded = ["data"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var SearchableSelect = function SearchableSelect(_ref) {
  var data = _ref.data,
    args = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var _useState = (0, _react.useState)(''),
    inputValue = _useState[0],
    setInputValue = _useState[1];
  var _useState2 = (0, _react.useState)([]),
    selectedOptions = _useState2[0],
    setSelectedOptions = _useState2[1];
  var handleInputChange = function handleInputChange(value) {
    setInputValue(value);
  };
  var handleSelect = function handleSelect(_ref2) {
    var value = _ref2.value;
    if (!selectedOptions.includes(value)) {
      setSelectedOptions([].concat(selectedOptions, [value]));
      return;
    }
    setSelectedOptions(selectedOptions.filter(function (option) {
      return option !== value;
    }));
  };
  var removeTag = function removeTag(tag) {
    return function () {
      var options = [].concat(selectedOptions);
      options.splice(options.indexOf(tag), 1);
      setSelectedOptions(options);
    };
  };
  var tagsMarkup = selectedOptions.map(function (value) {
    var _data$find;
    return /*#__PURE__*/_react["default"].createElement(_SelectStoryStyle.StyledTag, {
      key: "option-" + value,
      onRemove: removeTag(value),
      textColor: _colors.Blue.S99
    }, ((_data$find = data.find(function (option) {
      return option.value === value;
    })) == null ? void 0 : _data$find.label) || value);
  });
  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_Select.Select, (0, _extends2["default"])({}, args, {
    onSelect: handleSelect,
    options: data,
    selectedValues: selectedOptions,
    width: "600px",
    searchableProps: {
      inputValue: inputValue,
      onInputChange: function onInputChange(value) {
        return handleInputChange(value);
      }
    },
    label: "Label"
  })), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      paddingTop: _spacing.space8
    }
  }, tagsMarkup));
};
exports.SearchableSelect = SearchableSelect;