"use strict";

exports.__esModule = true;
exports.StyledSkeletonText = exports.SkeletonTextContainer = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../../../utilities/breakpoints"));
var _spacing = require("../../../utilities/spacing");
var _SkeletonStyle = require("../../SkeletonStyle");
var _variantHeightMapping;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var headline1 = (0, _styledComponents.css)(["height:84px;@media (max-width:", "){height:36px;}"], Breakpoints.large);
var headline2 = (0, _styledComponents.css)(["height:75px;@media (max-width:", "){height:32px;}"], Breakpoints.large);
var headline3 = (0, _styledComponents.css)(["height:54px;@media (max-width:", "){height:28px;}"], Breakpoints.large);
var headline4 = (0, _styledComponents.css)(["height:42px;@media (max-width:", "){height:24px;}"], Breakpoints.large);
var headline5 = (0, _styledComponents.css)(["height:39px;@media (max-width:", "){height:20px;}"], Breakpoints.large);
var headline6 = (0, _styledComponents.css)(["height:36px;@media (max-width:", "){height:18px;}"], Breakpoints.large);
var subtitle1 = (0, _styledComponents.css)(["height:32px;@media (max-width:", "){height:16px;}"], Breakpoints.large);
var subtitle2 = (0, _styledComponents.css)(["height:21px;@media (max-width:", "){height:18px;}"], Breakpoints.large);
var body1 = (0, _styledComponents.css)(["height:24px;@media (max-width:", "){height:21px;}"], Breakpoints.large);
var body2 = (0, _styledComponents.css)(["height:24px;@media (max-width:", "){height:21px;}"], Breakpoints.large);
var button = (0, _styledComponents.css)(["height:14px;"]);
var caption = (0, _styledComponents.css)(["height:20px;@media (max-width:", "){height:17px;}"], Breakpoints.large);
var overline = (0, _styledComponents.css)(["height:17px;@media (max-width:", "){height:14px;}"], Breakpoints.large);
var variantHeightMapping = (_variantHeightMapping = {}, _variantHeightMapping['headline1'] = headline1, _variantHeightMapping['headline2'] = headline2, _variantHeightMapping['headline3'] = headline3, _variantHeightMapping['headline4'] = headline4, _variantHeightMapping['headline5'] = headline5, _variantHeightMapping['headline6'] = headline6, _variantHeightMapping['subtitle1'] = subtitle1, _variantHeightMapping['subtitle2'] = subtitle2, _variantHeightMapping['body1'] = body1, _variantHeightMapping['body2'] = body2, _variantHeightMapping['button'] = button, _variantHeightMapping['caption'] = caption, _variantHeightMapping['overline'] = overline, _variantHeightMapping);
var StyledSkeletonText = _styledComponents["default"].li.withConfig({
  displayName: "SkeletonTextStyle__StyledSkeletonText",
  componentId: "sc-ym0kos-0"
})(["", " width:", ";", ""], function (props) {
  return variantHeightMapping[props.variant];
}, function (props) {
  return props.width;
}, _SkeletonStyle.SkeletonShimmer);
exports.StyledSkeletonText = StyledSkeletonText;
var SkeletonTextContainer = _styledComponents["default"].ul.withConfig({
  displayName: "SkeletonTextStyle__SkeletonTextContainer",
  componentId: "sc-ym0kos-1"
})(["list-style:none;width:100%;li:not(:last-child){margin-bottom:", ";}"], _spacing.space4);
exports.SkeletonTextContainer = SkeletonTextContainer;