import React from 'react';
export interface StepProps {
    /** Styles of step, predetermined from parent component, or you can overwrite this */
    variant?: 'pending' | 'completed' | 'processing' | 'error';
    /** Label given to the step component  */
    label?: string;
    /** Step number to be shown, by default it's 1,2,3,... from the parent component, or you can overwrite this */
    index?: number;
    type?: 'normal' | 'dot';
    orientation?: 'horizontal' | 'vertical';
}
export declare const Step: React.ForwardRefExoticComponent<StepProps & React.RefAttributes<HTMLDivElement>>;
