"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Step = void 0;
var _react = _interopRequireDefault(require("react"));
var _Typography = require("../Typography");
var _StepStyle = require("./StepStyle");
var _Icon = require("../Icon");
var _colors = require("../utilities/colors");
var LineComponent = function LineComponent(_ref) {
  var variant = _ref.variant,
    type = _ref.type,
    orientation = _ref.orientation;
  if (orientation === 'vertical') {
    return /*#__PURE__*/_react["default"].createElement(_StepStyle.VerticalLineWrapper, {
      "data-dot": type === 'dot'
    }, /*#__PURE__*/_react["default"].createElement(_StepStyle.VerticalLine, {
      "data-variant": variant,
      "data-dot": type === 'dot'
    }));
  }
  return /*#__PURE__*/_react["default"].createElement(_StepStyle.HorizontalLineWrapper, {
    "data-dot": type === 'dot'
  }, /*#__PURE__*/_react["default"].createElement(_StepStyle.HorizontalLine, {
    "data-variant": variant,
    "data-dot": type === 'dot'
  }));
};
var Step = /*#__PURE__*/_react["default"].forwardRef(function Step(_ref2, ref) {
  var _ref2$variant = _ref2.variant,
    variant = _ref2$variant === void 0 ? 'pending' : _ref2$variant,
    _ref2$label = _ref2.label,
    label = _ref2$label === void 0 ? '' : _ref2$label,
    _ref2$index = _ref2.index,
    index = _ref2$index === void 0 ? 0 : _ref2$index,
    _ref2$type = _ref2.type,
    type = _ref2$type === void 0 ? 'normal' : _ref2$type,
    _ref2$orientation = _ref2.orientation,
    orientation = _ref2$orientation === void 0 ? 'vertical' : _ref2$orientation;
  return /*#__PURE__*/_react["default"].createElement(_StepStyle.StepItemContainer, {
    className: "step-item-container",
    "data-orientation": orientation
  }, /*#__PURE__*/_react["default"].createElement(_StepStyle.StepItemWrapper, {
    ref: ref,
    "data-dot": type === 'dot',
    className: "step-item-wrapper"
  }, /*#__PURE__*/_react["default"].createElement(_StepStyle.CircleDiv, {
    "data-variant": variant,
    "data-dot": type === 'dot'
  }, variant === 'completed' && /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-check",
    className: "circle-icon"
  }), variant === 'error' && /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-close",
    className: "circle-icon"
  }), variant === 'processing' && /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "caption",
    color: _colors.Neutral.B100,
    className: "circle-icon"
  }, index), variant === 'pending' && /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "caption",
    color: _colors.Neutral.B40,
    className: "circle-icon"
  }, index)), /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    className: "step-label",
    as: "div",
    variant: variant === 'processing' || variant === 'error' ? 'body2' : 'body1',
    color: variant === 'pending' || variant === 'completed' ? _colors.Neutral.B40 : _colors.Neutral.B18
  }, label)), /*#__PURE__*/_react["default"].createElement(LineComponent, {
    variant: variant,
    type: type,
    orientation: orientation
  }));
});
exports.Step = Step;