"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.VerticalLineWrapper = exports.VerticalLine = exports.StepsContainer = exports.StepItemWrapper = exports.StepItemContainer = exports.HorizontalLineWrapper = exports.HorizontalLine = exports.CircleDiv = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("..");
var _spacing = require("../utilities/spacing");
var _colors = require("../utilities/colors");
var _borderRadius = require("../utilities/borderRadius");
var StepsContainer = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__StepsContainer",
  componentId: "sc-1br2jzt-0"
})(["&[data-orientation='horizontal']{display:flex;align-items:center;overflow-x:auto;}"]);
exports.StepsContainer = StepsContainer;
var StepItemContainer = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__StepItemContainer",
  componentId: "sc-1br2jzt-1"
})(["&:last-child > div:last-child{display:none;}&[data-orientation='horizontal']{display:flex;align-items:center;}"]);
exports.StepItemContainer = StepItemContainer;
var StepItemWrapper = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__StepItemWrapper",
  componentId: "sc-1br2jzt-2"
})(["display:flex;align-items:center;gap:", ";cursor:default;&[data-dot='true']{gap:", ";}.step-label{white-space:nowrap;}"], _spacing.space12, _spacing.space16);
exports.StepItemWrapper = StepItemWrapper;
var CircleDiv = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__CircleDiv",
  componentId: "sc-1br2jzt-3"
})(["display:flex;align-items:center;justify-content:center;height:28px;width:28px;border-radius:", ";flex-shrink:0;svg{height:16px;width:16px;}&[data-variant='pending']{background-color:", ";}&[data-variant='completed']{background-color:", ";svg{fill:", ";}}&[data-variant='processing']{background-color:", ";}&[data-variant='error']{background-color:", ";svg{fill:", ";}}&[data-dot='true']{height:10px;width:10px;> .circle-icon{display:none;}&[data-variant='completed']{background-color:", ";}}@media (max-width:", "){height:24px;width:24px;svg{height:14px;width:14px;}}"], _borderRadius.borderRadiusHalf, _colors.Neutral.B95, _colors.Blue.S08, _colors.Blue.S99, _colors.Blue.S99, _colors.Red.B93, _colors.Neutral.B100, _colors.Blue.S99, _.Breakpoints.large);
exports.CircleDiv = CircleDiv;
var VerticalLineWrapper = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__VerticalLineWrapper",
  componentId: "sc-1br2jzt-4"
})(["display:flex;align-items:center;justify-content:center;padding:", " 0;height:64px;width:28px;&[data-dot='true']{width:10px;}@media (max-width:", "){width:24px;}"], _spacing.space4, _.Breakpoints.large);
exports.VerticalLineWrapper = VerticalLineWrapper;
var HorizontalLineWrapper = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__HorizontalLineWrapper",
  componentId: "sc-1br2jzt-5"
})(["display:flex;align-items:center;justify-content:center;padding:0 ", ";width:105px;"], _spacing.space12);
exports.HorizontalLineWrapper = HorizontalLineWrapper;
var VerticalLine = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__VerticalLine",
  componentId: "sc-1br2jzt-6"
})(["width:2px;height:100%;background-color:", ";&[data-variant='completed']{background-color:", ";}&[data-dot='true']{width:1.5px;}"], _colors.Neutral.B85, _colors.Blue.S99);
exports.VerticalLine = VerticalLine;
var HorizontalLine = _styledComponents["default"].div.withConfig({
  displayName: "StepStyle__HorizontalLine",
  componentId: "sc-1br2jzt-7"
})(["height:2px;width:100%;background-color:", ";&[data-variant='completed']{background-color:", ";}"], _colors.Neutral.B85, _colors.Blue.S99);
exports.HorizontalLine = HorizontalLine;