"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StepsComponent = exports.Steps = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Step = require("./Step");
var _StepStyle = require("./StepStyle");
var _excluded = ["currentStep", "errorSteps", "children", "type", "orientation"];
var StepsComponent = /*#__PURE__*/_react["default"].forwardRef(function Collapse(_ref, ref) {
  var _ref$currentStep = _ref.currentStep,
    currentStep = _ref$currentStep === void 0 ? 0 : _ref$currentStep,
    _ref$errorSteps = _ref.errorSteps,
    errorSteps = _ref$errorSteps === void 0 ? [] : _ref$errorSteps,
    children = _ref.children,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'normal' : _ref$type,
    _ref$orientation = _ref.orientation,
    orientation = _ref$orientation === void 0 ? 'vertical' : _ref$orientation,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  return /*#__PURE__*/_react["default"].createElement(_StepStyle.StepsContainer, (0, _extends2["default"])({
    "data-orientation": orientation,
    ref: ref
  }, props), _react["default"].Children.map(children, function (child, index) {
    var _child$props, _child$props2;
    var variant = errorSteps.includes(index + 1) ? 'error' : index + 1 === currentStep ? 'processing' : index + 1 < currentStep ? 'completed' : 'pending';
    var childVariant = ((_child$props = child.props) == null ? void 0 : _child$props.variant) || variant;
    var childIndex = ((_child$props2 = child.props) == null ? void 0 : _child$props2.index) || index + 1;
    return /*#__PURE__*/_react["default"].createElement(child.type, (0, _extends2["default"])({}, child.props, {
      orientation: orientation,
      variant: childVariant,
      index: childIndex,
      type: type
    }));
  }));
});
exports.StepsComponent = StepsComponent;
var Steps = Object.assign(StepsComponent, {
  Step: _Step.Step
});
exports.Steps = Steps;