"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Switch = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Icon = require("../Icon");
var _colors = require("../utilities/colors");
var _SwitchStyle = require("./SwitchStyle");
var _excluded = ["checked", "disabled", "onChange", "value", "withIcon", "checkedText", "uncheckedText", "checkedBackgroundColor"];
var Switch = /*#__PURE__*/_react["default"].forwardRef(function Switch(_ref, ref) {
  var checked = _ref.checked,
    disabled = _ref.disabled,
    onChange = _ref.onChange,
    value = _ref.value,
    withIcon = _ref.withIcon,
    checkedText = _ref.checkedText,
    uncheckedText = _ref.uncheckedText,
    checkedBackgroundColor = _ref.checkedBackgroundColor,
    otherProps = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var withText = Boolean(checkedText) && Boolean(uncheckedText);
  if (withText && withIcon) {
    console.warn('Switch component cannot have both text and icon');
  }
  var IconRender = function IconRender() {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
      name: "ri-check",
      fill: disabled ? _colors.Neutral.B85 : _colors.Neutral.B100
    }), /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
      name: "ri-close",
      fill: disabled ? _colors.Neutral.B85 : _colors.Neutral.B100
    }));
  };
  var RenderSwitchText = function RenderSwitchText() {
    return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_SwitchStyle.SwitchTextStyle, {
      variant: "overline",
      color: disabled ? _colors.Neutral.B85 : _colors.Neutral.B100
    }, checkedText), /*#__PURE__*/_react["default"].createElement(_SwitchStyle.SwitchTextStyle, {
      variant: "overline",
      color: disabled ? _colors.Neutral.B85 : _colors.Neutral.B100
    }, uncheckedText));
  };
  return /*#__PURE__*/_react["default"].createElement(_SwitchStyle.LabelStyle, null, /*#__PURE__*/_react["default"].createElement(_SwitchStyle.InputStyle, (0, _extends2["default"])({
    value: value
  }, otherProps, {
    disabled: disabled,
    checked: checked,
    type: "checkbox",
    onChange: onChange,
    ref: ref,
    "data-with-icon": !withText && withIcon,
    "data-with-text": withText,
    backgroundColor: checkedBackgroundColor
  })), /*#__PURE__*/_react["default"].createElement(_SwitchStyle.SwitchStyle, {
    "data-disabled": disabled,
    "data-with-icon": !withText && withIcon,
    "data-with-text": withText
  }, !withText && withIcon && /*#__PURE__*/_react["default"].createElement(IconRender, null), withText && /*#__PURE__*/_react["default"].createElement(RenderSwitchText, null)));
});
exports.Switch = Switch;