"use strict";

exports.__esModule = true;
exports.Tab = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Typography = require("../Typography");
var _TabStyle = require("./TabStyle");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Tab = function Tab(_ref) {
  var content = _ref.content,
    id = _ref.id,
    selected = _ref.selected,
    _ref$disabled = _ref.disabled,
    disabled = _ref$disabled === void 0 ? false : _ref$disabled,
    _ref$disabledScrollTo = _ref.disabledScrollToTab,
    disabledScrollToTab = _ref$disabledScrollTo === void 0 ? false : _ref$disabledScrollTo,
    onSelect = _ref.onSelect;
  var tabRef = (0, _react.useRef)(null);
  var handleClick = function handleClick(event) {
    if (disabled) return;
    event.preventDefault();
    if (!disabledScrollToTab) {
      tabRef.current.scrollIntoView({
        behavior: 'smooth'
      });
    }
    onSelect();
  };
  return /*#__PURE__*/_react["default"].createElement(_TabStyle.StyledTabButton, {
    ref: tabRef,
    "data-selected": selected,
    "data-disabled": disabled,
    id: id,
    onClick: handleClick
  }, /*#__PURE__*/_react["default"].createElement(_TabStyle.StyledSpan, null, /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    as: "span",
    variant: "body1"
  }, content)));
};
exports.Tab = Tab;