"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledUl = exports.StyledTabsContainer = exports.StyledTabHeaderContainer = exports.StyledTabButton = exports.StyledSpan = exports.StyledLi = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _colors = require("../utilities/colors");
var _spacing = require("../utilities/spacing");
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledTabsContainer = _styledComponents["default"].div.withConfig({
  displayName: "TabStyle__StyledTabsContainer",
  componentId: "sc-3xj4eu-0"
})(["display:block;"]);
exports.StyledTabsContainer = StyledTabsContainer;
var StyledTabHeaderContainer = _styledComponents["default"].div.withConfig({
  displayName: "TabStyle__StyledTabHeaderContainer",
  componentId: "sc-3xj4eu-1"
})(["box-shadow:inset 0px -1px 0px #e1e3e5;overflow-x:auto;white-space:nowrap;background:transparent;position:relative;margin:0;::-webkit-scrollbar{display:none;}&[data-scroll-left='true']{box-shadow:30px 0 50px -50px #474747 inset;}&[data-scroll-right='true']{box-shadow:-30px 0px 50px -50px #474747 inset;}&[data-scroll-left='true'][data-scroll-right='true']{box-shadow:30px 0 50px -50px #474747 inset,-30px 0px 50px -50px #474747 inset;}&[data-grabbing='true']{cursor:grabbing;}"]);
exports.StyledTabHeaderContainer = StyledTabHeaderContainer;
var StyledUl = _styledComponents["default"].ul.withConfig({
  displayName: "TabStyle__StyledUl",
  componentId: "sc-3xj4eu-2"
})(["display:flex;flex-direction:row;align-items:flex-start;padding:0;gap:", ";margin:0;&[data-fitted='true'] li{flex:1;}"], _spacing.space8);
exports.StyledUl = StyledUl;
var StyledLi = _styledComponents["default"].li.withConfig({
  displayName: "TabStyle__StyledLi",
  componentId: "sc-3xj4eu-3"
})(["display:flex;margin:0;padding:0 ", ";"], _spacing.space4);
exports.StyledLi = StyledLi;
var StyledSpan = _styledComponents["default"].span.withConfig({
  displayName: "TabStyle__StyledSpan",
  componentId: "sc-3xj4eu-4"
})(["position:relative;display:block;padding:0 ", ";&::before{content:'';position:absolute;bottom:-", ";left:0;right:0;height:3px;border-top-left-radius:", ";border-top-right-radius:", ";}&&::after{content:'';position:absolute;z-index:1;inset:-1px;pointer-events:none;box-shadow:0 0 0 -1px ", ";transition:box-shadow 100ms ease;}@media (max-width:", "){&::before{bottom:-14px;}}"], _spacing.space16, _spacing.space16, _spacing.space4, _spacing.space4, _colors.Blue.S99, Breakpoints.large);
exports.StyledSpan = StyledSpan;
var StyledTabButton = _styledComponents["default"].button.withConfig({
  displayName: "TabStyle__StyledTabButton",
  componentId: "sc-3xj4eu-5"
})(["border:0;background:transparent;height:56px;cursor:default;color:", ";width:100%;padding:0 ", ";&[data-disabled='false']{cursor:pointer;&:hover{color:", ";}&:hover span::before{background:", ";}}&&&[data-selected='true']{color:", ";}&&&[data-selected='true'] > span::before{background:", ";}@media (max-width:", "){height:48px;}"], _colors.Neutral.B40, _spacing.space4, _colors.Neutral.B18, _colors.Blue.S100, _colors.Blue.S99, _colors.Blue.S99, Breakpoints.large);
exports.StyledTabButton = StyledTabButton;