import React, { ReactNode } from 'react';
export declare type TabModel = {
    /** Id of the tab, a random id will nbe assigned if empty */
    id?: string;
    /** Content of the type header */
    content: React.ReactNode;
    disabled?: boolean;
    /** The contentWrapper will be a wrapper component for the content */
    contentWrapper?: (children: ReactNode) => ReactNode;
};
export declare type TabsProps = {
    /** TabModel has 2 properties
     *
     * `id?: string`, id for Tab and will be autogenerated if empty
     *
     * `content: React.ReactNode` component for Tab header
     * */
    tabs: TabModel[];
    selected?: number;
    children?: React.ReactNode;
    fitted?: boolean;
    disabledScrollToTab?: boolean;
    onSelected?: (index: number) => void;
};
export declare const Tabs: React.ForwardRefExoticComponent<TabsProps & React.RefAttributes<HTMLDivElement>>;
