"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Tag = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _Icon = require("../Icon");
var _Typography = require("../Typography");
var _colors = require("../utilities/colors");
var _TagStyle = require("./TagStyle");
var _excluded = ["children", "onRemove", "value", "textColor", "onClick", "disabled", "contentType", "iconName"];
var Tag = /*#__PURE__*/_react["default"].forwardRef(function Tag(_ref, ref) {
  var children = _ref.children,
    onRemove = _ref.onRemove,
    value = _ref.value,
    textColor = _ref.textColor,
    onClick = _ref.onClick,
    disabled = _ref.disabled,
    _ref$contentType = _ref.contentType,
    contentType = _ref$contentType === void 0 ? 'neutral' : _ref$contentType,
    iconName = _ref.iconName,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var handleTextColor = function handleTextColor() {
    if (disabled) {
      return _colors.Neutral.B85;
    }
    if (textColor) {
      return textColor;
    }
    return _colors.Neutral.B18;
  };
  var content = typeof children === 'string' || typeof children === 'number' ? /*#__PURE__*/_react["default"].createElement(_Typography.Typography, {
    variant: "subtitle2",
    color: handleTextColor(),
    as: 'span'
  }, children) : children;
  var removeButton = onRemove && /*#__PURE__*/_react["default"].createElement(_TagStyle.TagRemoveContainerStyle, null, /*#__PURE__*/_react["default"].createElement(_TagStyle.TagIconWrapper, {
    role: "button",
    tabIndex: 0
  }, /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: "ri-close",
    fill: _colors.Neutral.B40,
    onClick: onRemove,
    className: "remove-button-icon"
  })));
  return /*#__PURE__*/_react["default"].createElement(_TagStyle.TagStyle, (0, _extends2["default"])({
    ref: ref
  }, props, {
    value: value,
    onClick: !disabled && onClick,
    "data-clickable": !!onClick,
    "data-removeable": !!onRemove,
    "data-content-type": contentType,
    role: !!onClick ? 'button' : undefined,
    "data-disabled": disabled,
    as: !!onClick ? 'button' : 'div'
  }), /*#__PURE__*/_react["default"].createElement(_TagStyle.TagContentStyle, {
    "data-removeable": !!onRemove
  }, iconName && /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
    name: iconName,
    fill: _colors.Neutral.B40,
    height: 20
  }), /*#__PURE__*/_react["default"].createElement(_TagStyle.TagContentWrapper, null, content)), removeButton);
});
exports.Tag = Tag;