import React, { TextareaHTMLAttributes, RefObject } from 'react';
export declare type TextAreaProps = Omit<TextareaHTMLAttributes<HTMLTextAreaElement>, 'onChange'> & {
    value: string;
    onChange: (value: string) => void;
    error?: boolean;
    width?: string;
    forwardedRef?: RefObject<HTMLTextAreaElement>;
    /**
     * if true, allows the user to type more than the maxLength.
     * if false, the user will not be able to type more than the maxLength,
     * all the characters typed after the maxLength will be ignored.
     *
     * **defaults to** `true`
     */
    canExceedMaxLength: boolean;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    floatingPlaceholderTop?: number;
    placeholderColor?: string;
};
export declare const TextArea: React.ForwardRefExoticComponent<Omit<React.TextareaHTMLAttributes<HTMLTextAreaElement>, "onChange"> & {
    value: string;
    onChange: (value: string) => void;
    error?: boolean;
    width?: string;
    forwardedRef?: RefObject<HTMLTextAreaElement>;
    /**
     * if true, allows the user to type more than the maxLength.
     * if false, the user will not be able to type more than the maxLength,
     * all the characters typed after the maxLength will be ignored.
     *
     * **defaults to** `true`
     */
    canExceedMaxLength: boolean;
    border?: string;
    borderRadius?: string;
    required?: boolean;
    isPlaceholderFloating?: boolean;
    floatingFontSize?: string;
    floatingPlaceholderTop?: number;
    placeholderColor?: string;
} & React.RefAttributes<HTMLTextAreaElement>>;
