"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.TextInput = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _Icon = require("../Icon");
var _Input = require("../Input/Input");
var _excluded = ["canClear", "suffix", "value", "onChange", "error", "height", "border", "borderRadius", "required", "floatingFontSize", "isPlaceholderFloating", "placeholderColor", "floatingPlaceholderTop"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var TextInput = /*#__PURE__*/_react["default"].forwardRef(function TextInput(_ref, ref) {
  var canClear = _ref.canClear,
    suffix = _ref.suffix,
    value = _ref.value,
    onChange = _ref.onChange,
    error = _ref.error,
    height = _ref.height,
    border = _ref.border,
    borderRadius = _ref.borderRadius,
    required = _ref.required,
    floatingFontSize = _ref.floatingFontSize,
    isPlaceholderFloating = _ref.isPlaceholderFloating,
    placeholderColor = _ref.placeholderColor,
    floatingPlaceholderTop = _ref.floatingPlaceholderTop,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  var ClearIcon = function ClearIcon() {
    return /*#__PURE__*/_react["default"].createElement(_Icon.Icon, {
      name: "ri-close-circle-fill",
      style: {
        cursor: 'pointer'
      },
      onClick: function onClick() {
        return handleClearIconClick();
      }
    });
  };
  var _useState = (0, _react.useState)(suffix),
    suffixValue = _useState[0],
    setSuffixValue = _useState[1];
  var handleClearIconClick = function handleClearIconClick() {
    onChange == null ? void 0 : onChange('');
    setSuffixValue(suffix);
  };
  var handleChange = function handleChange(e) {
    var val = e.currentTarget.value;
    var currSuffix = canClear && !!val ? /*#__PURE__*/_react["default"].createElement(ClearIcon, null) : suffixValue;
    setSuffixValue(currSuffix);
    onChange == null ? void 0 : onChange(val);
  };
  (0, _react.useEffect)(function () {
    setSuffixValue(suffix);
  }, [suffix]);
  return /*#__PURE__*/_react["default"].createElement(_Input.Input, (0, _extends2["default"])({
    ref: ref,
    type: "text",
    suffix: suffixValue,
    value: value,
    onChange: handleChange,
    error: error,
    border: border,
    borderRadius: borderRadius,
    floatingFontSize: floatingFontSize,
    isPlaceholderFloating: isPlaceholderFloating,
    placeholderColor: placeholderColor,
    floatingPlaceholderTop: floatingPlaceholderTop,
    required: required,
    height: height
  }, props));
});
exports.TextInput = TextInput;