import React from 'react';
declare const allPositions: readonly ["top-center", "top-left", "top-right", "bottom-center", "bottom-left", "bottom-right", "right-middle", "right-top", "right-bottom", "left-middle", "left-top", "left-bottom"];
export declare type TooltipPosition = (typeof allPositions)[number];
export interface TooltipProps extends React.HTMLAttributes<HTMLDivElement> {
    preferredPosition?: TooltipPosition;
    children: React.ReactNode;
    content: React.ReactNode;
    zIndex?: number;
    /** if true, tooltip will be shown on click instead of hover */
    clickable?: boolean;
    /** how long tooltip will still be shown after clicked or when not hovered anymore */
    timeout?: number;
    /** if clickable it true, onClick will be called when tooltip is clicked */
    onClick?: () => void;
    tooltipClassName?: string;
}
export declare const Tooltip: ({ children, content, preferredPosition, zIndex, clickable, timeout, onClick, tooltipClassName, ...props }: TooltipProps) => JSX.Element;
export {};
