import React, { ElementType, ReactNode } from 'react';
declare const typographyVariant: readonly ["headline1", "headline2", "headline3", "headline4", "headline5", "headline6", "subtitle1", "subtitle2", "body1", "body2", "button", "caption", "overline"];
export declare type Variant = (typeof typographyVariant)[number];
export interface TypographyProps {
    /** Sets the Typography's element */
    as?: ElementType;
    className?: string;
    children: ReactNode;
    /** Sets the Typography's color */
    color?: string;
    /** Sets the Typography's variant */
    variant?: Variant;
    style?: React.CSSProperties;
}
export declare const Typography: ({ as, children, variant, style, ...props }: TypographyProps) => JSX.Element;
export {};
