"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Typography = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _TypographyStyles = require("./TypographyStyles");
var _excluded = ["as", "children", "variant", "style"];
var typographyVariant = ['headline1', 'headline2', 'headline3', 'headline4', 'headline5', 'headline6', 'subtitle1', 'subtitle2', 'body1', 'body2', 'button', 'caption', 'overline'];
var isVariant = function isVariant(str) {
  return typographyVariant.includes(str);
};
var Typography = function Typography(_ref) {
  var _ref$as = _ref.as,
    as = _ref$as === void 0 ? 'p' : _ref$as,
    children = _ref.children,
    variant = _ref.variant,
    style = _ref.style,
    props = (0, _objectWithoutPropertiesLoose2["default"])(_ref, _excluded);
  if (!isVariant(variant)) {
    console.warn("Variant: " + variant + " is not of type Variant | undefined. \ntype Variant " + typographyVariant);
  }
  return /*#__PURE__*/_react["default"].createElement(_TypographyStyles.StyledTypography, (0, _extends2["default"])({
    style: style,
    as: as,
    variant: variant
  }, props), children);
};
exports.Typography = Typography;