"use strict";

exports.__esModule = true;
exports.variantCssMapping = exports.subtitle2 = exports.subtitle1 = exports.overline = exports.headline6 = exports.headline5 = exports.headline4 = exports.headline3 = exports.headline2 = exports.headline1 = exports.caption = exports.button = exports.body2 = exports.body1 = exports.StyledTypography = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _fonts = require("../utilities/fonts");
var _variantCssMapping;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var headline1 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:700;font-size:60px;line-height:140%;letter-spacing:0;@media (max-width:", "){font-size:36px;}"], _fonts.Poppins, Breakpoints.large);
exports.headline1 = headline1;
var headline2 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:700;font-size:50px;line-height:normal;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:32px;line-height:140%;}"], _fonts.Poppins, Breakpoints.large);
exports.headline2 = headline2;
var headline3 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:700;font-size:36px;line-height:normal;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:28px;line-height:140%;}"], _fonts.Poppins, Breakpoints.large);
exports.headline3 = headline3;
var headline4 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:700;font-size:30px;line-height:140%;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:24px;line-height:150%;}"], _fonts.Poppins, Breakpoints.large);
exports.headline4 = headline4;
var headline5 = (0, _styledComponents.css)(["font-weight:700;font-size:26px;line-height:normal;letter-spacing:0;@media (max-width:", "){font-weight:600;font-size:20px;}"], Breakpoints.large);
exports.headline5 = headline5;
var headline6 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:600;font-size:24px;line-height:150%;letter-spacing:0;@media (max-width:", "){font-weight:700;font-size:18px;letter-spacing:0.15px;}"], _fonts.NotoSans, Breakpoints.large);
exports.headline6 = headline6;
var subtitle1 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:600;font-size:20px;line-height:150%;letter-spacing:0.15px;@media (max-width:", "){font-size:16px;}"], _fonts.NotoSans, Breakpoints.large);
exports.subtitle1 = subtitle1;
var subtitle2 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:400;font-size:14px;line-height:150%;letter-spacing:0.25px;@media (max-width:", "){font-size:12px;letter-spacing:0;}"], _fonts.NotoSans, Breakpoints.large);
exports.subtitle2 = subtitle2;
var body1 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:400;font-size:16px;line-height:150%;letter-spacing:0px;@media (max-width:", "){font-size:14px;}"], _fonts.NotoSans, Breakpoints.large);
exports.body1 = body1;
var body2 = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:600;font-size:16px;line-height:150%;letter-spacing:0.25px;@media (max-width:", "){font-size:14px;line-height:140%;letter-spacing:0;}"], _fonts.NotoSans, Breakpoints.large);
exports.body2 = body2;
var button = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:700;font-size:14px;line-height:150%;letter-spacing:0.75px;@media (max-width:", "){font-weight:600;letter-spacing:0.25px;}"], _fonts.NotoSans, Breakpoints.large);
exports.button = button;
var caption = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:600;font-size:14px;line-height:150%;letter-spacing:0.25px;@media (max-width:", "){font-size:12px;letter-spacing:0px;}"], _fonts.NotoSans, Breakpoints.large);
exports.caption = caption;
var overline = (0, _styledComponents.css)(["font-family:", ",sans-serif;font-weight:500;font-size:12px;line-height:140%;letter-spacing:1.5px;@media (max-width:", "){font-size:10px;letter-spacing:0.2px;}"], _fonts.NotoSans, Breakpoints.large);
exports.overline = overline;
var variantCssMapping = (_variantCssMapping = {}, _variantCssMapping['headline1'] = headline1, _variantCssMapping['headline2'] = headline2, _variantCssMapping['headline3'] = headline3, _variantCssMapping['headline4'] = headline4, _variantCssMapping['headline5'] = headline5, _variantCssMapping['headline6'] = headline6, _variantCssMapping['subtitle1'] = subtitle1, _variantCssMapping['subtitle2'] = subtitle2, _variantCssMapping['body1'] = body1, _variantCssMapping['body2'] = body2, _variantCssMapping['button'] = button, _variantCssMapping['caption'] = caption, _variantCssMapping['overline'] = overline, _variantCssMapping);
exports.variantCssMapping = variantCssMapping;
var StyledTypography = _styledComponents["default"].p.withConfig({
  displayName: "TypographyStyles__StyledTypography",
  componentId: "sc-ro16eu-0"
})(["color:", ";", ""], function (props) {
  return props.color;
}, function (props) {
  return variantCssMapping[props.variant];
});
exports.StyledTypography = StyledTypography;