"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.StyledUploadedImage = exports.StyledUploadContainer = exports.StyledTextContainer = exports.StyledInvisibleInput = exports.StyledIconContainer = exports.StyledErrorTextContainer = exports.StyledErrorIconContainer = exports.StyledErrorContainer = exports.StyledDeleteIconContainer = exports.StyledDeleteButtonContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var Breakpoints = _interopRequireWildcard(require("../utilities/breakpoints"));
var _colors = require("../utilities/colors");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var StyledInvisibleInput = _styledComponents["default"].input.withConfig({
  displayName: "UploadStyle__StyledInvisibleInput",
  componentId: "sc-vgra38-0"
})(["display:none;"]);
exports.StyledInvisibleInput = StyledInvisibleInput;
var StyledUploadContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledUploadContainer",
  componentId: "sc-vgra38-1"
})(["position:relative;width:80px;height:80px;background-color:", ";border:1px dashed ", ";border-radius:2px;:hover{background-color:", ";}&[data-type='initial']{cursor:pointer;}&[data-type='image']{border:none;}&[data-type='loading']{background-color:", ";}&[data-error='true']{border:1px dashed ", ";}"], _colors.Neutral.B99, _colors.Neutral.B68, _colors.Neutral.B95, _colors.Neutral.B95, _colors.Red.B93);
exports.StyledUploadContainer = StyledUploadContainer;
var StyledTextContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledTextContainer",
  componentId: "sc-vgra38-2"
})(["position:absolute;top:46.5px;left:50%;transform:translateX(-50%);color:", ";"], _colors.Neutral.B18);
exports.StyledTextContainer = StyledTextContainer;
var StyledIconContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledIconContainer",
  componentId: "sc-vgra38-3"
})(["position:absolute;top:12.5px;left:50%;transform:translateX(-50%);cursor:pointer;svg{fill:", ";color:", ";height:24px;width:24px;}&[data-type='loading']{top:17.5px;svg{fill:", ";height:18px;width:18px;}}"], _colors.Neutral.B40, _colors.Neutral.B40, _colors.Blue.S99);
exports.StyledIconContainer = StyledIconContainer;
var StyledUploadedImage = _styledComponents["default"].img.withConfig({
  displayName: "UploadStyle__StyledUploadedImage",
  componentId: "sc-vgra38-4"
})(["position:absolute;height:80px;width:80px;z-index:1;border:1px solid ", ";border-radius:2px;object-fit:", ";"], _colors.Neutral.B68, function (props) {
  return props.objectFit;
});
exports.StyledUploadedImage = StyledUploadedImage;
var StyledDeleteButtonContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledDeleteButtonContainer",
  componentId: "sc-vgra38-5"
})(["position:absolute;height:24px;width:24px;left:4px;bottom:4px;cursor:pointer;z-index:3;@media (max-width:", "){height:32px;width:32px;left:0px;bottom:0px;}"], Breakpoints.large);
exports.StyledDeleteButtonContainer = StyledDeleteButtonContainer;
var StyledDeleteIconContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledDeleteIconContainer",
  componentId: "sc-vgra38-6"
})(["position:absolute;height:24px;width:24px;left:0px;bottom:0px;background-color:", ";border:1px solid ", ";border-radius:50%;z-index:2;display:flex;justify-content:center;align-items:center;svg{height:16px;width:16px;fill:", ";}@media (max-width:", "){left:4px;bottom:4px;}"], _colors.Neutral.B100, _colors.Neutral.B68, _colors.Neutral.B40, Breakpoints.large);
exports.StyledDeleteIconContainer = StyledDeleteIconContainer;
var StyledErrorContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledErrorContainer",
  componentId: "sc-vgra38-7"
})(["position:relative;"]);
exports.StyledErrorContainer = StyledErrorContainer;
var StyledErrorIconContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledErrorIconContainer",
  componentId: "sc-vgra38-8"
})(["position:absolute;top:4px;svg{fill:", ";height:20px;width:20px;}"], _colors.Red.B93);
exports.StyledErrorIconContainer = StyledErrorIconContainer;
var StyledErrorTextContainer = _styledComponents["default"].div.withConfig({
  displayName: "UploadStyle__StyledErrorTextContainer",
  componentId: "sc-vgra38-9"
})(["position:absolute;top:4px;left:24px;color:", ";"], _colors.Red.B93);
exports.StyledErrorTextContainer = StyledErrorTextContainer;