"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.GalleryThumbnailWrapper = exports.GalleryItemWrapper = exports.GalleryItem = exports.GalleryImageWrapper = exports.GalleryContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Colors = require("../../Utils/Colors");
var _Gallery = require("./Gallery");
var GalleryContainer = _styledComponents["default"].div.withConfig({
  displayName: "GalleryStyle__GalleryContainer",
  componentId: "sc-mrr504-0"
})(["position:relative;.modal-content{width:95vw;.modal-header{border-bottom:none;}}"]);
exports.GalleryContainer = GalleryContainer;
var GalleryItemWrapper = _styledComponents["default"].div.withConfig({
  displayName: "GalleryStyle__GalleryItemWrapper",
  componentId: "sc-mrr504-1"
})(["display:flex;flex-wrap:wrap;img{height:", ";width:", ";object-fit:cover;cursor:pointer;}"], function (_ref) {
  var _ref$size = _ref.size,
    size = _ref$size === void 0 ? 'small' : _ref$size;
  return _Gallery.imageSizeMapping[size];
}, function (_ref2) {
  var _ref2$size = _ref2.size,
    size = _ref2$size === void 0 ? 'small' : _ref2$size;
  return _Gallery.imageSizeMapping[size];
});
exports.GalleryItemWrapper = GalleryItemWrapper;
var GalleryItem = _styledComponents["default"].div.withConfig({
  displayName: "GalleryStyle__GalleryItem",
  componentId: "sc-mrr504-2"
})(["position:relative;margin:5px;", ""], function (_ref3) {
  var imageLeft = _ref3.imageLeft;
  if (imageLeft !== 0) {
    return "\n        &:last-child:after {\n          content: '+" + imageLeft + "';\n          position: absolute;\n          top: 0;\n          left: 0;\n          display: flex;\n          justify-content: center;\n          align-items: center;\n          color: #0869C2;\n          height: 100%;\n          width: 100%;\n          font-size: 18px;\n          background: rgba(255, 255, 255, 0.75);\n          cursor: pointer;\n        }\n      ";
  }
});
exports.GalleryItem = GalleryItem;
var GalleryImageWrapper = _styledComponents["default"].div.withConfig({
  displayName: "GalleryStyle__GalleryImageWrapper",
  componentId: "sc-mrr504-3"
})(["position:relative;display:flex;justify-content:center;align-items:center;img{height:50vh;width:100%;object-fit:contain;}"]);
exports.GalleryImageWrapper = GalleryImageWrapper;
var GalleryThumbnailWrapper = _styledComponents["default"].div.withConfig({
  displayName: "GalleryStyle__GalleryThumbnailWrapper",
  componentId: "sc-mrr504-4"
})(["position:relative;display:flex;align-items:center;justify-content:center;img{height:4em;width:4em;object-fit:cover;cursor:pointer;margin:0.3em;&.active{border:1px solid ", ";}}"], _Colors.Greyscale.white);
exports.GalleryThumbnailWrapper = GalleryThumbnailWrapper;