"use strict";

exports.__esModule = true;
exports.debounce = void 0;
var _this = void 0;
var debounce = function debounce(func, delay) {
  if (delay === void 0) {
    delay = 500;
  }
  var timeoutID;
  return function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    clearTimeout(timeoutID);
    timeoutID = setTimeout(function () {
      func.apply(_this, args);
    }, delay);
  };
};
exports.debounce = debounce;